Зміст документа

  -- Історія змін                     [*History]
  -- Про програму                           [*About]
  -- Відомі обмеження поточної версії  [*Restrictions]

--------------------------------------------------------------------------------


[*History]
[           Legend:          ]
[ + Added feature            ]
[ * Improved/changed feature ]
[ - Bug fixed (we hope)      ] 

Що нового в iFOBS Win Client (2.2.5.4) 
[*] Реалізація валютних платежів SWIFT-MX за стандартом ISO 20022
[*] Загальні доопрацювання у модулі OpenDeposit.EXIM


Що нового в iFOBS Win Client (2.2.5.3) 
[*] Реалізація валютних платежів SWIFT-MX за стандартом ISO 20022
[*] Загальні доопрацювання у модулі OpenDeposit.EXIM

Що нового в iFOBS Win Client (2.2.5.2) 
[*] Реалізація валютних платежів SWIFT-MX за стандартом ISO 20022

Що нового в iFOBS Win Client (2.2.5.1) 
[+] Реалізація валютних платежів SWIFT-MX за стандартом ISO 20022
[-] Виправлено. Помилка при вході до win-версії (система зависає)
[-] Виправлено. Помилка при плановій перегенерації ключів EJBCA на ключи CIPHER
[-] Виправлено. Помилка вивантаження залишків за рахунками під час формування до файлу
[-] Виправлено. Приєднання працівника з карткою нашого банку, але з позначкою ''Рахунок в іншому банку''
[-] Виправлено. Відображення бонусної ставки в заявках на відкриття депозиту 

Що нового в iFOBS Win Client (2.2.4.5) 
[+] Новий базовий шаблон Платіжної інструкції в нац. валюті 
[+] Експорт виписки до формату camt.053
[*] Оновлення бібліотеки Автор
[*] Доопрацювання підтвердження OTP-кодом документів "заявки на купівлю, продаж, конверсію валюти та зарплатної відомості"
[-] Виправлено. Помилка при доступі в систему із зовнішнім ключем КНЕДП АЦСК АТ КБ "ПриватБанк"
[-] Виправлено. Вибіркове відображення типів вкладів при редагуванні заявки на відкриття депозиту в IFOBS
[*] Зміни до шаблону друкованої форми "Детально про платіж

Що нового в iFOBS Win Client (2.2.4.4)
[+] Реалізація роботи ЦСК Сайфер
[-] Виправлено. Заявка на продаж валюти не заповнюється поле платника 
[-] Виправлено. При створенні документа в модулі енісервіс при незаповненні обов'язкового до заповнення поля отримуємо повідомлення російською мовою про необхідність його заповнення.
[-] Виправлено. Не зберігається параметр конфігурації "Безпека" - "Автоблокування клієнтського місця"
[-] Виправлено. Відображення вкладених файлів, форма повідомлення.

Що нового в iFOBS Win Client (2.2.4.3)
[*] Допрацювання модуля Multykeys
[*] Оновлення бібліотеки Автор
[*] Зміни у відображенні кнопок "Операції з депозитом", "Графік нарахування %" за закритим депозитним договором.
[-] Виправлено. Найменування типу ідентифікації
[-] Виправлено. Проблема з підтягуванням рахунку для вибору виплати відсотків при відкритті вкладу 
[-] Виправлено. Автоблокування клієнтського місця[*] Доработка модуля Multykeys

Що нового в iFOBS Win Client (2.2.4.2) 
[+] Доопрацювання модуля Docupload(BIS)
[+] Доопрацювання модуля iFOBS.WhiteLists(WUCB)
[-] Виправлено. Помилка збереження структурованого призначення платежу з порожнім полем "Код виду сплати" 

Що нового в iFOBS Win Client (2.2.4.1) 
[-] Виправлено. Помилка імпорту pain.001 для документів у нац. валюті
[-] Виправлено. Помилка друку  документів у нац. валюті
[-] Виправлено. Повідомлення з банку - надсилання інформації щодо прочитання користувачем.
[-] Виправлено. Під час імпорту документів у нац. валюті - призначення платежу формується коректно (без створення бюджетного платежу)
[-] Виправлено. Затирання" рахунка комісії у документі SWIFT

Що нового в iFOBS Win Client (2.2.3.6) 
[+] Реалізація роботи СЕП4
[-] Виправлено.  Форма Документів у нац.валюті -> Блок Одержувач - відображається коректно
[-] Виправлено.  Підписання валютних заявок із вкладеними DocUpload
[*] Реалізовано.  Знято заборону на введення раніше заборонених символів («§¶» код - 171, 167, 182, 187) на формах win32client.
[*] Змінено. Реалізація роботи СЕП4, форма шаблони документів у нац. валюті
[*] Змінено. Реалізація роботи СЕП4, форма довідник призначень платежу для документів у нац. валюті
[*] Змінено. Нове відображення поля "Призначення платежу" на списочній формі документів у нац. валюті
[*] Змінено. Видалено блок "Фактичний кореспондент" на формі документів у нац. валюті
[*] Змінено. Знято заборону на незаповнення полів блоку "Бюджет" на формі документів у нац. валюті
[-] Виправлено. Для документів у нац. валюті, сума на формі "Бюджет" розраховується вірно
[-] Виправлено. Помилка заповнення блоку "Отримувач" на детальній формі  документів у нац. валюті
[*] Змінено. Оновлені бібліотеки IIT

Що нового в iFOBS Win Client (2.2.3.5) 
[+] Реалізовано. Реалізація роботи СЕП4, форма документи в нац. валюті
[+] Реалізовано. Реалізація роботи СЕП4, форма шаблони документів у нац. валюті
[+] Реалізовано. Реалізація роботи СЕП4, форма довідник кореспондентів
[+] Реалізовано. Реалізація роботи СЕП4, форма довідник призначень платежу для документів у нац. валюті
[+] Реалізовано. Реалізація роботи СЕП4, форма регулярні платежі
[+] Реалізовано. Новий формат імпорту pain.001 для документів у нац. валюті
[-] Виправлено. Синхронізації довідника призначень платежів

Що нового в iFOBS Win Client (2.2.3.4)
[+] Реалізовано. Додано новий звіт «Детальна інформація щодо платежу» на формі перегляду інформації щодо документа.
[*] Виконано оптимізацію роботи форми Повідомлень
[-] Виправлено. На формі валютного платіжного доручення додано поле 72 при включеному налаштуванні кл.місць SwiftWinWebCompatibleNewWeb
[-] Виправлено. Заявка на конверсію валюти – під час зміни рахунку продажу автоматично змінюється найменування з адресою підприємства
[-] Виправлено. Під час імпорту заявок на купівлю та заявок на продаж файл імпорту має містити значення CODE цілей купівлі/продажу.

Що нового в iFOBS Win Client (2.2.3.3)
[-] Виправлено. Перевірка CORRIDENTIFYCODE виконується коректно

Що нового в iFOBS Win Client (2.2.3.2) 
[*] Реалізовано. Автоматичне визначення ВІС-коду банку. 
[-] Виправлено. Накладання факсиміле під час формування виписки з швидкого списку за шаблоном. 
[-] Виправлено. Під час друку звіту SEP з документів у нац. валюті факсиміле відображується

Що нового в iFOBS Win Client (2.2.3.1)
[*] Реалізовано. Відображення доступних локалей додатку в залежності від значення налаштування сервера.
[-] Виправлено. При створенні документа в нац. валюті, якщо в поле одержувача ІПН вводяться паспортні дані - помилки не виникає
[-] Виправлено. Вибір контрактів на формі створення DocUpload - відбувається коректно
[-] Виправлено. В меню OTP підтвердження платежів не вміщується збільшений номер документа
[-] Виправлено. Фільтр при виборі файлу зовнішнього ключа

Що нового в iFOBS Win Client (2.2.2.4)
[*] Реалізовано. Зміни до друкованих форм "Платіжне доручення" та "Меморіальний ордер" у національній валюті. 
[-] Виправлено. Відображення типів вкладів при створенні заявки на відкриття депозиту в IFOBS

Що нового в iFOBS Win Client (2.2.2.3)
[+] Реалізовано. ISO-20022. Доробки таблиць та форм для платежів в нац. валюті (він)
[+] Реалізовано. Доданий файл довідки IFOBS_UA.chm для української мови.
[-] Виправлено. Під час синхронізації ЗВ (надсилання документа до банку), якщо помилка надходить до поля ACCEPTCODE - помилка на кл. місці відображується коректно

Що нового в iFOBS Win Client (2.2.2.2)
[+] Реалізовано. Заявка на відкриття депозиті. Відображення факсимільної печатки в залежності від права "Депозитні угоди"
[+] Реалізовано. До документів у нац. валюті додане поле TenderID. 
[-] Виправлено. Заповнення транзитного рахунку і рахунку списання в ЗВ

Що нового в iFOBS Win Client (2.2.2.1)
[-] Виправлено. Якщо в налаштування SalTransitIBAN зазначено декілька рахунків,  IBAN транзитного рахунку береться з файлу та порівнюється зі значеннями з налаштування клієнтських місць. Якщо рахунок з файлу не знайдений у значеннях налаштування, то видається помилка, якщо знайдений, то імпортується значення з файлу.
[-] Виправлено. При зміні рахунку (незалежно від вибраної валюти) виконується запит перевірки - визначення BIC коду банку бенефіціара за вказаним IBAN
[-] Виправлено. На формі Заявка на відкриття депозиту для рахунку повернення коштів поля "Банк" та "Опис" відображаються незалежно від налаштування клієнтських місць OpenDepositJurAddFieldAvaible .

Що нового в iFOBS Win Client (2.2.1.4)
[+] Реалізовано.  Автоматичне визначення BIC
[-] Виправлено. Під час формування виписки формату «dbf_розширений» - суми до dbf-файлу виводяться коректні

Що нового в iFOBS Win Client (2.2.1.3)  
[+] Реалізовано. Запит та відображення треку платежу
[+] Реалізовано. Кастомізація валютних форм (EXIM)
[*] Для ЗВ, які вже надіслані до банку, заборонено додавати документи з оплати податків. Також для статусів "Відхилений банком", "Видалений з банку", "Відхилений в Б2", "Видалений в Б2" документи з оплати податків не додаються
[-] Виправлено. Під час входу із зовнішнім ключем, якщо користувач заблокований, причина блокування відображується коректно

Що нового в iFOBS Win Client (2.2.1.2) 
[+] Реалізовано. Відображення повідомлень щодо повторної  ідентифікації
[+] Реалізовано. Інтеграція з isign.cloud (WinClient). Вікно зі списком документів з помилками
[*] Оновлення бібліотеки Автор - він-клієнт
[-] Виправлений лічильник документів (PDF - заявки) при підписанні паролем з СМС при активному параметрі "Підтвердження платежів" права "Робота з віртуальним ОТР-токеном"
[-] Виправлено. Якщо наявні дві картки з подібними реквізитами та однаковою маскою 535651******8742 - помилка не виникає. Весь список карток доставляється та відображується на кл. місці коректно.

Що нового в iFOBS Win Client (2.2.1.1)
[+] Реалізовано.  Підтримка токенів Автор 338 - він-клієнт
[*] Реалізовано. Робота з підписом ISignCloud
[*] Факсиміле. Змінена логіка накладання печатки на заявках на купівлю, продаж та конверсію
[-]  Виправлено. В заявці на замовлення готівки поле Найменування клієнта та Банк заповнюється коректно
[-]  Виправлено. В "Майстрі побудови" в параметрах виписки не перекладена фраза "Розбивати переоцінку" на українську/англійську мови.

Що нового в iFOBS Win Client (2.2.0.7)

[-]  Виправлені помилки в розділі «Зовнішньоекономічні контракти». 
[-] Виправлено. Торгівельний еквайрінг. Пдф виписка. Всі суми в виписці відображуються коректно
[+] Реалізовано. Робота з підписом іSignCloud

What's new in the iFOBS Win32 Client (2.2.0.6)

[+] Реализовано.Убраны все ограничения на использование функциональности eSalary, связанные с типом контрагента (по зарплате теперь может обслуживаться контрагент любого типа).
[+] Реализовано. Если настройка сервера ifobs.handbook.cash.order.dates.enabled = true - на форме создания заявки на заказ наличности для выбора доступны только счета в национальной валюте.
[-] Исправлено. при формировании печатной формы выписки  штамп факсимилье на последней странице располагается в конце страницы и не прикрывает логотип банка
[-] Исправлено. DocUpload. Отображение типов документа в гриде
[+] Реализовано. Метка времени при наложении подписи внешним ключом библиотекой Автор -вин-клиент 
[+] Работа с внешними ключами на токене с библиотекой Автор

What's new in the iFOBS Win32 Client (2.2.0.5) 
[+] Реализована поддержка внешних ключей на токенах в MultiKeys IIT
[+] Реализовано. Платежи на внешние счета сотрудников ЗКП - привязка счета к ЗКП на клиенте
[+] Реализовано.Платежи на внешние счета сотрудников ЗКП - учет режима работы со счетами в другом банке при создании ЗВ в вин-клиенте
[*] Обновление библиотек ИИТ в вин-клиенте
[-] Исправлено. Win32.DocUpload.Подпись от имени 
[-] Исправлено.Корпоративные карты - Коды блокировки передаются корректно.


What's new in the iFOBS Win32 Client (2.2.0.4) 
[+] Реализовано. Вин: ОТР - подтверждение документов при OtpConfDoc = 5
[+] Реализовано. При задании настройки кл.мест  LogoLink( - ссылка, по которой пользователь сможет переходить при клике на логотип Банка) при нажатии на логотип банка - выполняется переход по указанной ссылке
[+] Добавлен новый раздел «Внешнеэкономические контракты». 
  Раздел содержит следующие задачи: «Просмотреть контракты», «Просмотреть оплаты», «Просмотреть декларации/акты», «Предельные сроки оплат/поставок», по которым открываются соответствующие формы.
[*] Обновление библиотек Автор - вин-клиент
[-] Исправлено. Если длина аналитического счета более 14 символов ЗВ уходит в банк без ошибки
 
What's new in the iFOBS Win32 Client (2.2.0.3) 
[+] Реализовано работа с файлами DocUpload - DocUploadMode = 7 (для CreditWest) 
[+] Доработка модуля Docupload - вин-клиент Альфа банк
[+] Интеграция банковского ЦСК Автор в iFOBS
[*] В "Информации о сертификате", формируемой в Win32-клиенте, Добавлено поле поле для подписи директора.

What's new in the iFOBS Win32 Client (2.2.0.2) 
[+] Реализовано. Добавление факсимиле на сводной выписке на WINClient
[-] Исправлено. Сообщение о сроке действия сертификата выводит корректную дату
[-] Исправлено. На тесте нет меню "Заказ продуктов и услуг"
[-] Исправлено. В укр. раскладке на форме SWIFT, в 71-м поле - Код Операции - отображается корректно
[-] Исправлено. Проблема при получении документов созданных на разных рабочих местах с одинаковыми реквизитами
[*] Депозиты - График начисления процентов (детальная) использование IBAN

Проверять на версии \\grant\win32\Win32Client\ifobs_win32client_2.1.9.5X_secure.zip
What's new in the iFOBS Win32 Client (2.2.0.1) 
[+] Реализовано. Работа с корпоративными картами cards.processing=EXIM_SOA 
[+] Реализовано.  Внешнея авторизация документов в нац.валюте
[+] Реализовано.  Переход на сайт банка по ссылке на  логотипе банка
[+] Реализовано. Форма "Справочник ответственных сотрудников"
[-] Исправлено. При создании заявки на заказ наличности закрытые счета не доступны к выбору
[-] Исправлено. На печатной форме форвардной заявки  счет 2602 отображается


What's new in the iFOBS Win32 Client (2.1.9.5) 
[+] Реализовано. На форме ввода документов в нац.валюте добавлены доп.реквизиты Налоговый номер и ID-карта. которые доступны для изменения если пользователь вводит в поле Ид. код 9 символов(цифр)
[+] Реализовано. Работа iFOBS Win32 Client "Депозиты/Кредиты" с счетами в формате IBAN
[-] Исправлено. Исправлены замечания работы с IBAN ( iFOBS Win32 Client (2.1.9.2-2.1.9.4)) 

What's new in the iFOBS Win32 Client (2.1.9.4)
[+] Реализовано. Работа iFOBS Win32 Client "Зарплата" с счетами в формате IBAN
[+] Реализовано. Модуль торгового эквайринга
[*] Обновлены библиотеки ИИТ в вин-клиенте до актуальной версии
[-] Исправлено. Исправлены замечания работы с IBAN ( iFOBS Win32 Client (2.1.9.2-2.1.9.3)) 

What's new in the iFOBS Win32 Client (2.1.9.3) 
[*] Добавлена возможность работы с масовым подписанием файлов(docupload)
[*] IBAN для регулярных платежей
[-] Исправлены. Исправлены замечания работы с IBAN ( iFOBS Win32 Client (2.1.9.2)) 
[-] Исправлено. При автоматическом формировании выписок по шаблону в формате dbf(проверить и все остальные) в Win 32 - выписка создается корректно.
[-] Исправлено. При создании нового файла DocUpload выбор отделения происходит корректно
[-] Исправлено. функционал пополнения карты получателя работает корректно.

What's new in the iFOBS Win32 Client (2.1.9.2)
[+] Реализовано. Работа iFOBS Win32 Client с счетами в формате IBAN
[+] Реализовано. Изменены форматы экспорта/импорта  с учетом счетов в формате IBAN
[+] Реализовано. Изменены формы отчетов  с учетом счетов в формате IBAN

What's new in the iFOBS Win32 Client (2.1.9.1)
[-] Исправлено. При вводе документов в нац.валюте платеж в Пользу отказника с паспортом (обычный 2 символа, 6 цифр)  работает корректно
[-] Исправлено. Если форма ЗВ не находится в состянии редактирования выпадающий список «Виды начислений» - недоступен
[+] Реализовано. Заявка на распределение валюты. В полях,  Счет для зачисления гривни и Направить на текущий счет,  должны быть доступны в выпадающих списках, а также являются   разрешенными значениями при импорте, только счета, подпадающие под маски: CURRENT_JUR,  CURRENT_FIN_ORG и INSURANCE.
[-] Исправлено. Если расширение файла не соответствует расширениям установленным в настройке ifobs.docupload.acceptable.document.types - то документ не вкладывается.
[-] Исправлено. Отображение нулевых значених при построении сводной выписки работает корректно.
[-] Исправлено. форма аварийного восстановления сертификатов работает корректно.
[-] Исправлено. при первичной авторизации в систему чек-бокс с паролем "для входа в систему" подписан правильно, после уже его проверки чек-бокс подписан как "Фамилия, имя" в случае если у пользователя стоит использовать USB-токен и "Пароль для входа в систему" если пользователь работает с ключами на файловой системе.
[+] Реализовано. Вин-клиент: автоматическое заполнение 50 поля в свифт-документе
[-] Исправлено. При установке фильтра на форме сообщений после синхронизации курсор остается на той-же позиции
[*] Добавлено напоминание о необходимости провести плановую перегенерацию сертификата если заканчивается срок действия.
на формах подписание от имени и подписание от имени другого пользователя - добавлена проверка на срок действия сертификата и если необходимо выводится уведомление
[-] Исправлено. Обновление шаблонов печатных форм


What's new in the iFOBS Win32 Client (2.1.8.9)  
[+] Реализовано. Привязка токена пользователю при выполнении процедуры аварийного восстановления или ппервого входа пользователя в систему.
[+] Реализовано. При включенной настройке кл. мест SalCanAutoReplaceCardAccounts, на кл.место приходит справочник с списком автозамен по счетам счет сотрудника с маской 2625% (отвязанный) и счет 2620% (новый)  в случае если при импорте/клонировании встречается счет с маской 2625 - то выполняется поиск счета в табл.автозамен и если счет найден - счет подставляется в ЗВ
[*] Для ошибки Auth error выводится сообщение Вход пользователя запрещен FRAUD системой.
[-] Исправлено. При подписании конверсии валюты и отправке в банк - проверка подписи проходит без ошибок
[-] Исправлено.Форвардная заявка на покупку - расчет суммы первоначального покрытия
[-] Исправлено. При расчете суммы первоначального покрытия (Заявка на конверсию валют на условии форвард)  Сумма заявки * курс сделки заменяется на Гривневый эквивалент операции.
[-] Исправлено. При клонировании поручений в нацвалюте с помеченным чек боксом "Платеж с комиссией в послеоперационное время" в новом документе он по умолчанию не помечен.
[-] Исправлена ошибка в процессе плановой генерации сертификата на токен.
[-] Исправлено. Документ в нац валюте. Две точки в конце назначения при выборе ПДВ или в т.ч.ПДВ в украинском интерфейсе выводится корректно
[-] Исправлено. На форме Отправка файлов - Список файлов не отображаются контракты со статусом =2.
[-] Исправлено. При создании нового пакета в DocUpload, когда указываются доп. параметры пакета при вставке в поле Наименование резидента  из буфера обмена это значение учитывается. И сообщение, что поле не заполнено не выдает

What's new in the iFOBS Win32 Client (2.1.8.8) 
[+] Реализовано. Импорт файлов в iFOBS в формате iBank2
[+] Реализовано. Внешние ключи с библиотекой Автор
[*] На регулярном распоряжении поле "Периодичность" обязательно к заполнению.
[*] Реализовано. Выпадающий список, в котором выбирается количество дней упорядочен - сроки депозита, доступные для выбра в заявке на открытие депозита юридического лица были отсортированы в порядке возрастания сроков, а если сроки указаны в разных единицах измерения (дни и месяцы), то вначале отображались отсортированные сроки в днях, а затем  - в месяцах.
[-] Исправлено. IFOBS.DocUpload відображення поля Контракт
[-] Исправлено. при печати заявки на покупку валюты с пустым полем "Действительна до" - ошибки не возникает
[-] Исправлено. При плановой перегенерации ключа пользователя (переход с ключей iFOBS на IIT) - ошибки не возникает
[-] Исправлено. При подписании пакета данных отправляемого на сервер если возникает ошибка(получения метки времени или другая) приложение показывает ошибку.
[-] Исправлено.Ошибки при работе с фильтром в форме Курс валют не возникает
При отсутствии форвардного лимита - ошибки не возникает
[-] Исправлено. При повторном подписании от имени для ключей iFobs правильно подставляется путь к папке с ключами

What's new in the iFOBS Win32 Client (2.1.8.7) 
[*] Выполнена доработка функциональности DocUpload для банка ОТП
[*] Реализовано. На форме «Ввод документов в национальной валюте» добавлен чек-бокс "Документы, созданные по регулярным платежам." Отображается если у пользователя есть право на работу с StandingOrders
    при включенном значении на форме списка документов - отбираются только документы созданные с помощью StandingOrders
[*] Реализация интеграции IFOBS.DocUpload с хранилищем DocBS 
[-] Исправлено. При печати форвардной заявки для конверсии (только) в поле "Валютна пара (код валюти що купується/ код валюти що продається):"  выводится валюта покупки / валюту продажи

What's new in the iFOBS Win32 Client (2.1.8.6) 
[+] Реализована настройка кл.мест - SetOperationDayOfBankInCurrencyDocs - Установка даты ОДБ в валютных документах
[+] Реализация интеграции IFOBS.DocUpload с хранилищем DocBS 
[*] Изменена форма печати информации о сертификате для внешнего ключа
[*] Реализовано. В валютных заявках (покупка, продажа, конверсия) поле «Действительна до» необязательным к заполнению если включена настройка кл.мест DisableFillValidTillForCurrDoc.
[*] При создании документов по налогам на клиентских местах добавлен контроль параметров получателя платежа: МФО должен начинаться с 8, а также счет должен начинаться с 3. 
[-] Исправлено. Значения форвардных лимитов обновляются корректно.
[-] Исправлено. При подписании от имени другого пользователя добавлена проверка на наличие права у пользователя (доступ к ЗКП) подписывать ЗВ 

What's new in the iFOBS Win32 Client (2.1.8.5) 
[+] Реализована обработка настройки кл.мест 'StandingorderStartStopEnabled'  'Доступность операций "Остановить"/"Восстановить" для регулярных платежей: True - доступны, False - недоступны (по-умолчанию)'
[+] Реализовано. Форма регулярные платежи поле "Дата по" обязательным для заполнения
[-] Исправлено. Значение параметра ifobs.document.valuedate.cur.period работает корректно
[+] Реализовано. В валютных заявках (покупка, продажа, конверсия) поле «Действительна до» необязательным к заполнению если включена настройка кл.мест DisableFillValidTillForCurrDoc.

What's new in the iFOBS Win32 Client (2.1.8.4) 
[+] Реализация работы с ключами на файловой системе для УкрЭксима с криптобиблиотеками "Автор"
[*] В форме отчета Списка сотрудников - убрана колонка 15 на "Тип БПК MasterCard (Gold,Unembossed)"
[*] Реализована работа модуля iFOBS.DocUpload  в клиентском месте базовой версии вин-клиента.
[*] На форме подтверждения отправки документов для Задачи Заказ продуктов и услуг изменен текст сообщения на «Количество заявок: »
[*] Добавлена обработка ошибки возникающая при попытке пользователя выполнить вход в программу с внешним ключем - который находится в очереди на обработку авторизации действий пользователя
[-] Исправлено. При регистрации нового внешнего ключа - все сертификаты загружаются во временную папку, процесс проверки проходит только если указаны правильные параметры ЦСК
[-] Исправлено. Если на форме "Выбор ПДФ- формы" из выпадающих списков доступно только по одной записи (в любом из наборов данных), - доступность кнопки ОК - все поля должны быть заполнены

What's new in the iFOBS Win32 Client (2.1.8.3) 
[+] Реализован переход на библиотеку Сайефра Шифр+. Все новые ключи генерируются только по алгоритму ДСТУ 4145.
[-] Исправлено. При создании сообщение если на форме установлен фильтр пользователя, ошибки не возникает
[-] Исправлено. Панель редактирования вкладок "Начисления по ведомости" и "Документы по оплате налогов" отображаются корректно
[-] Исправлено. При редактировании созданной(но не отправленной) pdf-заявки доступно изменение данных в полях, где есть несколько строк 
[-] Исправлено. Пополнение депозита юрлиц. При проверке используются корректные суммы минимального и максимального пополнения/списания
[-] Исправлено. Наименования пунктов меню задач «Денежные  потоки» выводятся в соответствии выбранным языком интерфейса программы
[-] Исправлено. При работе в режиме множественного выбора ЦСК - снято ограничение с расширения файлов ключей и сертификатов
[-] Для процессинга CARDONLINE_PROCESSOR лимиты по карте отображаются с копейками.

What's new in the iFOBS Win32 Client (2.1.8.2) 
[+] Поддержка множества АЦСК в IFOBS- WinClient
[+] Ограничение доступа к SWIFT эдвайсам для мультиклиента
[*] Обновление библиотек ИИТ в вин-клиенте
[-] Исправлено. Ошибка при экспорте отклоненных расчетых листов
[-] Исправлено. Win32. Перескакивание фокуса на Сообщения
[-] Исправлено. при использовании банковских ключей iit на форме подписания от имени - путь к ключу запоминается и выводится при след.открытии формы

What's new in the iFOBS Win32 Client (2.1.8.1) 
[*] На форме ЗВ добавлен доп.скролинг
[*] Реализована возможность привязать один и тот же документ iFOBS/заявку в нац.валюте iFOBS более чем к одной ЗВ
[-] Исправлено. Для активных карт пункт <Блокировать карту> не доступен если карта просрочена
[-] Исправлено. в процессе смены сертификата с использованием токена SafeNet ошибки не возникает
[-] Исправлено. Генерация , восстановление сертификатов Ifobs происходит корректно
[-] Исправлено. Учет минимальной и максимальной длины пароля обрабатывается корректно.
[-] Исправлено. Учет минимальной и максимальной длины пароля обрабатывается корректно.
[-] Исправлено. "Ошибка при выполнении экспорта в файл  "A component named TRANSFERACCOUNTNO already exists" при экспорте в файл данных клиент-банка заявок на продажу

What's new in the iFOBS Win32 Client (2.1.7.12) 
[+] Реализовано. Управление "Валютой счетов, доступных пользователю" осуществляется с помощью настр.кл.мест PaymentEngineCurrencyMode
[+] Переход ОТР на работу с банковским ЦСК ИИТ
[*] Валютные заявки(EXIM)
Исправлено.  Переход с документа в нац.валюте на инструкцию происходит корректно
[-] Исправлено удвоение количества документов в окне подтверждения VirtualOTP. 
[+] Реализована печатная форма сертификата при первом входе
[-] Исправлено. PaymentEngine Если у правила  установлен Тип срабатывания  1- По событию то  недоступны для заполнения:
  > - секция полей "График исполнения" за исключением поля "Приоритет";
  > - признак "Исполнение в нерабочий/несуществующий день".
[-] Исправлено. При импорте ЗВ в XLS формате поле ONFLOWTYPE  парсится корректно 

What's new in the iFOBS Win32 Client (2.1.7.11 build 1)
[-] Исправлено. [82181] - UAT - перестали работать правила в гейте (Автопроведение ЗВ)
[-] Исправлено. UAT - ошибка смены лимитов по корп картам iFOBS.OTP-82236
[-] Исправлено. UAT - итерационный подход при создании налогов (Автопроведение ЗВ) iFOBS.OTP-82143
[-] Исправлено. UAT - некорректно создается назначение платежа по налогу (Автопроведение ЗВ) iFOBS.OTP-82208

What's new in the iFOBS Win32 Client (2.1.7.11) 
[*] При создании документов по уплате налогов если включена настройка "Создавать документы с нулевой суммой" - документы создаются с 0 суммой
[-] Исправлено. Отправка файлов большого размера к ошибке не приводит.
[-] Исправлено. [80499] - не считается сумма первоочередного покрытия(Форвард)
[-] Исправлено. Замечания при работе с ключами банковского ЦСК IIT

What's new in the iFOBS Win32 Client (2.1.7.10) 
[+] Реализовано подписание документов от имени пользователя другого клиента с ключами IIT.
[*] Итерационный подход при создании налогов по ЗВ (Автопроведение ЗВ)
[-] Исправлено аварийное восстановление и первая генерация ключа на токен(Альфа)
[-] Исправлено. Форма 503. Ошибка в процессе формирования протокола при отклонении формы. Кнопка "Протокол приема данных" активна, если COMPARESTATUS не пустое и есть ссылка на отчет
[-] Исправлено. Дублирование записей на форме Интерфейсные права в случае, если выданы подправа

What's new in the iFOBS Win32 Client (2.1.7.9)
[*] Реализована одновременная привязка нескольких docupload к валютной заявке
[*] Добавлена настройка кл.мест DocUpoladFileClientMaxSize - Максимальный размер файла документа разрешенный для добавления и отправки пользователю MB в списке файлов
[*] Реализован новый механизм загрузки файлов в банк (Docupload)
[*] Реализовано. При выборе документов по налогам добавлена возможность выбора документов в нацвалюте в статусе 1000 "В банк - Введен"  
[+] Отображение поля "Регистрационный номер онлайн-заявки" на форме "Заказ продуктов и услуг" (EXIM)
[+] Форму выбора пдф-шаблона необходимо дополннена полями «Контрагент» и «ТОБО», обязательными для заполнения. (EXIM)
[+] Форма ОТР-подтверждения документов, с признаком мошенничества
[-] Исправлено. При генерации сертификатов (переход с itytys на IIT) ошибки не возникает

What's new in the iFOBS Win32 Client (2.1.7.8/2)
[-] Исправлено. Формирование выписки по карте(Корп.к. разд.дост.) 
[-] Исправлено. Названия колонок привязки DocUpload к валютной заявке отображаются корректно во всех языковых интерфейсах

What's new in the iFOBS Win32 Client (2.1.7.8)
[*] На форме настроек "Мой OTP Online" прогноз вместо попеременновіделяющихся кружочка установил две галочки. теперь на форме  "Мой OTP Online" возможно одновременное отображение колонок остатков: текущий, доступный, прогнозный.
[-] Исправлено. Запрещено добавлять к валютным заявкам докаплоады в статусе Отклонен (1102)
[-] Исправлено. Во время редактирования заявки/документа - привязка которую пользователь удалили в этот момент будет отображаться перечеркнутой (если она была создана ранее) или сразу     удаляться если это новая привязка. После того как пользователь нажал кнопку сохранить - удаленные привязки больше отображаться не будут.
[-] Исправлено. Максимальное кол-во привязанных документов определяется корректно
[-] Исправлено. В заявке на продажу валюты  Ид.код проставляется только при изменении счета на форме редактирования. При изменении пользователем  Ид.код - данные сохраняются те что ввел пользователь. 
[-] Исправлено. 1. На форме ввода валютных платежей (для exim) Добавлено  поле CB/Code of Bank Ukraine
                          2. Испавлено - При незаполненном поле 56 в интерфейсе клиента, на нашу сторону в этом поле почему-то передаётся значение "/"
[-] Исправлено. При массовом изменении лимитов формируются документы на изменение лимитов, которые отображаются на форме "Журнал изменения лимитов".
[-] Исправлено. При подписании валютной заявки привязанные DocUplod также подписываются (последней подписью, если небыли  подписаны) 

What's new in the iFOBS Win32 Client (2.1.7.6)
[+] Реализована функциональность в IFOBS по интеграции банковского ЦСК производства ИИТ. для ключей хранящихся в файловой системе
[+] Реализована функциональность в IFOBS Формы 503, 504
[*] Подсисетма iFOBS.DocUpload 
[*] Валютные заявки на условиях Forward
[-] Исправлено. При клонировании заявки на покупку/продажу валюты  список контрактов клонируется корректно
[-] Исправлено. При открытии формы Поиск карт зависание не происходит.
[-] Исправлено. Функционал по экспорту счетов сотрудников ЗП из пункта меню <Экспорт данных... > работает корректно
[-] Исправлено. При вводе нового DocUpload добавлена проверка <Типа операции>
[-] Исправлено. Печать сертификатов проходит корректно.
[-] Исправлено. Расчет Доступный остаток и Прогнозный остаток (банк ОТП).

What's new in the iFOBS Win32 Client (2.1.7.5)
[*] Подсисетма iFOBS.DocUpload 
[*] Валютные заявки на условиях Forward

What's new in the iFOBS Win32 Client (2.1.7.4)
[+] Добалена реализация выбора контрагента при отправке сообщения мильтиклиентами
[*] Подсисетма iFOBS.DocUpload
[*] Валютные заявки на условиях Forward
[-] Исправлено. При работе с ключами длиной 2048 бит, хэш открытого внешнего ключа на печатных формах выводится корректно.
[-] Исправлено. При подписании заявки на продажу валюты ошибка не возникает.
[-] Исправлено. Платежное поручение в иностранной валюте (платеж в пределах банка) синхронизация работает корректно.

What's new in the iFOBS Win32 Client (2.1.7.3)
[+] Подсисетма iFOBS.DocUpload
[+] Расчёт НДС по нескольким % ставкам
[*] Кастомизация форм ввода валютных заявок(EXIM) 
[*] Валютные заявки на условиях forward
[-] Исправлено. Ошибка при клонирование заявки на открытие депозита
[-] Исправлено. При экспорте отчета зп ведомость  в из клиент-банка в формате Excel все поля выводятся корректно

What's new in the iFOBS Win32 Client (2.1.7.2)
[+] Кастомизация форм ввода валютных заявок(EXIM)
[+] Валютные заявки на условиях forward
[*] Реализована закачка на кл.место пользователя внешних сообщения с вложениями больших объемов(>10 mb).
[*] Добавлена проверка типа внешнего ключа при работе с библиотеками IIT
     Если внешний ключ не предназначен для подписания пользователю выводится сообщение о недопустимости использования ключа.
[*] Оптимизация синхронизации Списка расчетных листов
[-] Исправлено. При печати платёжного поручения суммы документа прописью пишется корректно
[-] Исправлено. На форма Корпоративная карта - задача Увеличение/уменьшение лимита по карте при выполнении операции убраны проверки на то, что сумма операции не превышает остаток на карте
[-] Исправлено. При до подписании сообщений внешним ключом и последующей синхронизации ошибки не возникает
[-] Исправлено. При установке автоблокировки и неактивном приложении win32client win32client работает корректно.
[-] Исправлено. На форме Мой iFOBS в блоке Документы ссылка на зарплатные ведомости работает корректно

What's new in the iFOBS Win32 Client (2.1.7.1)
[+] Работа с внешними ключами 2 АЦСК
[+] Добавлено новое поле в форматы импорта зарплатной ведомости XML, XLS, DBF для начислений - дополнительное необязательное поле для кода ЗКП сотрудника, EMPCODEZKP, N10;
[+] Реализована работа с доп.полями для паспорта-ID («Тип паспорта»;  «Действителен до»;  «Запись №»)
[*] Добавлено сообщение пользователю об авто подстановке транзитного счета при импорте зарплатной ведомости
[*]При работе с нестандартными начислениями -  разрешено добавлять в ведомость с нестандартными начислениями счета, которые привязаны к другому ЗКП этого же клиента.
[-] Исправлено. При отправке ЗВ с большим кол-вом начислений - отправка происходит c учетом размера каждой ЗВ в пакете.
[+] Добавлена форма которая позволяет ограничить количество отправляемых документов на сервер одним пакетом.
    Форма настройки вызывается из пункта меню Сервис -> Настройки -> Документы-> Отправка 
    Для каждого вида документа можно указать число отправляемых документов от 0 и д 999. При отправке будут формироваться пачки с количеством документов указанных в настройке. Если значение = 0 пачка формируется по старому.
    Исключении многоуровневые документы (Зарплатная ведомость, Расчетные листы ...) . для этих документов расчет введется с учетом начислений и расчетом общего размера всего документа. Если документ большой то отправка  будет идти по одному документу в пакете.

What's  new in the iFOBS Win32 Client (2.1.6.59)
[+] Работа с внешними ключами 2 АЦСК
[-] Исправлено. При подписи от имени , когда программе требуется основной токен проверяется его наличие. И если токен отсутствует выдается предупреждение что для продолжения работы необходимо подключить токен основного пользователя. 

What's new in the iFOBS Win32 Client (2.1.6.58)
[+] Реализовано обработка новых прав и лицензий для работы с заявками на основании PDF - форм
[*] При вводе валютного плат.поручения и заполнении блоков 56, 57 добавлена проверка BIC на доступность для использования.
[-] Исправлено. Синхронизация измененных статусов для Инструкции автоматических платежей происходит корректно
[-] Исправлено    . При включенной настройки кл.мест Авто.формирование МТ940 - Выписка МТ940 строится за  дату предыдущего ОДБ только один раз. При смене ОДБ выписка строится единоразово после синхронизации.
[-] Исправлен поиск кода транзакций при построении выписке МТ94х
[-] Исправлена работа компонента FastReport. При выборе принтера для печати ошибок не возникает
[-] Исправлено. На формах Мой iFOBS и Мастер построения выписки - в отображение дерева счетов  Контрагента добавлено поле Ид.код - группировка счетов по контрагентам происходит корректно

What's new in the iFOBS Win32 Client (2.1.6.57)
[+] Реализована новая форма печати информации о сертификате для Exim банка
[+] Реализована работа с использованием внешних ключей налоговой(ИИТ)  для УкрЭксима.
[+] Реализована печать факсимиле на документах покупки, продажи, конверсии валюты. 
[+] Реализована работа с корп.картами совместно с информацией из Siebel 
[-] Исправлена ошибка при открытии формы <Текущие блокировки по корп картам>. Форма в украинской и английской интерфейсе открывается корректно.
[-] Исправлено. При повторной синхронизации с использованием функционала подтверждения платежей - документы отправляются в банк
[-] Исправлено. При включении права ограничивающего только Импорт документов (Только импорт нац.валюта, Только импорт ин.валюта, Только импорт ЗВ) операции создания и редактирования документов недоступны. Все остальные операции работы с документами доступны.
[-] Исправлено. При открытии формы Назначение платежей в нац. валюте в укр. и англ. интерфейсе название отображается корректно.

What's new in the iFOBS Win32 Client (2.1.6.56)
[+] Добавлена печать факсимиле при печати СВИФТ документов.
[+] Реализация клиентских проверок согласно требований по Ограниченному праву "Только импорт ЗВ"
[*] При генерации новых сертификатов  (х509) с сервера запрашивается шаблон csk_tpl.ctx.
[-] Исправлена. Доступный остаток по карточным бизнес-счетам холдов обновляется каждый раз при синхронизации данных по счету и сумма доступного остатка пересчитывается.
[-] Исправлена ошибка работы с токенами Автор в вин32.
[-] Исправлена ошибка перегенерации сертификатов для УкрЭксим .
[-] Исправлено. При печати документов на форме "Информация по документам". ошибки не возникает
[-] Исправлено. При переходе на корп форму через нажатие на пиктограмму корп счета (форма Moй iFOBS) ошибки не возникает.
[-] Исправлено. При открытии отчета о регулярном платеже - ошибки не возникает.
[-] Исправлено. Выбор дат работает согласно описанию.  Варианты выбора дат в периоде для формирования регулярных платежей: 0- много дат (по умолчанию), 1 -одна дата для одного периода ; задаются настройкой в GlobalVar = 108
[-] Исправлено. Ошибка отправки шаблона документа в нац валюте с вин-клиента
[-] Исправлено отображение наименование ЗКП в ЗВ
[-] Исправлено.Ошибка при отправке расчетных листов

What's new in the iFOBS Win32 Client (2.1.6.55)
Реализована возможность создания анкеты сотрудника с ID картой вместо паспорта. В случае ввода некорректной информации, выводятся ошибки, анкета не создается.
[+] Реализовано ограничения возможности создания, редактирования платежей на формах валютных заявок.
[*] Интеграция с ЦСК Укрэксимбанка
[*] IFOBS SMS. Форма авторизации док-тов. WIN-32.

What's new in the iFOBS Win32 Client (2.1.6.54)
[+] На формах документов добавлено отображение даты создания документа в АБС Б2.
[*]  Модификация формы создания заявки на открытие депозита.
     Добавлены новые поля на форму заявки на открытие депозитов. 
     также возможность выбора счетов привлечения средств, депоитного счтеа и счета погашения процентов в другом банке в другом банке. 
     также для депозитного счета возможность получить маску для выбора депозитного счета, загрузка номера генерального соглашения с сервера или же открыть новый депозитный счет. 
[-] Исправлено. При выходе из приложения в задачах процесс не зависает.

What's new in the iFOBS Win32 Client (2.1.6.53)
[*] Увеличен максимальный объем сообщения с вложениями до 2 Мб.
[+] AnyServiceCorporate - Win32Client. Банковские продукты - Заказ продуктов и услуг(PDF-формы).  
[*] При изменении пароля на вход в систему, на секретный ключ запрещен ввод символа пробел 
[+] Форма печати сертификата Exim-банк

What's new in the iFOBS Win32 Client (2.1.6.52)
[+] Реализовано печать факсимиле при массовой печати документов (нац.вал ин.вал.).
[+] Управлением расположения факсимиле с помощью настроек
[+] Наложение факсимиле на выписки за указанный период.
[-] Исправлено. Окно ввода СМС пароля не "прячется" за главным окном.
[*] Оптимизация процесса синхронизации и работы с win32 формами
 

What's new in the iFOBS Win32 Client (2.1.6.51)
[-] Исправлена ошибка синхронизации отправляемых данных win32client.

What's new in the iFOBS Win32 Client (2.1.6.50)
[*] СМС-ОТР, Пиреус, юридические лица - win32-клиент
[*] Оптимизация процесса синхронизации и работы с win32 формами
[+] Реализовано наложение факсимили на выписку за период. 
[+] Реализовано наложение факсимили на зарплатной ведомости
[*] Улучшен процесс синхронизации данных с банком.
[-] Исправлено. При формировании выписки по счетам за период при отсутствии движений по счетам - выписка строится при условии включенной настройки win32Client -> Сервис -> Настройки -> вкладка Выписка-Параметры -> Отображать нулевые движения

What's new in the iFOBS Win32 Client (2.1.6.49)
[+] СМС-ОТР, Пиреус, юридические лица - win32-клиент
[+] На форме Мой iFOBS при двойном клике "мышкой" по пиктограмме корпоративная карта - открывается форма «Карточный счет»
[+] Реализован плагин экспорта выписки в файл в формате  MT940 (Alpha)
[*] Улучшен процесс синхронизации данных с банком.
[-] Исправлено. Ошибка при подписании документов от имени другого пользователя.

What's new in the iFOBS Win32 Client (2.1.6.48)
[+] Реализация использования  работы с нестандартными начислениями ЗВ.
[+] Реализована форма печати информации о сертиффикате вненего ключа (ИИТ, Win).
[+] Добавлена настройка кл.мест CorporateCardSynxronize - True - Информация по корпоративным картам обновляется при каждой синхронизации Win32Client
[-] Исправлено. Убрана проверка на права дебета по счету для операций с картами.
[-] Исправлено. При возникновении ошибки о неправильном пароле к секретному ключу, при нажатии на кнопку "Помощь" открывается правильный раздел помощи
[-] Исправлена ошибка - Если выданы права только по операциям с бизнескартами то меню задачи не формируется на форме поиска карт .  

What's new in the iFOBS Win32 Client (2.1.6.45)
[+] Реализация использования подписи налоговой (ИИТ) в iFOBS (Win).
[+] На форме счета сотрудников добавлено отображение поля < дату создания счета>. Расширен формат экспорта счетов сотрудника в файл. (Пивденый)
[+]  Win32 Client- адаптация корп. карт ОТР под УПЦ/Ис-кард
[*] Добавлен контроль права «Право на открытие депозита». При включении этого права форма открытия депозитов доступна
[*] Подписание начислений по ЗВ на Win32 Client проходит в оптимизированном режиме. 
[-] Исправлено. Названия доступных депозитов отображается согласно параметру "Отображать на клиентском месте" winadmin форма "Типы депозитов"
[-] Исправлено. Исправлена ошибка учета интерфейсных прав по операциям бизнес картами
[-] Исправлено.Исправлена ошибка обновления баланса по картам. 
[-] Исправлено.При удаления корреспондента введенного другим пользователем формировалось неверное сообщение об ошибке. Добавлена ошибка 96003 - Попытка удаления корреспондента который был введен другим пользователем

What's new in the iFOBS Win32 Client (2.1.6.44)
[+] Добавлен контроль права «Право на открытие депозита» При включении этого права форма открытия депозитов доступна
[-] Исправлено. При редактировании сообщения, если изменяются вложения, подписи также сбрасываются.
[-] Исправлено. При создании заявки на открытия депозита в списке депозитов "Название депозита" доступны все депозиты с включенным параметром  "Отображать на клиентском месте"[-] Исправлено. При работе с белым списком если отправляемые платежи (корреспонденты) входят в белый список - окно СМС-подтверждения не вызывается.

What's new in the iFOBS Win32 Client (2.1.6.43)
[+] Информационное оповещение пользователя(СБРФ).  
[-] Исправлено. Значение настройки SalTransitBalAccount в локальную бд укладывается корректно
[-] Исправлено. При клонировании заявки открытие депозита -  ТОБО проставляется корректно
[-] Исправлено. При работе с белым списком если отправляемые платежи (корреспонденты) входят в белый список - окно СМС-подтверждения не вызывается.
[-] Исправлена ошибка подписания больших пакетов информации (> 56536 б) ключом X.509
[-] Выводится корректное сообщение "Нет связи с сервером ОТР-токенов" в случае ошибки связи с сервером ОТР-токенов. Отсутствие связи корректно определяется в iFOBS  начиная с версии 2.1.6.42 
[*] Расширены поля для хранения подписи.  
[-] Исправлено при сохранении информации о сертификатах, и  включенной украинской и английской локализации, система предлагает сохранить только в формате rtf.*

What's new in the iFOBS Win32 Client (2.1.6.42)
[+] На форме просмотра подробной информации по кредиту добавлено новое поле "Общая сумма погашения кредита". 
    Эта сумма должна автоматически подставляться в документ погашения кредита.
[+] Реализовано ОТР подтверждение пдф-форм на откр депозита для юр. лиц
[+] В графике начисления процентов для депозитов для юрлиц добавлена колонка "Эквивалент, грн." в которой отображается  сумма начисления процентов в гривнёвом эквиваленте(OTP банк). 
[*] В базовую конфигурацию в форму "Кредиты" добавлено поле "Пеня"
[-] Исправлено. Добавлена проверка текста сообщений на наличие в них непечатных символов.
[-] Исправлено. Удаление отправленных пользовательских сообщений выполняется корректно.
[-] Исправлено. При печати зарплатной ведомости в укр.интерфейсе поле комментария выводится на печать
[-] Исправлено. Автоматическое формирование ПДВ в назначении платежа в документах в нац валюте
[-] Исправлено. В случае, если заканчивается срок действия сертификатов, пользователю выводится сообщение типа: "Сертификат действителен до <ДАТА ОКОНЧАНИЯ СЕРТИФИКАТА>"  где <ДАТА ОКОНЧАНИЯ СЕРТИФИКАТА> - берется из сертификата. 

What's new in the iFOBS Win32 Client (2.1.6.41)
[+] На форме ввода логина и паролей пользователя, рядом с полями ввода паролей добавлены две кнопки, если кнопка нажата то на ней видна иконка в виде открытого замочка, и в поле виден текст пароля, если кнопка отжата, то на кнопке видна иконка в виде закрытого замочка, и в поле пароля видны звёздочки. 
     Для активации этой функциональности задействована глобальная настройка CanViewPassword (одно значение для всех пользователей). 
[*] При создании в WIN32 клиенте анкеты сотрудника - не гражданина Украины  разрешено использовать в серии и номере паспорта  слэш ("/") и тире ("-") 
[*] Добавлена проверка дат <В выписке "За период..."> при задании даты превышающей дату ОДБ формируется сообщение об ошибке.
[-] Исправлено. Удаление привязки к предприятию происходит корректно.
[-] Исправлено. На форме Корреспонденты вал. плат. поручения - ввод символов  { }  допустим 
[-] Исправлено. Линия разреза при печати нескольких платежек расположена корректно.
[-] Исправлено. Путь к файлам клюлчей сохраняется, если выполняется автообновление клиентского места при первой синхронизации клиентского места с банком.

What's new in the iFOBS Win32 Client (2.1.6.40)

[+] Добавлена проверка дат <В выписке "За период..."> при задании даты превышающей дату ОДБ формируется сообщение об ошибке.
[+] Авторизация ОТР-паролем операций (вход, документы) на основании ответа RSA "Антифрод" (СБРФ)
[+] При подписании/синхронизации проверяется доступность к ключам и сертификатам с проверкой их подлинности. (Если ключи закешированы то всёравно проверяется наличие на (диске/дискете/токене) с проверкой подлинности. 
[+] Реализована возможность управлять опцией кеширования секретных ключей через настройку клиентских мест - LockCashePrivateKey
[-] Исправлена ошибка печати шаблона заявки на продажу валюты. МФО и Наименование банка при зачислении гривны на счет в другом банке отображается правильно.
[-] Исправлено.При выполнении синхронизации если с банка приходит документ и на кл.месте этот документ не менялся - в таком случае документ заменяется на документ пришедший с банка  
[-] Исправлено. При смене пароля ошибки не возникает.
[-] Исправлено. При сохранении выписки в файл в TXT или BOL формате поле № 13 Наименование получателя выгружается правильно  (38 символов согласно формата) 
[-] Исправлено. При открытии формы "Выписка за период..." селекторная кнопка установлена напротив пункта "За период." 
[-] Исправлено. При выполнении пункта "Открыть текущий докумен в Word" формы заявки на продажу валюты поле Сумма комиссии отображается.
[-] Исправлено. При на форме Валютного платежного поручения при выборе валюты GBP сумма прописью указывается правильно  
[-] Исправлено. В заявках на Покупку, Продажу и Конверсию валюты, появляется в перечне валют только валюты, по которым есть счета. В документе SWIFT - полный перечень валют появляется только при включенной настройке FxSwiftAllCurrency


Необходимо проверить все валютные документы 
1. Стандартная конфигурация
2. При включенной настройке FxCustomOTP (банк ОТП)
3. При включенной настройке  FxCustomLite
What's new in the iFOBS Win32 Client (2.1.6.36)

[+] Авторизация ОТР-паролем операций (вход, документы) на основании ответа RSA "Антифрод"
[-] Исправлено. При формировании заявки на продажу валюты - возможность зачисление гривны на счет клиента в другом банке
[-] Исправлено. Пометка на удаление, проставленная на сообщениих из банка, передается в бд iFOBS

What's new in the iFOBS Win32 Client (2.1.6.34)

[+] В сообщении о блокировке пользователя дополнительно указывается причина блокировки.
[+] Разработка в  Вин клиенте функциональности работы с  PDF - формой в части отправки заявки на открытие депозита
[+] Разграничение прав по типам документам для наложения факсимиле
[+] Корпоративные карты - добавлен запрет на редактирование документов если с таким документом имеется связанная транзакция upcperation
[-] Корпоративные карты - исправленв ошибка, на форме журнала карточных операций отсутствовало поле подпись. 
[-] Исправлена ошибка в iFOBSUpdater - не архивировалась VCLSoapIndi.bpl.
[-] После отключения зарплатного проекта от клиента iFobs и снятия предприятия(и счетов) с мониторинга,  win32 не  отображает справочники зарплатных проектов и сотрудников по отключенным предприятиям

What's new in the iFOBS Win32 Client (2.1.6.33)

[+] Корпоративные карты - перевод на карту для ФЛП.
[+] Корпоративные карты - формирование выписки по связанному гривневому договору.
[-] Корпоративные карты - исправлена ошибка сохранения обновленных остатков по карте.

What's new in the iFOBS Win32 Client (2.1.6.32)

[+] Добавлена поддержка кластера.

What's new in the iFOBS Win32 Client (2.1.6.30)

[+] Добавлена поддержка соединения с сервером по протоколу  TLS1.2 и обновлены библиотеки OpenSSL.
[+] В логи добавлена информация о протоколе текущего соединения.
[+] Для документа со статусом "Требует ОТР-подтверждения" добавлено описание статуса.
[+] На формах документов SWIFT, покупка, продажа, конверсия валюты добавлен  столбец Плательщик для отображения наименования Плательщика.
[+] Добавлена пользовательская настройка расположение Фома Настройки -> Документы - SortDocNoAsString - Сортировать документы по номеру как строковое значение.
     При включенной настройке сортировка списка документов на формах всех документов будет осуществляется как строковое значение иначе как число
[*] Оптимизазиция загрузки больших объемов данных
[-] Исправлены плагины экспорта импорта сотрудников.
	1. При экспорте данных о сотрудниках в txt и html выгружается полное название области, тип C (40).
	2. При импорте данных о сотрудниках из CSV файла, значения из полей ADDR_REGION и JURADDR_REGION импортируются.
[-] Исправлено сообщение о блокировке токена для банка Пиреус

What's new in the iFOBS Win32 Client (2.1.6.28)

[+] Добавлена настройка клиентских мест FXConvertAutoCalcAmount  - Автоматический расчет второй суммы в заявке конверсии валюты при вводе одной из сумм (покупки или продажи). По умолчанию включена.
[+] Добавлена настройка кл.мест FxSWIFTCanUseFMTD - Запретить возможность ввода опции D в валютных платежных поручениях (DELTA)
[+] Добавлен запрет на создания привязки к контрагенту - физ. лицу
[+] Добавлено ограничения по работе с анкетами сотрудников (Доп. параметр ЗКП "Запрет работы с анкетами сотрудника") (Пивденный )
[+] Добавлена поддержка соединения с сервером по протоколу  TLS1
[-] Исправлена ошибка при формировании выписок и экспорте в другие форматы
[-] Исправлена ошибка при генерации сертификата на USB-токен, если предыдущий был просрочен. 
[-] Исправлены ошибки при формирование выписок и экспорте в другие форматы
[-] Исправлено при последовательном накладывании подписей с разных рабочих мест - Подписание авторизованными лимитами доступно.
[-] Исправлена ошибка при генерации сертификата на USB-токен, если предыдущий был просрочен.

What's new in the iFOBS Win32 Client (2.1.6.26)

[+] Реализовано. Если у валюты установлен признак "Валюта по умолчанию" то валюта с таким кодом попадает в список курсов на форме My IFOBS независимо от того настроены ли валюты у пользователя
[+] Реализован механизм проверки пароля пользователя согласно справочника запрещенных паролей
[+] Реализован механизм проверки пароля пользователя на содержание персональной информации пользователя (логин, номера телефонов, дата рождения)
[+] При сохранении документа в нац. валюте, у банка получателя проверяется признак наличия в банке временной администрации. Если у банка получателя стоит признак наличия временной администрации , то выдается предупреждение: "Внимание! В Банке получателе введена временная администрация НБУ."
[+] При формировании выписки через мастер в диалоговом окне добавились 2 опции:  1) Выводить курс по документам; 2) Выводить два курса
[+] На форме ввода параметров выписки добавлена галочка"Разбивать переоценку". Если галочка включена то будет показана отдельно Переоценка и Не операционная курсовая разница, если галочка выключена то Переоценка будет показана по-старому.


Проверить  работу отчетов на более старом клиенте, к примеру на 2.1.6.24

What's new in the iFOBS Win32 Client (2.1.6.24)

[+] Реализован функционал "Заказ наличности" (СБРФ). 
[+] Реализован функционал для формирования факсимильных подписи и печати на отчетах (ВТБ).
[*] Форма сотрудники предприятия. Добавлена возможность отдельной синхронизации по задаче.
[*] При экспорте выписок в файл поле "Номер Документа" расширено с 10 до 32 символов. 
[*] Изменен способ записи сертификатов на RSA-токены, увеличен % сжатия.
[*] Добавлена настройка для авторизации пачек по упрощенному алгоритму: при подтверждении платежа используются 4-ре последние цифры счета и сумма без копеек.  (ВТБ)
[-] Исправлена ошибка в округлении при высчитываемой сумме НДС документы в нац.валюте
[-] Исправлена ошибка с отображением сумм в валютной выписки в Win32 Client
[-] Исправлена ошибка при синхронизации. В случае получения ошибки при получения сообщений (Get2Message) программа выполняла некорректный повторный вызов  Get2Message.
[-] Исправлено избыточное логирование событий для отправки на RSA сервер (СБРФ).
[-] Исправлена ошибка – изменения порядка колонок на форме "Мой iFOBS" при обновлении с версии 2.1.5.X на 2.1.6.X
 
What's new in the iFOBS Win32 Client (2.1.6.23)

[-] Исправлен баг, после печати выписка при сворачивании программы клиента ifobsClient, программа исчезала с панели управления, при этом в диспетчере задач она была видна. Сейчас выписки формируются в пределах главного окна программы ifobsClient.
[-] Исправлена ошибка определения возможности перегенерации сертификата после того как он просрочен. 

 What's new in the iFOBS Win32 Client (2.1.6.22)

[+] Реализован режим запрос ОТР-кода только при наложении подписей на документ/сообщение (в модуле юр. лиц). Документ/сообщение, отправленные без подписи, не требуют ОТР-кода. Данный режим включается настройкой на сервере -"OtpConfirmationDocumentOnlySign".
[*] Добавлено автоматическое обновление информации по корпоративным картам в случае получение ответа от сервера об успешном выполнении операции блокировки карты в журнале карточных операций.(Альфа) 
[*] Во все документы , в меню подпись, добавлен пункт меню "Авторизация документов OTP-токеном". Доступно при использовании OTP-токенов для авторизации документов.
[*] Добавлена настройка запуска синхронизации автоматически , после выполнения импорта "ISO-20022 pain.01". (СБРФ)
[*] При синхронизации , в случае отключения токена у пользователя,  на не авторизированных документах на локальной БД снимаются признаки что документы требуют авторизации.
[*] При запуске  основной синхронизации проверяется необходимость синхронизировать "Белый список". Выдается запрос  и если пользователь соглашается, то выполняется вначале отдельно синхронизация Белого списка а потом запускается общая синхронизация. 
[-] Исправлено определение необходимость запроса ОТР-кода при отправке сообщений. Раньше не учитывалась серверная настройка - "otptoken.cbmessage.enabled".
[-] Добавлен запрет использования ЗКП если ЗКП помечен на удаление
[-] При импорте ЗВ если в поле ISEXTACCOUNT (со счета другого банка) - используется значение отличное от 0 или 1 или <пусто> - выдается сообщение об ошибке
[-] Исправлена ошибка при синхронизации. Удалялась дополнительная информация  полученная  в момент импорта  плагином ('Импорт данных  (СБРФ)'). 
[-] Исправлены мелкие ошибки в ленгаг при работе с RSA-токенами. (ICB)

What's new in the iFOBS Win32 Client (2.1.6.20)

[+] Реализован запрос ОТР-кода только при наложении подписей на документ/сообщение (в модуле юр. лиц),  при соответствующей включенной опции на сервере.
[+] Реализован модуль «Корпоративные карты» для Альфа банка.
[+] Реализовано новое право «Импорт документов по всем счетам клиента». Используется для импорта данных ISO20022. Позволяет импортировать документы в формате ISO20022, по всем счетам  клиента,  не зависимо от прав доступа.
[+] Добавлен учет серверной настройки (включение/ выключение необходимости авторизации сообщений )
[+] Добавлено отображение даты ОДБ на форме My iFOBS
[-] Исправлено подписание Зарплатной ведомости

What's new in the iFOBS Win32 Client (2.1.6.18)

[+] Добавлена возможность одновременного импорта  нескольких ЗВ из XLS , ХML формат
[+] Реализован механизм смены (перегенерации) сертификата пользователем с использованием ОТР кода  при включенной настройке клиентского места OtpConfDoc =1.
[-] Исправлена ошибка – В заявках на покупку валюты общая сумма документов могла превышать сумму контракта.
[-] Исправлены мелкие ошибки при работе  с RSA токенами (Переус)

What's new in the iFOBS Win32 Client (2.1.6.16)

[-] Исправлена ошибка при выполнении операции "Восстановление сертификата".


What's new in the iFOBS Win32 Client (2.1.6.15)

[+] Добавлена возможность сформировать ряд отчетов по исполнению регулярных платежей
[+] Добавлена операция Погашения кредитов (без распределения средств)
[+] Реализован измененный алгоритм входа в программу и работа с сертификами пользователя (ICB)
[+] Для документов, которые подписаны необходимыми ЭЦП и отправка которых требует подтверждения ОТР-кодом - реализовано отображение статуса Требует ОТР-подтверждения
[-] Исправлена проверка прав на счета при выполнении операции "Подписать от имени" для заявок на покупку валюты

What's new in the iFOBS Win32 Client (2.1.6.13)

[+] Для документов, которые подписаны необходимыми ЭЦП и отправка которых требует подтверждения ОТР-кодом - реализовано отображение статуса Требует ОТР-подтверждения
[+] Реализована авторизация сообщений OTP и виртуальными токенами (ВТБ)
[+] Добавлена специальная форма печати сертификата для ключей X.509 (ВБР)
[+] Добавлен учет виртуальных токенов при подписании от имени
[+] В сообщении о необходимости авторизовать документы от имени другого пользователя добавлен перечень логинов этих пользователей.
[+] Добавлен документ Операции с кредитами (ВБР)
[-] Исправлена ошибка типа "Ошибка обновления табл. SYSINFO"
[-] Исправлена ошибка при выполнении пункта меню обновить данные во время редактирование документа.
[-] Исправлены мелкие ошибки при создании сертификатов X.509

What's new in the iFOBS Win32 Client (2.1.6.12)

[+] В подсистему бюджетирования и лимитирования добавлен документы SWIFT.
[+] Изменить хранение ЗВ и начислений к ним на клиентском месте для улучшения производительности работы с локальной БД
[-] Исправлена некорректное удаление доппараметров сотрудников. 

What's new in the iFOBS Win32 Client (2.1.6.11)

[+] Реализована работа с RSA токенами для банке Пиреус
[-]  Исправлена ошибка при отправке документов подписанных пользователем с ОТР-токеном. При включенной опции отапрвлять все документы  -документы отправлялись на сервер без авторизации.

What's new in the iFOBS Win32 Client (2.1.6.10)

[+] Добавлена подсистема работы с белыми списками контрагентов
[-] Исправлено формирование фильтра в справочнике НП для гривневых документов
[-] Исправлено подписание сообщений с разных рабочих мест
[-] Исправлено удаление сообщений
[-] Исправлены ошибки по работе с ключами X509
[-] Исправлена ошибка контроля соответсвия токена пользователю при первом входе в Win32Client
[-] Исправлены ошибки по работе с карточными операциями

What's new in the iFOBS Win32 Client (2.1.6.8)

[+] Добавлена карточная операция - заказ новой карты
[-] Исправлены ошибки по работе с документами - блокировка, подключение услуги "Мобинфо", перевыпуск карты


What's new in the iFOBS Win32 Client (2.1.6.7)

[+] Добавлены карточные операции - блокировка, подключение услуги "Мобинфо", перевыпуск карты
[+] Добавлен журнал карточных операций
[+] Доработан журнал изменения лимитов
[-] Исправлены ошибки по работе с ключами X509

What's new in the iFOBS Win32 Client (2.1.6.6)

[*] Доработан механизм работы с корпоративными картами

What's new in the iFOBS Win32 Client (2.1.6.5)

[+] Разработаны формы работы с корпоративными картами
[+] Разработана выписки по карточному счету (корпоративные карты)
[+] Разработана выписки по карте (корпоративные карты)

What's new in the iFOBS Win32 Client (2.1.6.4)

[*] Доработан механизм работы со стандартом X.509 центра серртификации Cipher 

What's new in the iFOBS Win32 Client (2.1.6.2)

[*] Доработан механизм работы со стандартом X.509 центра серртификации Cipher 
[*] Локализованы сообщения об ошибках.

What's new in the iFOBS Win32 Client (2.1.6.1)

[*] На форме ввода депозитных документов реализован выбор счета из выпадающего списка при  снятии средств с депозита (при включенном чекбоксе  "мой счет").
[*] Доработан механизм работы со стандартом X.509 центра серртификации Cipher 

What's new in the iFOBS Win32 Client (2.1.6.0)

[+] Реализована поддержка стандарт X.509 центра серртификации Cipher 


What's new in the iFOBS Win32 Client (2.1.5.25)

[+] Реализована подсистема SMSConfirmation(МОТОР-БАНК)
[+] Реализован механизм подписания всех начислений ЗВ одной подписью (СБРФ)
[+] Реализован механизм ограничения прав по зарплатной подсистеме на доступ к начислениям по ЗВ
[*] При попытке подбора пароля на ключ - происходит блокировка клиентского места
[*] При одновременной работе с одним и тем-же документом с разных рабочих мест добавлен анализ и обработка версии документа
[*] При создании сообщений доступны только темы которые не помечены как удаленные
[*] На форме  вал. плат. поручения расширен размер поля 70 
[-] Система корректно работает с USB Token  с отключенной функцией "кешировать секретные ключи в памяти"
[-] Исправлена ошибка работы с шаблоном "Без ПДВ".
[-] На форме сотрудники установка фильтра работает корректно

What's new in the iFOBS Win32 Client (2.1.5.23)

[*] Изменена проверка корректности пароля
[-] Исправлена ошибка некорректной синхронизации сотрудников ЗВ

What's new in the iFOBS Win32 Client (2.1.5.22)

[-] Исправлена ошибка некорректной обработки уровня сложности пароля

What's new in the iFOBS Win32 Client (2.1.5.21)

[+] Добавлена настройка клиентских мест SalScheduleCommentLimited - Ввод комментария в Зарплатной ведомости ограничен 160 символами 
    Ограничивает поле «Комментарий» на форме «Зарплатные ведомости предприятий» 160 символами и минимальной длиной в 8 символов
[*] Доработаны выписки и отчеты в соответствии с требованиями банка(OTP)
[*] На форме "счета сотрудников" на закладку "запись" добавлено наименование предприятия, к которому привязан счет.
[*] В случае ошибки при загрузки дампа он удаляется без сообщения об ошибке.
[*] В Заявке на продажу валюты изменены поля: МФО и название банка для счета, на который будет зачислена гривна 
[*] Не отображаются удаленные кредитные сделки.
[*] При включенной константе 'Проверить обязательное заполнение основания на покупку валюты.' 
    текст ошибки на win32 - "Заявка на покупку валюты должна содержать хотя бы один контракт."
[-] Настройка префикса номера документов сохраняется корректно
[-] Ошибка не выпадает если во время синхронизации win32 клиента с сервером заблокировать работу пользователя windows.

What's new in the iFOBS Win32 Client (2.1.5.20)

[-] Исправлена ошибка синхронизации данных по счетам сотрудников зарплатного проекта

What's new in the iFOBS Win32 Client (2.1.5.18)

[+] Доработана утилита обновления версии Win32 клиента iFOBS (IFOBSUpdater):
    - каталог OldVersion - полностью очищается от старых файлов исключая файлы с расширением .zip.
    - в каталоге OldVersion создается файл zip-архива с именем на основании текущей версии клиента(например 2_1_5_11.zip). 
      В этот файл упаковываются только те файлы которые будут изменены в процессе обновления а также Ini-файлы .
    - в случае сбоя обновления старые файлы будут автоматически восстановлены из архива.
[+] Добавлена  поддержка USB-токенов от Vasco Digipass Key860
[+] Реализована возможность импорта общей ЗВ предприятия.
[*] Оптимизирована работа форм зарплатного проекта
[*] При выполнении долгих операций над ЗВ (подписание сохранение удаление подписи и др.) реализовано всплывающее окно, которое показывает пользователю ход процесса пользователю
[*] При вводе новой ЗВ в случае совпадения номера ведомости, даты документа, счета плательщика выдается ошибка и сама форма остается в состоянии редактирования
[*] В печатную форму зарплатной ведомости добавлен идентификационный код сотрудника
[*] При проверке дублей по паспортам сотрудников ошибки дублей не возникнет если сотрудник удален или отклоненных в Б2 
[*] Доработана форма открытия депозита: 
    - добавлено нередактируемое поле "Макс. сумма депозита"
    - при сохранении заявки осуществляется проверка значения поля "Сумма"
[*] Добавлено корректное сообщение о превышен допустимого периода между синхронизациями.
[*] «Отключенные» банки отображаются «зачеркнутыми» строками  в справочнике и не доступны при выборе.
[*] При начале синхронизации проверяется форма Сообщений и если форма находится в состоянии редактирования выводится предупреждение о необходимости завершить операцию редактирования.
[-] При загрузке данных для справочника курсов обмена валют ошибки загрузки не возникает.

What's new in the iFOBS Win32 Client (2.1.5.17)

[+] Добавлена настройка клиентского места ForceUpdateClient - принудительное обновление Win32 клиента.  
    При установке настройки администратором и наличии обновления для текущей версии Win32 клиента 
    пользователь уведомляется о наличии новой версии и происходит обновление клиентского места.
[+] Добавлено право "Только подписание". При наличии этого права - редактирование, удаление, добавление, клонирование и импорт не возможны.
[+] Добавлена возможность прикрепления к ЗВ файла в формате JPEG, PDF и DOC
[*] Увеличен максимальный размер блока отправляемых и получаемых данных до 4 Мб
[*] На форме "корреспонденты валютных платежных поручений", "НП валютных платежных поручений" - добавлена проверка на спецсимволы.
[*] Если на форме нет документов -  функция экспорта документов недоступна
[-] При подписании документа в национальной валюте страна резидентности не изменяется 
[-] Форма "Открытие депозита" - список сроков депозитов не дублируется

What's new in the iFOBS Win32 Client (2.1.5.16)

[+] Добавлена поддержка USB токенов RSA SecurID
[+] На форме "Информация по документам" реализован механизм подсчёта суммы выбранных документов
[+] Доработан механизм обновления информации: добавлена возможность выбора группы обновляемых данных.
[+] Реализован формат экспорта-импорта для заявки на продажу валюты (OTP)
[+] Реализован формат экспорта-импорта для конверсии валюты (OTP)
[-] Настройка ComplexPasswRulesLevel доставляется корректно
[-] Дамп первичной инсталяциии с разбивкой на разделы загружается корректно
[-] Исправлена ошибка наложения подписей на начисления зарплатной ведомости при выполнении групповых операций подписания.

What's new in the iFOBS Win32 Client (2.1.5.15)

[+] Доработан механизм регистрации клиентов банка - добавлена возможность использования единого пароля на вход в систему и на секретцый ключ (ВТБ).
[+] Добавлена проверка настройки сервера "Период перегенерации ключей ЭЦП после истечения их срока действия" 
    в течении указанного периода работа в системе запрещена, разрешена только перегенерация
[*] Реализован выпадающий список доступных для снятия депозита ЮЛ счетов при включенном чекбоксе  "мой счет".
[*] При наличии информации об авторизованном сертификате пользователя не допускается повторный прием запроса перегенерации сертификата.
    Добавлена проверка ошибок при обработке ответа от сервера.
[*] Реализована возможность распечатывать заявку на покупку валюты с отображением всех полей электронного варианта документа.
    При вызове tag PurposeFull из документа шаблона выводится с контрактами и документами
[*] Изменено наименование "IFOBS" на "OTP online" для WIN32 iFobs.  (OTP)
[*] В валютных заявках на распределение и продажу валюты, добавлено новое условие - "Сегодня. Срочно"
[-] Исправлено отображение суммы авторизационного лимита на форме  "Права на счета"

What's new in the iFOBS Win32 Client (2.1.5.14)

[+] Разработаны дополнительные плагины импорта и экспорта данных в нац. валюте (СБРФ).
[*] На форме ввода депозитных документов реализован выбор счета из выпадающего списка при  снятии средств с депозита (при включенном чекбоксе  "мой счет").

What's new in the iFOBS Win32 Client (2.1.5.13)

[+] Реализована возможность сортировки по наименованию контрагента в выписке (OTP)
[*] Добавлена возможность печати информации о сертификате при аварийном восстановлении
[*] Доработаны вормы выписки (OTP) 
[*] Доработан формат импорта и экспорта заявки на покупку валюты (OTP)
[*] Задача "Открытие депозита":
    - сортировка типов депозита производится в алфавитном порядке.
    - сортировка сроков депозита производится в порядке увеличения срока действия;
    - список типов депозитов отображается корректно;
    - доработана логики отображения значений в полях "Минимальная сумма депозита" и "Годовая процентная ставка".
[*] Добавлено поле "название депозита" на форме "Информация по депозиту"
[-] Дополнительная информация по депозиту не запрашивается при полной синхронизации
[-] Исправлена ошибка отображения форм - после изменения форм отображение полей остается корректным

What's new in the iFOBS Win32 Client (2.1.5.10)

[+] Добавлена насткройка клиентских мест SalTransitOTP_BankAccount - Номер транзитного счета для ведомостей по типу продукта (OTP)
[-] При клонировании валютного поручения поле "Наименование адрес" заполняются правильно.

What's new in the iFOBS Win32 Client (2.1.5.8)

[+] Добавлена настройка клиентских мест SalScheduleCommentLimited - Ввод комментария в Зарплатной ведомости ограничен 160 символами 
[*] При формировании выписки в XSL-формате в поле "Дата документа" проставляется корректное значение.
[*] В справочнике "Код вида оплаты" поле "Наименование" расширено до 254 символов
[*] Доработан формат выписок (OTP)
[*] Увеличен максимально допустимый размер файла импорта данных по сотрудникам предприятия.
[*] Изменено расположение пунктов меню для зарплатного проекта

What's new in the iFOBS Win32 Client (2.1.5.7)

[+] Добавлена настройка клиентских мест  SalLinkWithDoc - Привязка документов на оплату налогов по зарплатным ведомостям
    Настройка отвечает за возможность пользователей связать зарплатную ведомость с документами по оплате налогов.
[+] Добавлена поддержка OTP-токенов фирмы Gemalto
[+] В плагин импорта ЗВ из DBF добавлена функция определения кодировки (Windows или DOS) при условии что кодировка не указана в заголовке DBF - файла
[+] Доработан механизм приема вложений расширенных сообщений
[*] В поле ИНН сотрудника ЗВ запрещен ввод десяти нулей
[*] Измененено упоминание OTP-токена фирмы VASCO - "Digipass" на "OTP-токен"
[*] Расширен диапазон  допустимых символов для формирования документов. Допустимы символы, которые разрешены НБУ в качестве реквизитов документа.
[*] Форма сообщений от администратора отображается только при наличии лицензии на данную функциональность
[*] При формировании выписки в XML и XLS форматы имена файлов формируются одинаково.
[*] При выборе ЗКП в зарплатной ведомости отображаются только активные записи
[-] Исправлен механизм синхронизации с формы документов: осуществляется отправка документов с данной формы.
[-] Исправлен механизм формирования выписки в XML - сумма переоценки отражается корректно
[-] Исправлен механизм проверка телефонов при включенной параметре chk_salemplreq_phone

What's new in the iFOBS Win32 Client (2.1.5.5)

[+] Добавлена форма внутрибанковского валютного платежа (OTP).
[+] Доработаны отчеты в соответствии с требованиями банка (OTP).

What's new in the iFOBS Win32 Client (2.1.5.4)

[+] Добавлена форма ввода заявок на открытие депозита.
[+] Добавлена функциональность по обработке заявок на перевыпуск карт
[-] Исправлена ошибка заполенения списка при создании валютных документов (при первом входе в программу).
[-] Исправлена загрузка Dump справочников

What's new in the iFOBS Win32 Client (2.1.5.2)

[+] Добавлена настройка клиентских мест, которая определяет логику действий при обнаружении ошибок импорта ЗВ.
    SalAmountCanImportWithError - При импорте начислений ЗВ в случае невозможности обработки части начислений импортировать ЗВ с корректными начислениями.
[+] Добавлен параметр права "Только свои сообщения " (Ограниченные права) 
    При установке этого права пользователь будет видеть только собщения созданные им и сообщения которые отправляются пользователю из банка.
[+] Добавлена настройка клиентских мест FxBuyShowAmountUAH - True - отображать признак "Сумма указана в гривне"
    Настройка отключает функционал "Сумма указана в гривне" в заявке на покупку валюты
[+] Внешний вид валютных форм изменен в соответствии с требованиями банка (OTP).
[*] Валютное платежном поручении поле - "Основание" расширено до 90 символов.
[*] Реализована возможность регулирование валюты счета комиссии в валютном платежном поручении (настройка сервера)
[*] Добавлено поле "Страна резидентности" в плагины импорта сотрудников (DBF, XLS, XML)
[*] Доработана функция построения отчета "Информация про открытые ключи" при аварийном восстановлении сертификатов пользователя
[*] При ручном формировании / импорте ЗВ на вин32 запрещено создавать начисления сотрудникам, анкеты которых находятся в статусе "Отклонен"
[*] Исправлено отображение валютных форм при низком разрешении монитора
[*] Изменена логика дополнения телефонных номеров при вводе информации по сотруднику
[*] При импорте документов в нац. валюте автоматически удаляются некорректные символы. которые могут привести к ошибке при проверке документа.(Астелит) 

What's new in the iFOBS Win32 Client (2.1.5.0)
[+] Для валютного платежного поручения(SWIFT)добавлена возможность заполнения  SWIFT полей 26Т и 77В. (СБРФ)
[+] На форме "Остатки по счетам" добавлена возможность не отображать данные по удалённым счетам
[*] Для валютного платежного поручения(SWIFT) в поле "BIC" для запрещен ввод текста содержащий перенос строки.
[*] При импорте списка сотрудников, привязка ЗКП - тип карты, установленный по умолчанию банком, подставляется автоматически для сотрудника.
[*] При формировании ЗВ доступны только активные записи справочника «Виды начислений»
[*] При клонировании-импорте ЗВ, по которой отсутстствует значение ЗКП, доработана логика установки ЗКП:
     - если по предприятию определен только один ЗКП, то он автоматически устанавливается
     - если по предприятию определено несколько ЗКП, выводится форма выбора ЗКП
     - если не определено ни одного ЗКП то ЗВ формируется без учета ЗКП (старый вариант)

What's new in the iFOBS Win32 Client (2.1.4.11)

[+] Разаработаны плагины экспорта выписки в файл (SEB)
  - ExportXLS_SEB.dll - Экспорт данных в XLS формат (SEB) 
  - ExportTXT_SEB.dll - Экспорт данных в TXT формат (SEB)
  - Export1C_SEB.dll - Экспорт данных в 1C формат (SEB)
[+] Разаработаны плагины импорта  документов в нац.валюте.
  - ImportCB1C_SEB.dll - Импорт из 1C-формата (SEB)
  - ImportCBTXT_SEB.dll - Импорт из TXT-файла (SEB)
[*] Добавлена автоматическая нумерация документов по депозитам.
[-] Признак срочности валютного платежное поручения (OTP) передается корректно.

What's new in the iFOBS Win32 Client (2.1.4.9)

[+] Добавлен запрет редактирования удаленных анкет.
    Удаленная анкета будет доступна для редактирования если выполнить "Восстановление анкеты" 
[*] Оптимизирован импорт анкет сотрудников.  
[*] При клонировании заявки на покупку валюты добавлена проверка контрактов. Записи с удаленным кодом не вставляются.
[*] Для Валютного платежного поручения в поле "PARID"  запрещен ввод текста содержащий перенос строки.
[*] Формирование выписок: исправлено отображение информации об ответственном лице для каждого счета (ОТР).
[-] Исправлено позиционирование при удалении записи.

What's new in the iFOBS Win32 Client (2.1.4.8)

[+] При выполнении синхронизации переделан механизм формирования пакета данных отправляемых клиенту.
    Данная доработка позволила:
    - уменьшить общий размер файла передаваемого с сервера
    - убрать пиковые нагрузки при выделении памяти в процессе загрузки больших объемов данных.
[+] Добавлен контроль версии загружаемого обновления и версии программы.
    Если в процессе закачки обновления обнаруживается что версия программы была уже обновлена (стала выше) закачка прекращается.
[+] На клиентское место при первой синхронизации загружаются данные необходимые при генерации сертификатов. 
[+] В форму корреспонденты документов в нац. валюте некорректное значение ИНН (ЕДРПО) не заносится.
    Добавлена проверка ИНН (ЕДРПО) при создании документа - если ИНН неправильный то информация о корреспонденте не обновляется.
[+] Добавлена проверка контрольного разряда для ИНН при работе со справочником контрагентов по аналогии с проверкой при создании документа.
[+] Добавлены настройки клиентских мест Сервис -> Ностройки -> Валютные заявки
    - форма ввода Валютных платежных поручений отображается на одной странице
    - форма ввода Заявки на покупку валюты отображается на одной странице
[+] Внешний вид валютных форм изменен в соответствии с требованиями банка (OTP).
[+] В формат импорта сотрудников из xls-файла добавлено поле TABNO номер колонки в xls-файле - 38; Поле не обязательное для заполнения.
    При импорте если поле заполнено то его значение сохраняется в привязку сотрудника к предприятию.
[*] В поле "Примечание" для заявки на покупку валюты запрещен ввод текста в несколько строк с использованием переноса строки. 
[*] При клонировании анкеты сотрудника с незаполненными полями телефонов в новой анкете поле домашний телефон остается пустым.
    (если настройки в банке позволяют не указывать номера телефонов)
[*] В список допустимых первых двух символов номера украинского паспорта добавлены буквы украинского алфавита, которые отсутствуют в русском алфавите ( і,ї,є)
[*] При сохранении анкеты сотрудника с пустым полем (заполненным пробелом) email ошибки не возникает.
[*] Поиск сотрудника по ИНН (импорт ЗВ) осуществляется из списка доступных сотрудников 
    (т.е. сотрудник должен работать на предприятии, иметь карточный счет и в случае с работой по ЗКП должна быть привязка по ЗКП)
[*] В заявках на конверсию валюты клонируются поля по контракту   
[-] При синхронизации доставляется информация по справочнику зарплатных проектов, которые привязаны только к текущему клиенту.
[-] Исправлена ошибка формирования выписки (OTP)

What's new in the iFOBS Win32 Client (2.1.4.6)

[+] Добавлена возможность хранения ключей на USB token фирма SafeNet(Aladdin Knowledge Systems Ltd.)
[+] Добавлен плагин импорта Списка корреспондентов из XML файла
[+] Реализована возможность пользовательской сортировки типов платежа
[*] Подсистема лимитирования перенесена в отдельный модуль. (RtlLimitAccount.bpl)
[*] При импорте анкет сотрудника параметры "Область", "Район" и "Город" не заполняем значением "Невизначено",
    если в параметрах настройки данные поля помечены как необязательные для заполнения
[*] Добавлени механизм определения ЗКП при импорте Зарплатной ведомости (если ЗКП не указан)
[-] При клонировании и импорте ЗВ Статусы начислений отображаются правильно (статус "введен")
[-] При генерации сертификата поля Город, Организация, Подразделение подставляются корректно
[-] При снятом кэшировании секретных ключей обновления win32clienta происходит без ошибок


What's new in the iFOBS Win32 Client (2.1.4.4)

[+] Добавлена настройка клиентского места, позволяющая задать префикс для документов пользователя 
    (Сервис -> Настройки -> Документы -> Нумерация ->Префикс номера документов пользователя)
    Префикс состоит из 3 символов (допустимые символы все буквы кирилицы и латинского алфавитов, а также "-" и "_")
    При вычислении следующего номера документа к номеру документа добавляется префикс номера документов пользователя.
[+] На форме зарплатной ведомости добавлено отображения поля "Источник формирования"
[+] Реализована синхронизация справочника DealCliForexContractDocType (Типы документов для клиентской покупки-продажи валюты).
    Реализовано использование справочника при создании и редактировании документов (Заявка на покупку валюты)
[+] Добавлены настойки клиентских мест:
    - SalListPaymentPurposesForReminder - предназначена для определения списка кодов вида начисления по ЗВ из соответствующего справочника, 
      по которым должна выполняться проверка соответствия списка сотрудников ЗКП и начислений в ЗВ
    - SalShowReminderFiredEmployees - предназначена для установки признака необходимости проверки расхождений в списке сотрудников по ЗКП 
      и начислениям в ЗВ по данному ЗКП. Настройка доступна для изменения в Win32 Client (Сервис -> Настройки-> Зарплата).
    При попытке сохранения ЗВ с видом начисления из списка, указанного в первой настройке клиентских мест, 
    выполняется автоматический анализ по различиям между списком сотрудников по ЗКП, указанному в ЗВ, и списком начислений по ЗВ:
    - если обнаружили, что есть сотрудники, по которым нет начислений в ЗВ, то выдаем сообщение по двум пунктам 
     (Проанализируйте список сотрудников для проверки на наличие в данном списке уже уволенных сотрудников.);
    - если расхождений не обнаружено, то выдаем только уведомление (Необходимо уведомлять банк об уволенных сотрудниках.)
[*] При клонировании ЗВ в статусе отличном от 1102 - клонируются только те начисления, которые не удалены и не отклонены. 
    Если ЗВ в статусе 1102 ("В банке |Отклонен") то клонируются все начисления.
[*] Расширенно поле "Наименование клиента" в форме печати зарплатной ведомости.
[*] После импорте сотрудников проверяется значение параметра RESIDENT - может принимать только значения "1" или "2".
    Если не соответствует данному ограничению, то устанавливается значение по умолчанию - "1" (Резидент)
[*] Обновлена библиотека для USB token фирмы Автор.
[-] При построении выписки - Параметр "Сортировать счета по валюте" работает корректно.
[-] Изменена синхронизация сотрудников предприятия. Ошибки при синхронизации не возникает.

What's new in the iFOBS Win32 Client (2.1.4.2)

[+] Добавлена настройка клиентских мест SalEmpEditTOBO (разрешать определение по анкете сотрудника параметра «Отделение»). 
    True - на форме "Сотрудники" доступно изменение параметра «Отделение».
[*] Реализована передача параметра isDraftSignEnabled на клиентское место.
    По данной настройке определяется выполнять ли наложение черновой подписи на документы или нет.
[*] При экспорте данных о счетах в dbf файл выводятся данные только об открытых счетах. (Плагин Экспорт даннных в DBF (кроме уволенных)).
[*] При выполнении синхронизации зарплатных ведомостей(ЗВ) исключена возможность отправки на сервер измененную ЗВ, при наличии изменений на сервере.
[*] Добавлена проверка полей, участвующих в подписании документа, на допустимые символы
[-] Исправлен  экспорт выписки в DBF-файл (при установленном параметре "загружать остатки по счетам").
[-] Расширенно поле наименование клиента для печатной формы ЗВ.
[-] Исправлена ошибка формирования сертификата при формировании сертификата через "Мастер востановления сертификатов"

What's new in the iFOBS Win32 Client (2.1.4.1)

[+] Изменены plugin's импорта зарплатной ведомости
    - плагин импорта DBF добавлено поле COMMENTS VARCHAR(180) - "Комментарий" (поле может отсутствовать)
    - плагин импорта XLS добавлено поле COMMENTS  (11 колонка) - "Комментарий" (поле может отсутствовать)
    - плагин импорта XML добавлено поле COMMENTS - "Комментарий" (поле может отсутствовать)
[+] При создании зарплатной ведомости для поля "Комментарий" обязательность заполнения определяется из таблицы настроек.
[*] При установленном признаке "Разрешить ввод кириллицы в вал. плат. поручении" 
    добавлена возможность ввода символов - " % \ ; < > | ! ^ ~ ` *  № # $ & = @ _  на форме ввода валютных платежных поручений.
[*] Добавлено поле "Ид. код контрагента" на форме "Остатки на счетах"
[*] Для операции "Задачи"- > "Просмотр печати" форма печати по-умолчанию имеет альбомную ориентацию
[*] Добавлена доставка нового поля с сервера "Сумма в эквиваленте" для архивных документов.
    Значение поля используется при формировании выписки вместо расчетного значения.
    Для получения значения данного поля по уже полученным в предыдущей версии документам (если это необходимо) 
    нужно обновить данные на форме  "Информация по документам".
[*] При клонировании ЗВ в статусе отличном от 1102 - клонируются только те начисления, 
    которые не удалены и не отклонены. Если ЗВ в статусе 1102 ("В банке |Отклонен") то клонируются все начисления.
[-] При экспорте выписки в xls-файл суммы отображаются корректно.

What's new in the iFOBS Win32 Client (2.1.4.0)

[+] Добавлены настройки клиентских мест:
    - ShowDailySumsInStatement - показывать ли в выписке итоги за каждый день (True/false) 
    - ShowPeriodSumsInStatement - показывать ли в выписке итоги за весь период выписки (True/false)
[+] Добавлена пользовательская настройка <Отображать остатки по опер дню основного филиала>.
    Если настройка включена на форме Мой iFOBS - остатки по счетам отображаются по опер дню основного филиала
    если настройка отключена - остатки по счетам отображаются по опер дню филиала
[+] Реализована возможность привязки анкеты сотрудника к нескольким ЗКП по одному предприятию, 
    по каждому из ЗКП определить свои значения дополнительных параметров.
[+] При наличии зарплатного карточного проекта(ЗКП) по предприятию: 
    - в зарплатной ведомости требуется указание ЗКП
    - в привязке сотрудника к данному предприятию требуется указание ЗКП
    - если к предприятию привязан один ЗКП - он подставляется автоматически в анкетах и ЗВ
[*] Перенесены настройки клиентских мест  в защищенную секцию.
[*] При создании назначения платежа валютных платежных поручений пустое значение поля "Назначение платежа" не допускается
[*] При запуске синхронизации с форм iFOBS установлен контроль открытых форм:
    если хоть одна форма находится в состоянии редактирования выдается сообщения 
    о необходимости завершить операцию редактирования.
[*] При перегенерации первичного ключа и записи ключа на диск система отслеживает ситуацию,
    когда для папки установлены права только на чтение и выдает сообщение о невозможности сохранить сертификаты.
[*] На форме "Назначение платежа валютных платежных поручений"  добавлено в грид поле "Корреспондент"
    Изменены названия полей "Состояние" переименовано в "Код состояния"                                                                                                                                                                                                                                                                                                                                                                                                                 

What's new in the iFOBS Win32 Client (2.1.3.10)

[*] Добавлено ограничение на длину вводимых данных поля "Дневной лимит" и "Лимит документа"
[-] Если не установлен flash плеер приложение выдает предупреждение.
[-] Параметр права "Ограниченные права" - "Информация ограничена по сроку давности" не влияет на системный фильтр на форме сотрудники
[-] Исправлены ошибки украинского интерфейса.

What's new in the iFOBS Win32 Client (2.1.3.9)

[+] Добавлены поля "Уполномоченное лицо" и "контактный телефон" на формы ввода заявок на покупку и продажу валюты.(OTP)
[+] Добавлена настройка клиентских мест SalCanEditEmployee (False - запрет добавления и редактирования данных сотрудника)
    Позволяющая запретить добавление , редактирование и удаление данных на Win32 Client на форме Сотрудники предприятия
[+] Добавлена настройка клиентских мест ShowAccountStateBlockDebetAsOpen 
    (Отображать остатки по счетам со статусом "Блокировка по дебету" так же как и по открытым счетам)
[*] На форме "Операции с депозитами" ограничен выпадающий список счетов только счетами контрагента, 
    по депозиту которого создается документ. 
[*] На форме консоль сертификатов при вводе аутентификационной информации добавлено поле выбора каталога,
    где будут хранится/хранятся  ключи для работы с программой.
[*] При формировании зарплатной ведомости пользователь может работать с карточными счетами сотрудников, 
    привязанными к данному предприятию в рамках указанного по ведомости ЗКП.

What's new in the iFOBS Win32 Client (2.1.3.8)

[-] Исправлено наложение полей на форме ввода привязки сотрудника.

What's new in the iFOBS Win32 Client (2.1.3.7)

[+] Добавлена общесистемная настройка клиентских мест SalShowTranslButton (True - отображать кнопку транслитерации на форме сотрудников), 
    которая скрывает кнопку транслитерации имени и фамилии на форме сотрудники.
[+] На вкладке "Предприятия" добавлено отображение дополнительного признака "Карта заказана".
[*] Выводится предупреждение об истечении срока действия ключа пользователя, 
    при подписании "Подписать от имени...",  "Подписать от имени (другой клиент)..."
[*] При сохранении валютного платежного поручения выполняется проверка  кода валютных операций 1ПБ на допустимость использования
[-] Исправлено отображение настройки "Автоматически подписывать документы" - "Только уже подписанные документы".
[-] Ошибки импорта начислений зарплатной ведомости для украинского и английского интерфейса выводятся.
[-] При повторном импорте из файла анкеты сотрудника привязка к предприятию проставляется.

What's new in the iFOBS Win32 Client (2.1.3.6)

[+] На форме формирования зарплатной ведомости добавлен признак привлечения средств со счета в другом банке
[+] Реализована возможность связать зарплатную ведомость с документами по оплате налогов (Дельта).
[*] На форме Зарплатной ведомости в начислениях добавлено поле (столбец)  "состояние" для начисления
[*] В справочнике «Зарплатные проекты» изменен тип параметра «Номер договора» с числового на символьный с длиной 25 символов."
[*] Изменена подпись сообщения о необходимости смены пароля для входа в систему.

What's new in the iFOBS Win32 Client (2.1.3.5)

[-] Исправлена ошибка заполнения опции "бюджет" документа в нац. валюте
[-] Исправлена ошибка автозаполнения кода страны документа в нац. валюте после ввода номера счета

What's new in the iFOBS Win32 Client (2.1.3.4)

[+] Добавлена задача "Инф. сообщение о покупке валюты" (OTP)
[+] Реализован механизм настройки отображения и обязательности полей анкеты сотрудника.
[+] На форме сотрудники добавлено  отображение нового источника формирования анкеты 6-"Создана мастером подключения"
[*] Добавлена проверка соответствия транспортного сертификата

What's new in the iFOBS Win32 Client (2.1.3.3)

[+] Добавлена задача "Заявка на распределение валюты" (OTP)
[*] Добавлен новый подпункт на форме "мой iFOBS" - "Непрочитанные" сообщения.
    При наличии непрочитанных сообщений данный пункт меню выделяется "жирным" шрифтом.
[*] В "Заявке на покупку валюты" увеличено поле ввода номера документа в документах в контракта.
[*] На форме Зарплатной ведомости в начислениях добавлено поле (столбец) "состояние" для начисления.
[*] При печати зарплатной ведомости отклоненные начисления отображаются перечеркнутыми.
[*] Внесены изменения в печатную форму SWIFT-платежа (в связи с требованиями постановления НБУ):
    - Добавлен код платежного поручения;
    - В наименовании документа убраны слова "ОКВ/ВКВ" - в документе четко обозначено наименование документа;
    - Резидентность (поля 50, 59) обозначается словами "Резидент", "Нерезидент";
    - Реализован вывод реквизитов только на украинском языке;
    - Добавлено поле "Адрес банка" в поле 52

What's new in the iFOBS Win32 Client (2.1.3.2)

[+] Проверка Даты валютирования на формах "ввод документов в нац. валюте", "ввод документов в иностранной валюте",  
    "валютное платежное поручение", "информационные документы" - проводится в соответствии с серверной настройкой периода.
[+] Добавлена возможность ввода букв в поле  идентификационного кода корреспондентов в документах и запрещено вставлять значение "0000000000".
[+] В заявках на продажу валюты добавлена возможность выбора счета для зачисления гривны из выпадающего списка.
    Автоматически заполняются поля “Банк”, "Ид. код" и "Наименование" после выбора счета.
[+] В печатной форме валютного платежного поручения сумма прописью валюты PLN (код 985) выводится с учетом "грошей".
[-] Информация из поля "пол" при импорте списка сотрудников из dbf-файла загружается корректно
[-] Исправлена ошибка вывода на печать ЗП-ведомости

What's new in the iFOBS Win32 Client (2.1.3.0)

[+] Добавлена поддержка MSXML Parser 6.0
[+] На форме сотрудники добавлена возможность автоматической транслитерацирации
[+] Реализован Импорт данных по сотрудникам из CSV-файла
[-] Сохранение документа в нац. валюте как шаблон работает без ошибок

What's new in the iFOBS Win32 Client (2.1.2.7)

[*] Добавлена проверка счета комиссии в валютных платежных поручениях, заявка на покупку, продажу, конверсию валюты - счет должен быть в нац.валюте
[-] При формировании зарплатной ведомости можно выбрать в качестве транзитного счета - счет без права дебета 
[-] При импорте зарплатной ведомости  возможно указывать транзитный счет, который не присутствует в доступных счетах пользователя.
[-] При формировании специальной строки для пенсионного фонда используется идентификационный код плательщика

What's new in the iFOBS Win32 Client (2.1.2.6)

[+] Добавлены настройки клиентского места:
    CDPwdExpireDef - значение по-умолчанию, для настройки "Количество дней до завершения срока действия пароля на вход в систему,
                      когда система начнет отображать уведомление"
    CDPwdExpireMax - максимальное значение, которое может выбрать пользователь для настройки 
                      "Количество дней до завершения срока действия пароля на вход в систему, когда система начнет отображать уведомление"
    Для клиентском месте реализована настройка "Предупреждать об окончании срока действия пароля на вход в систему (дней)" - вкладка " Безопасность приложения "
    После синхронизации , если до конца срока пароля остается период, указанный в настройке, выводится предупреждение с предложением поменять пароль.
[+] Добавлена возможность выбора ЗКП при создании зарплатной ведомости. 
    Поле для выбора ЗКП доступно и обязательно для заполнения в случае, если заполнена таблица с доп.параметрами. 
    Если таблица не заполнена - то поле с выбором ЗКП не отображается пользователю. 
[+] Добавлены настройки клиентского места:
    SalTransitVisaAccount - номер транзитного счета для ведомостей по типу продукта Visa
    SalTransitMCAccount - номер транзитного счета для ведомостей по типу продукта MasterCard
[+] Добавлен признак привлечения средств со счета в другом банке - признак, указывающий с какого счета должно выполняться списание общей суммы на оплату зарплатной ведомости 
    (если признак не установлен, то клиент может указать счет для списания из списка своих счетов; 
     в противном случае должна быть заблокирована возможность указать счет для списания по зарплатной ведомости).
[*] Учитывается страна гражданства при создании сотрудника, т.е. возможно создать сотрудников с одинаковыми паспортами, но разными гражданствами

What's new in the iFOBS Win32 Client (2.1.2.5)

[+] Добавлена настройка клиентского места - CanEditImportDocument - Возможность редактирования импортированного документа.
    При установке значения FALSE - на клиентском месте запрещается редактирование  импортированных документов.
[+] Добавлена настройка клиентских мест SalCustomEmpl.
    Данная настройка на форме Сотрудники регулирует  отображение полей: «Отправка карточки на домашний адрес» и "секретный вопрос" 
[+] Добавлена настройка "Не учитывать регистр символов в фильтре".  
    Если выбрана эта опция, то фильтрация данных в табличных формах будет производиться без учета регистра символов.
    Настройка размещена на вкладке "Табличные формы" формы "Настройки".
[+] Добавлены новые статусы зарплатной ведомости "Частично принята"и "Частично проведена" 
    для ведомостей с несколькими отклоненными начислениями.
[*] Cпискок сотрудников выводится на печать в соответствии с настройками на форме
    а именно установленной на форме сортировки и фильтра.
[*] В "Транслитерация имени клиента" добавлен допустимый символ "’".
[*] Изменена форма платежного поручения в соответствии с постановлением НБУ.
[-] Исправлена логика работы консоли сертификатов.
[-] Исправлен фильтр на форме для документов  валютные платежные поручения. заявки на покупку и продажу валюты.
[-] Исправлено формирование отчета "Реестр неотправленных документов" на форме "Ввод документов в национальной валюте" 
[-] Операция экспрот данных в XML выгружает корректный XML файл.

What's new in the iFOBS Win32 Client (2.1.2.3)

[+] Добавлена информационная форма "Справочник зарплатных проектов".
[*] На странице Предприятия добавлена информация: перечень контактных телефонов, контактная информация, Факс, e-mail
[*] Оптимизирована загрузка "Справочника назначения платежей гривневых документов"
[*] Заявка на покупку валюты: доступны для выбора все валютные счета пользователя в поле "валютный счет".
[-] Исправлена логика работы консоли сертификатов.
[-] Добавлена проверка соответсвия имени файла и имени сертификата.
[-] Добавлено отображение поля 21 в печатной форме SWIFT платежей для лоро-банков

What's new in the iFOBS Win32 Client (2.1.2.2)

[+] Реализовано аутентификация AGSES-картой  при наличии прав работы с  ней.
    Cистема требует ввода кода AGSES при первоначальной синхронизации с сервером и при отправки пакета докуметов на сервер.
[+] Добавлена возможность наложения третьей подписи на на сообщения.
[+] Добавлено поле "Адресация" на форме ввода сообщения.
    По значению данного поля определяется список адресатов (пользователей банка).
[+] Для документов без подписей накладывается  технологическая подпись ключами пользователя, изменившего документ.
    Технологическая подпись передается на сервер при отравки документа.
[+] Добалены настройки клиентского места:
    CDCertExpireDef - значение по-умолчанию, для настройки "Количество дней до завершения срока действия сертификата, 
                      когда система начнет отображать уведомление"
    CDCertExpireMax - максимальное значение, которое может выбрать пользователь для настройки 
                      "Количество дней до завершения срока действия сертификата, когда система начнет отображать уведомление"

[+] Добавлен параметр настройки клиенского места - время программной блокировки пользователя DisableAppTimeFailedLogins -
    Блокировка клиентского места при попытке подбора пароля на секретный ключ (допустимые значения от 0 до 300 минут)
    Значение по умолчанию 60 мин.При установке данного параметра = 0 - блокировки клиентского места не будет.
[+] Добавлена обработка настройки клиентских мест SalCanUseNotCardAccounts
    True - разрешено использование некарточных счетов сотрудника при формировании зарплатной ведомости
    False - только карточные счета (маска счета 2625)
[*] Добавлен контроль права на работы с подписываемым типом документов при использовании опции "Подписать от имени..".
[*] Заблокирована возможность создавать анкеты путем клонирования если форма находится в состоянии редактирования.
    Добавлен контроль заполнения полей "Фамилия", "Имя" и одно из "Паспорт"\"Идент. код" как обязательных и не пустых.
[*] Добавлен контроль  "Email сотрудника" на правильность ввода и корректность eMail
[*] Добавлен контроль для даты рождения. Дата рождения не может быть больше текущей даты.
[*] Добавлен контроль для даты выдачи паспорта. 
    Дата выдачи паспорта не может быть меньше даты рождения и выдача паспорта (для Украины) происходит в 16 лет. 
[*] Добавлена проверка транзитного счета при импорте и вводе ЗВ в зависимости от настройки SelectOnlyOpenAccounts 
    (Разрешить использования закрытых счетов).
[-] В выпадающем списке основания покупки иностранной валюты (справочник Kod_70_2) не отображаются "неактивные"(удаленные) записи.

What's new in the iFOBS Win32 Client (2.1.2.1)

[+] Добавлена задача ввода информационного дебета.

What's new in the iFOBS Win32 Client (2.1.1.5)

[+] Добавлена настройка клиентского места - FxDisableAgrRate
    По настройке меняется список выбора в поле "Курс" 
    значение Курса «Ринковий» переименовано на «Уповн. банку».
    Настройка работает для форм "Заявка на покупку валюты", "Заявка на продажу валюты", "Заявка на конверсию валюты"
[*] При импорте документоав в нац. валюте из bol  добавлен контроль по полю код валюты
[*] Добавлено поле в список импорта  PURPOSEPAYMENTID в плагине импорта BOL (кода назначения платежа)
    Проверяется на наличие значения в справочнике - если значения в справочнике нет - значение поля не импортируется.
[*] Выделены цветом счета сотрудников (по аналогии со правочником счета)
[-] На форме "Cотрудники предприятия" выбираются отделения банка с учетом признака удален.

What's new in the iFOBS Win32 Client (2.1.1.4)

[+] Добавлена возможность дополнительной идентификации с помощью устройства DigiPass.
    При наличии прав работы с DigiPass, система требует ввода кода устройства DigiPass при первоначальной синхронизации с сервером и 
    при отправки пакета докуметов на сервер.
[+] Реализация отображения формы Credit&Debit Advices на клиентском месте
    Вызов формы из меню  {Cправочники-> Справочники для работы с вал. документами ->Swift уведомления}
    Форма "Swift уведомления" выводится по настройке клиентского места ShowOtpSwiftAdvice.
[+] Добавлены поля отчета (SWIFT-код платника в валютному платіжному дорученні)  :
    - поле  транзитного счета
    - поле BIC-код платника
[*] Изменена логика синхронизации сотрудников предприятия - 
    идентифицикация сотрудника выполняется по коду сотрудника (ранее идентифицировался по паспорту).
    После выполнения синхронизации выдавается предупреждение при наличии сотрудников с дублирующимися номерами паспортов.
    На форме сотрудников записи с одинаковыми паспортами выделяются красным цветом.
[*] На форме "Зарплатные ведомости предприятий":
    - добавлено поле "Сумма выполненных начислений"
    - добавлено выделение цветом и вывод причины отклонения начисления ведомости
[*] Откорректиривано сообщение об окончании срока действия сертификата: 
    если срок сертификата заканчивается сегодня, то выдается сообщение: "Срок действия сертификатов истекает сегодня!"
[-] Удаление подписей для нескольких документов выполняется для всех выделенных документов.
[-] При отправке информации о прочении сообщения заблокирована возможность устанавливать признак "удален" сообщению.

What's new in the iFOBS Win32 Client (2.1.1.3)

[+] Добавлена возможность формировать отчет по оборотам по выбранному счету, валюте, за выбранный период, в разрезе дат.
[+] Добавлена возможность формировать отчет по движению между своим счетом и выбранным счетом контрагента. 
    Исходные данные для отчета определяются фильтром на форме "Информация по документам".
[*] В заявках на конверсию валюты добавлена возможность ввода букв в номере документа.

What's new in the iFOBS Win32 Client (2.1.1.2)

[+] Добавлена функция клонирования блока документов на форме ввод документов в нац.валюте
[+] На форме кредитов клиента добавлен блок информации о комиссиях и пене по сделкам.
[+] Добавлена настройка клиентских мест SalSecurityAnswer - "Ввод секретного пароля в скрытом для просмотра режиме"
[+] Добавлена локальная настройка клиентского места позволяющая изменять формат вывода ФИО на формах ввода данных и печати зарплатной ведомости.
[*] Измененино сообщение об ошибках ввода недопустимых символов: выводится код и позиция недопустимого символа.
[*] Для "Документ контракта" ("Заявка на покупку валюты"-"Основание покупки валюты") увеличена длина поля "№ док-та" до 20 символов.
[*] Изменены отчеты  в заявках на покупку и продажу, конверсию валюты.
[*] Удалено поле "Счет банка" в заявках на конверсию валюты
[*] Оптимизированы функции импорта, печати, сортировки начислений в зарплатной ведомости.
[*] Добавлено логирование в журнал ошибок информации о недоступности операции изменения анкетных данных сотрудника.
[*] Для сотрудников-нерезидентов снято ограничение по формату ввода номера паспорта (допустимые символы латиница, кирилица и цифры). 
    и установлено ограничение по длине номера паспорта (25 символов).
[*] Установлен запрет на добавление привязки к предприятию если анкета удалена
[*] На клиенте анализируется состояние счета на этапе импорта зарплатной ведомости. 
    Если предприятие закрыто или счет закрыт выдается сообщение об ошибке и не дает импортировать такой файл.
[*] Система синхронизирует данные по сотруднику после удаления предприятия.
[*] Изменен текст предупреждения о невозможности удалить сотрудника если активные привязки к сотруднику.
[-] Исправлены Ошибки при работе с консолью сертификатов:
    - при сохранении сертфиикатов на диск выдается корректное сообщение о сохранении.
    - мастер переходит на след.страницу на страницу выбора действий.
    - изменен способ прохождения на форме консоль сертификатов
      (Окно Опции сделано стартовым при условии что небыло запрошено генерация новых сертификатов,
       в случае, когда был запрос на сертификаты показывается окно сохранения сертификатов.
       Изменен тип сообщения при сохранение сертификатов на Информационное, после сохранения мастер обратно переходит на окно опции,
       где и можно будет завершить работу с мастером).
[-] Исправлен расчет суммы для печатных форм в заявке на покупку валюты при установлении галочки "Сумму указывать в гривне"


What's new in the iFOBS Win32 Client (2.1.1.1)

[+] Добавлена строка итогов по выбранным документам, содержащую информацию - количество документов, сумма по отмеченным документам.
    Показывать строку итогов или нет регулируется из меню грида "Итог по выбранным документам" (Ctrl+Shift+G).
    Настройка отображения итоговой строки сохраняется в Ini-файл.
[-] Исправлена ошибка импорта сотрудников.

What's new in the iFOBS Win32 Client (2.1.1.0)

[+] На главной форме приложения добавлена панель управления открытыми окнами.
[+] Добавлена возможность получения сообщений от Администраторов iFOBS.
    Непрочитанные сообщения от администраторов iFOBS отображаются  после синхронизации с серверной частью.
    Есть возможность проставить признак "Прочитано" и "Удалено" для сообщения. 
    Информация о прочтении и удалении доставляется на сервер.
[*] Уменьшено потребление ресурсов ПК (объема оперативной памяти): 
    - переработана система загрузки модулей системы;
    - изменен механизм синхронизации системы;
[*] Переименована форма "Счета и карты сотрудников предприятия" на "Счета сотрудников предприятия"
[*] При импорте зарплатных ведомостей из dbf-файла добавлена проверка на наличия необходимых полей
[*] Установлен запрет на импорт справочника статей бюджета пользовтелю, который не имеет права на счета ГО
[*] Добалена проверка  активации бюджета на наличие активных лимитов


What's new in the iFOBS Win32 Client (2.1.0.14)

[+] Настройка "Включение автоблокировки клиентского места через указанный промежуток времени при отсутствии активности пользователя" 
    доступна на клиентском месте. 
[+] Добавлена функциональность обновления с даты для форм:
    - информация по документам
    - остатки на счетах
    - курсы валют
[+] Добавлена настройка клиентских мест - ShowPaymentPurposePFAdd
    True - При формировании платежа на счет 3719% в назначении платежа добавляется блок вида *;AAA;BBBBBBBB; (AAA - тех. код цифры 6-8 счета получателя, BBBBBBBB - ид. код клиента)
           При сохранении платежа проверяется наличие данного блока в назначении платежа для счета корреспондента 3719%.
[+] На форме счетов отображается сумма холда по счету.
    При расчете остатка по счету учитывается сумма холда.
[+] Форма ввода сотрудников предприятия:
    - добавлено поле "Страна резидентности" вместо чекбокса "Резидент";
    - по номеру паспорта для нерезидентов снято ограничение по формату;
    - установлено ограничение по длине номера паспорта (25 символов);
    - при выборе населённого пункта из выпадающего списка в поле почтового индекса подставляется значение zipcode из таблицы населенных пунктов;
[+] Добавлена настройка сортировки платежных поручений при печати: "Без сортировки". (Настройки->Печать платежек->Сортировка платежных поручений при печати)
    При установке данной настройки печать платежных поручений осуществляется в том порядке, в котором они отображены на экранной форме.
[+] Добавлены столбцы 'Дата документа', 'Дата архивирования', 'Идентификационный код ',  'Наименование ЮЛ', 'МФО банка' в формат экспрота выписок в XLS-файл.
[+] Добавлен пункт "Задачи/Экспорт данных в dbf (кроме уволенных)" для  выгрузки списка счетов неуволенных сотрудников.

[*] На форме "Валютные платежные поручения" при выборе типа комиссии "FULL" есть возможность ввода данных в поле 72 (5 строк).
    При сохранении вставляется первая строка содержащая значение = "/FULLPAY/".
[*] "Пустые" значения констант филиалов доставляются на клиентское место.

[-] В выпадающем списке "Наименование товарной группы" На форме "Основание покупки валюты" не отображаются записи, по которым проставлена дата закрытия. 
[-] Увеличина длина поля "описание" справочник кодов документов в национальной валюте. 
[-] Из формы "мой iFOBS" недоступны функции выписки за текущий день и за предыдущий день при установке права "запрещенные формы клиентского места" - "выписки".


What's new in the iFOBS Win32 Client (2.1.0.11)

[+] Добавлена настройка клиентских мест SelectOnlyOpenAccounts - распространяется на выбор текущий и транзитного счета зарплатной ведомости.
    False - Доступны для выбора  для операций все счета, кроме Закрыт и Не зарегистрирован в ГНА.
    True -  При установке настройки клиентских мест SelectOnlyOpenAccounts -  доступны для выбора счета в состоянии "открыт". 
[+] Добавлена настройка клиентских мест AuthSignLockLowerSign - 
    True - документ с авторизационной подписью невозможно удалить/изменить пользователям, 
    не имеющим право подписания авториз.подписью текущего или выше уровней
[+] Добавлена настройка клиентского места MessageAutoRead - "Автоматическая установка признака о прочтении без предупреждения"
    Данная настройка отвечает за следующие действия на клиентском месте:
    при переходе на запись сообщения со статусом "Из банка | Не прочитано" сообщение помечается как прочитанное.
[+] Добавлены настройки кастомизации Win32 клиента  iFOBS.
    Для настройки отображения добавлены следующих "настроечные" файлы (папка Images):
    IFOBSToday.bmp  - Изображение, которое будет отображаться в левой части секции "Мой iFOBS Сегодня"(240-900х44)
    IFOBSToday1.jpg - Изображение определяет цвет остальной части в секции "Мой iFOBS Сегодня"(1x44)
    IFOBSTodayColor.bmp - цвет заголовков на форме "Мой iFOBS"(1х1)
    BeginColor.bmp - Изображение определяет верхний цвет градиента открытого раздела на панели задач(1х1)
[+] Реализовано обновление сообщений - через контекстное меню формы сообщений.
[+] При просроченном сертификате генерация нового сертификата возможна только с помощью механизма восстановления сертификата (настройка сервера).
[+] Добавлена поддержка дополнительных, отличных от стандартных, языковых ресурсов.
[+] добавлена возможность формировать отчет PublicKeyInfo (Інформація про відкриті ключі) в зависимости от языка интерфейса
   (для этого необходимо создать файл :
    \RepTmplts\PublicKeyInfo_RU.rtf  для рус.языка
    \RepTmplts\PublicKeyInfo_UA.rtf  для укр.языка
    \RepTmplts\PublicKeyInfo_EN.rtf  для анг.языка
    при отсутсвии файла  будет использоватся файл по умолчанию
   \RepTmplts\PublicKeyInfo.rtf)
[+] Добавлен контроль при создании бюджетов на наличие у  предприятия счетов с признаком "Бюджетный" и валюты по счету
[+] Добавлена возможность клонирования справочника статей и справочника бюджетов с признаком удаленный 
[+] Добавлен контроль при создании бюджетов на наличие у  предприятия счетов с признаком "Бюджетный" и валюты по счету
[+] Добавлен импорт справочника бюджетов
[+] Добавлен импорт документов в нац.валюте из DBF-файла
[*] Изменен алгоритм автоматического пересчета сумм конверсии валюты.
    Используется математическое окгругление при вычислении сумм.
[*] В формах ввода заявок на покупку и продажу валюты при отображении данных на одной странице для перемещения можно использовать скролл мыши.
[*] При клонировании зявки на покупку вылюты содержимое поля "Комментарий к платежу" заполняется корректно.
[*] При импорте данных сотрудников с некорректным ИНН заявка на создание сотрудника  импортируется со статусом "Введена с ошибкой" 
[*] При клонировании зарплатной ведомости начисления по сотрудникам, у которых отсутствует привязка к предприятию 
    или состояние счета отличный от "открыт", не клонируются.
[*] Контролируется соответствие общей суммы с суммами начислений после импорта зарплатной ведомости.
[*] На форме ввода зарплатной ведомости список счетов фильтруется на основании прав пользователя на дебет по счетам (аналогично документам в нац. валюте).
[*] На сервере добавлена проверка дублирования сотрудника по номеру паспорта. Проверка осуществляется в рамках всех сотрудников клиента.
[*] В сообщении об ошибки синхронизации для неизвестной ошибки добавлено отображение текста ошибки, которая пришла с сервера.
[*] При создании операции по депозиту назначение платежа генерируются автоматически.
[*] При вводе счета и незаполненном МФО в блоке "получатель" выполняется поиск коррекпондента без учета МФО и происходит автозаполнение недостающих данных.
[*] Окно смены пароля на вход в систему появляется всегда (после синхронизации) после сообщения о необходимости смены пароля для входа в систему.
[*] Добавлен контроль при вводе новой и редактировании статьи на уникальность <Код статьи>
[*] Изменен размер поля Цель в плагинах експорта и импорта (длина составляет 160 символов). Выравнено поле адрес.
[*] Добавлены расширенные плагины экспорта и импорта валютных платежных поручений.
[*] При импорте списка сотрудников добавлена проверка на правильность кода <страны гражданства> и <Отделение банка>.
[*] Сделан однаковый порядок и наименование видов документов в Win32 клиенте (аналогично как в WEB)
[-] При изменении настроки количества подписей для отправки документов корректно меняется статус начислени зарплатной ведомости.
[-] При нажатии пункта меню "Все прочитаны" на форме Сообщения - программа работает корректно.
[-] По нажатию кнопки "Выбор НП..." на форме "Ввод документов в национальной валюте", поле "Корреспондент" 
    по нажатию кнопки "Выбор НП..." отображается корректно.
[-] Исправлена работа фильтров на формах з/проекта  при переходе между формами 
[-] Кнопка минимизации окна после блокировки клиента работает корректно.

What's new in the iFOBS Win32 Client (2.1.0.5)

[-] Исправлена ошибка отображения списка счетов на форме "SWIFT-переводы".

What's new in the iFOBS Win32 Client (2.1.0.3)

[+] Добавлена настройка клиентских мест  FxEqualContracts - Проверка равенства суммы покупки/продажи валюты и суммы контрактов 
    (сумма заявки: 1 - больше или равна, 2 - меньше или равна, 3 - равна сумме контрактов)
[+] Добавлена настройка клиентских мест SelectOnlyOpenAccounts - При создании документа доступны для выбора счета в состоянии "открыт".
    Доступны для выбора  для операций все счета, кроме Закрыт и Не зарегистрирован в ГНА.
    При установке настройки клиентских мест SelectOnlyOpenAccounts -  доступны для выбора счета в состоянии "открыт". 
[+] Добавлена настройка клиентского места FxSwiftParIdLen34 - 
    True - Максимальная длина полей ParID на форме ввода Swift равна 34 символам, иначе 35
[+] Добавлена настройка клиентского места - FxSwiftAllCurrency - True - валютное платёжное поручение в любой валюте, иначе только по тем валютам, по которым есть счета
[+] Добавлена настройка клиентского места - FxBuyNoUsedPF - Отключить ввод данных для пенсионного фонда в заявке на покупку валюты.
    В зависимости от значения этой константы отключается ввод данных для Пенсионного фонда
[+] Уровень сложности пароля на клиенте управляется константами ComplexPasswRulesLevel и ComplexPasswRules.
    ComplexPasswRulesLevel = 0 - Проверяется только корректность вводимых символов и размер пароля. 
    ComplexPasswRulesLevel = 1 - Проверяется коррестность вводимых символов, наличие символов верхнего и нижнего регистров и цифр и специальных символов, размер пароля .
    ComplexPasswRulesLevel = 2 - Проверяется коррестность вводимых символов, наличие символов верхнего и нижнего регистров, цифр и специальных символов, размер пароля,
                                 проверяется уникальность пароля,  контролируется срок действия пароля.

    Если ComplexPasswRules = true и ComplexPasswRulesLevel = 0. старый вариант проверок пароля.
[+] Добавлена блокировка пользователя при попытке подбора пароля на секрентный ключ .
[*] В заявках на покупку и продажу  валюты при добавлении контракта по-умолчанию устанавливается в поле "вид экономической деятельности" значение поля контрагента "вид экономической деятельности 1".
[*] В заявках на покупку и продажу  валюты есть возможность ввести номер с использованием буквенных символов.
[*] При просроченном сертификате генерация нового сертификата возможна только с помощью механизма восстановления сертификата.
[*] Наименование контрагента в форме "Информация по документам" берется из отдельного поля таблицы, а не из справочника.
[*] Для шаблонов документов Word добавлен вывод поля OrganizationAddr - данные аналогичны OrganizationAddress  (заявки на покупку, продажу, конверсию валюты)
[*] Изменено название поля "Город" в таблице "Сотрудники"  на название "Населенный пункт" (т.к. в форме ввода используется название поля "Населенный пункт")
[*] Доработан механизм импорта зарплатной ведомости:
     - поправлены сообщения об ошибках;
     - контролируется сумма зарплатной ведормости и начислений;
     - импортируется комментарий;
[*] При клонировании ЗП ведомости в статусе "В Банке|Удален" - список начислений по сотрудникам клонируется вне зависимости от статуса начисления.
[*] В выпадающем списке кодов экономической деятельности не отображаются удаленные записи справочника.
[*] Опция  "Расширенная выписка" доступна для выбора при формировании выписки в банке UniCredit.
[*] В заявках на покупку и продажу  валюты добавлен контроль ввода номера и даты документа контракта (должны быть уникальными для заявки)
[-] Импорт начислений по ЗВ по сотрудникам с ИНН =  99999 или 000000000 - проходит корректно (необходимо указывать табельный номер)
[-] При импорте данных сотрудников с некорректным ИНН заявка на создание сотрудника  импортируется со статусом "Введена с ошибкой"
[-] При импорте сотрудника добавляется код страны в номер паспорта (для нерезидента и SalNotAddISO=false)
[-] Данные справочника "корреспонденты валютных платежных поручений" подтягиваются корректно.
[-] Исправлено формирование печатной формы в заявке на покупку валюты при установленном признаке "Указывать сумму в гривне"
[-] Исправлена ошибка формировании сводной выписки для "книжной" ориентации.


What's new in the iFOBS Win32 Client (2.1.0.0)

[+] Добавлена настройка клиентского места MessageNeedRead - 
    "Автоматическая установка признака о прочтении. Предупреждение о непрочитанных сообщениях."
    Данная настройка отвечает за следующие действия на клиентском месте:
     - всегда после синхронизации отображается информационная форма с указанием количества непрочитанных сообщений с возможностью перейти на форму сообщений
     - при переходе на запись сообщения со статусом "Из банка | Не прочитано" сообщение помечается как прочитанное и выдается предупреждение о необходимости прочтения сообщения.
[+] Информация об удалении сообщения пользователем передается на сервер.
[+] Реализованы дополнительные возможности просмотра и выполнения операций с депозитами:
    - получение и просмотр архива документов по депозиту
    - получение и просмотр графика начисления процентов (DepositScheduleInfo)
    - формирование документов по доступным  операциям по депозиту (полное или частичное снятие средств, пополнение депозита)
[+] Добавлена функция отображения логотипа банка при входе в систему или из пункта меню о программе.
    Расположение файла логотипа \Images\bank460.bmp в каталоге запуска программы
    Допустимые размеры  H(210 - 240) и W(440 - 480) 
[+] Добавлена настройка клиентских мест AutoStopAndCloseApp - 
    "Включение автоблокировки клиентского места через указанный промежуток времени при отсутствии активности пользователя
    (допустимые значения от 0 до 100 минут)"
    Для отключения режима автоблокировки устанавливаем константу AutoStopAndCloseApp равной нулю.
[+] Добавлена блокировка системы при вводе неверного пароля на секретный ключ при входе в программу, подписании платежек и др.
    При вводе неверного пароля 5 раз - вход в Win32 клиент блокируется на час.
[+] Добавлена настройка клиентского места  FxSWIFTNeedBIC, регулирующая возможность ввода BIC для опции D на форме  "Валютные платежные поручения" для полей 56, 57.
[+] Добавлена настройка клиентского места - FxSWIFTSpecialLabel (Кастомизация формы ввода валютных платежных поручений).
    Данная настройка отвечает за следующие изменения формы "Валютные платежные поручения":
    - поле 57 - переименовывается поле где указывается номер счета банка корреспондента Par ID на - АСС.№/Correspondent Account.
    - меняется подпись типа комиссии в валютном платежном поручении: FULL на OUROUR.
[+] Добавлен пункт меню Справочники->Коды документов в нац. валюте (форма ввода и редактирования значений справочника кодов)
    Добавлена настройка клиентского места - UseRefKodDocUAH (Использовать справочник кодов документов в национальной валюте).
    Данная настройка отвечает за следующие изменения:
    на форме ввода документа в нац.валюте ввод значения поля "Доп. реквизиты" осуществляется из справочника "Коды документов в нац. валюте".
[+] Добавлена настройка клиентского места FxSwiftValueDate - "Возможность ввода даты валютирования в валютном платежном поручении".
    Эта настройка регулирует возможность ввода параметров "Дата валютирования" и "Срочность перевода" на  форме ввода валютных платежных поручений,
    а так же меняется формирование выходных данных для валютного платежного поручения по полю "Срочность":
    - для шаблонов Word-документов параметры 'UrgentS', 'UrgentT', 'Urgent' формируются на основании поля "Срочность перевода"
    - в печатной форме значение поля "Срочность перевода" определяется на основании одноименного поля документа.
[+] Добавлена настройка клиентского места SalCanEmplAddress - "Возможность ввода адреса одной строкой сотруднику предприятия".
    Настройка регулирует возможность ввода одной строкой  домашнего адреса и адреса для корреспонденции сотрудника (зарплатный проект).
[+] На форме ввода заявки на покупку валюты Win32 добавлено поле "Доп.комис.вознаграждение (%)" - дополнительное комиссионное вознаграждение .
[+] Добавлена возможность выбрать способ сортировки при печати платежных поручений (по номеру доккумента или по сумме)
    Настройка производится на странице Сервис\ Настройки...\Печать платежек
[+] Добавлена выгрузка выписки в XML формат
[+] Добавлена проверка ОКПО получателя на форме регулярные платежи.
[+] Добавлена поддержка английской версии Help-а.
[*] Добавлена операция получения и просмотра журнала прохождения документа на формах:
    - валютное платежное поручение 
    - конверсия валюты
    - ввод документов в валюте
    - SWIFT-переводы
    - сделки ММ
    - сообщения по сделкам ММ
[*] При поиске получателя в справочнике "Корреспонденты платежей в нац. валюте" на форме "Ввод документов в национальной валюте" 
    учитывается введенное МФО.
[*] На форме "Информация по документам" удаленные документы не отображаются.
[*] Наименование контрагента в форме "Информация по документам" берется из поля "наименование контрагента" документа, а не из справочника.
[*] Добавлен контроль выбора страны. В документах нельзя использовать страны которые были удалены.
[*] Если установлена константа клиентского места NeedSyncSWBankCorr = true - 
    в предварительном просмотре  валютного платежного поручения для полей 56, 57  с опцией А, 
    в поле Адрес и Наименование подтягивается информация из справочника банков SWIFT.
[-] В заявках на покупку и продажу валюты при выполнении операции "Перевести в состояние Готов к отправке" операция проходит без ошибок.
[-] Исправлена сортировка начислений по ФИО с учетом украинского алфавита.
[-] В табличной части форм "заявка на покупку валюты", "заявка на продажу валюты" , "Валютное платежное поручение" счет комиссии отображается корректно.
[-] В табличной части форм "заявка на продажу валюты", "Валютное платежное поручение"  валютный счет  отображается корректно.
[-] Исправлено сохранения флага "расширенная выписка"(меню Сервис/Настройки/Выписка/Параметры)
[-] При наличии группировки и при первом открытии формы галочка "Раскрыть все" работает корректно.

What's new in the iFOBS Win32 Client (2.0.9.7)

[+] В файле ошибок импорта зарплатной ведомости отображаются ошибки по всем записям начислений зарплатной ведомости.
[+] При импорте из *.xml файла в iFOBS  передаются значения тегов TABNOM, JOB в поля "таб.номер" и "подробности" (должность).
[+] Добавлена настройка клиентского места SalNotAddISO - "Автоматически не добавлять ISO-код страны к номеру паспорта сотрудника".
    При установке данной настройки в значение "true" - автоматически не добавляется ISO-код страны к номеру паспорта сотрудника.
[+] Добавлена константа клиентского места FxSWIFTNeedBIC - "Возможность ввода BIC для опции D в валютных платежных поручениях"
[+] Добавлена константа клиентского места SalColumnRequired - "Обязательность заполнения полей "Отделение банка", "Тип карты"",
    влияющая на обязательность заполнения указанных полей сотрудников.
[*] Заявка на конверсию валюты: Поле "Валюта" в разделе "Комиссия "  недоступно для редактирование
[-] При выборе типов карт сотрудника предприятия учитывается признак «Действующий». 
[-] Производится проверка заполнения поля "Мобильный телефон"  в зависимости от настройки клиентского места SalMobilePhoneRequired 

What's new in the iFOBS Win32 Client (2.0.9.6)

[+] Разработан функционал приема сообщений с вложениями, сохраняемыми в файлах ОС(не в локальной БД).
     Право просмотра сообщений контролируется правом "Получать расширенные сообщения" в администраторе.
     Загрузка файла сообщения выполняется по запросу пользователя.
     Путь для сохранения файлов указывается в настройках системы (по-умолчанию файлы сохраняются в папку MailAttach).
[-] Исправлена ошибка - привязка к предприятию автоматически не добавляется при ручном вводе сотрудника после импорта сотрудников.

What's new in the iFOBS Win32 Client (2.0.9.5)

[+] На форме ввода заявок-анкет сотрудников ЗП реализован фильтр по критерию "Дата ввода", период ввода с … по …
[+] В набор данных анкеты сотрудников ЗП добавлено поле "Отделение", "Резидент", "Связанная персона" 
[+] В набор данных анкеты сотрудников ЗП добавлены два поля "Секретный вопрос", "Секретный ответ".
[+] Разработаны отчет просмотра списка сотрудников.
[+]Добавлена константа клиентского места 'DocumentLogonAccess' - "Доступ к журналу прохождения документов'", тип Boolean (2), значение по умолчанию - 'False'
    При установке констанаты настраивается в True становится доступным журнал  прохождения документа на формах ввода документов.
[+] Доработано заполнение полей 56 и 57 валютного платежного поручения:
    1) при выбранной опции D поле BIC недоступно для заполнения 
    2) после ввода клиентом BIC-SWIFT кода в подполе BIC и нажатия Enter или клике мышью в подполе адреса полей 56-го и  57-го подтягивается название и адрес соответствующего банка. 
       Для загрузки справочника банков и выбора информации по BIC-коду необходимо установить константу клинетского места NeedSyncSWBankCorr = true.
[+] В форме "лимиты по счетам"  довлена колонка "Название организации", "Комментарии к лимитам"
[*] Организован выбор счета списания (гривневый счет) из доступных счетов клиента.
[*] Введена проверка символов, которые вводятся в поле "Транслитерированное имя". Допустимыми являются следующие символы:
     '.-ABCDEFGHIJKLMNOPQRSTUVWXYZ и символ пробела
[*] При фомировании выписки в текстовом формате если вид платежа больше 2-х символов, то в файл экспорта выписки Вид платежа не экспортируется. Поле 64-65 остается пустым.
[*] Добавлена возможность вводить граждан Украины, отказавшихся от присвоения индивидуального налогового номера с ИНН = 000000000 (девять нулей).
[*] При регистрации гражданина страны отличной от Украины к номеру паспорта ISO-код страны не присоединяется.
[*] Добавлен дополнительный комментарий под в окно ввода нового пароля:
     "Пароль, который был Вами введен ранее, при генерации нового ключа."
[*] При импорте заявок-анкет сотрудников предприятия принцип обработки файла импорта соответствует следующим правилам:
   - если в списке базы данных IFobs (Клиентское место) найдена существующая заявка-анкета, соответствующая тем же критериям уникальности,  что и обрабатываемая из файла,  
      в статусе, отличном от "Создан" и "На клиенте|Введен с ошибками" - запись файла игнорируется, обработка файла продолжается, 
      если найдена в статусе "Создан" - поля существующей заявки-анкеты обновляются согласно данным файла;
   - если в процессе импорта возникла критическая ошибка, запись файла игнорируется, обработка файла продолжается;
[-] Выбор статьи бюджета привязан к гривневому счету.
[-] При импорте ЗВ из файла, содержащего строку с неверной информацией по сотруднику - показывается сообщение об ошибке.
[-] При загрузке ЗВ учитывается состояние записи о сотруднике.
[-] При просроченных первичных сертификатах невозможно сгенерировать новый сертификат.

What's new in the iFOBS Win32 Client (2.0.9.4)

[+] В администраторе добавлен параметр "Информация только по сотрудникам ЗП" для права "Ограниченные права".
     При установке данного параметра в Win32 клиенте ограничевается доступ на формы ввода и просмотра документов клиента, 
     формы просмотра балансов счетов, выписок по счетам. Просмотр доступных контрагентов клиента не ограничевается списком доступных счетов.
     При установке данного параметра данные по документам не закачиваются на клиента.
[+] В администраторе добавлено ограничивающее право "Запрещенные формы клиентского места" и параметр права "Выписки".
     При установке данного параметра в Win32 клиенте ограничевается доступ на формы  формирования выписок по счетам. 
[+] Добавлен  механизм "Подписать от имени (другой клиент)" для форм ввода документов в иностранной валюте:
     - Ввод документов в валюте
     - Заявка на покупку валюты
     - Заявка на продажу валюты
     - Заявка на конверсию валюты
     - Валютное платежное поручение
[*] В заявках на продажу и покупку валюты нет возможности выбора клиентами  «рыночного» курса при установке в администраторе 
     настройки клиентского места FxRequiredRate = true 
[*] Автоматический перерасчёт сумм покупки, продажи при вводе заявки на конверсию валюты для фиксированного курса.
[*] При сохранении записи в формах валютное платежное поручение, заявка на покупку, продажу, конверсию валюты 
     контролируются  валютный счет и счет комиссии на принадлежность одному контрагенту.
[*] Максимальная длина подполя «ParID» всех полей форм SWIFT 35 символов.
    - Валютное платежное поручение
    - SWIFT-переводы
[*] Проводится проверка актуальности значения поля "Название банка b010" при клонировании записи в заявках на покупку и продажу валюты.
[-] Проверка истечении срока действия при перегенерации сертификата  проводится корректно. 
    Если существует запрос на перегенерацию сертификата, то повторный запрос на перегенерацию не появляется.

What's new in the iFOBS Win32 Client (2.0.9.3)

[+] Реализован отчет "Реестр неотправленных документов".
     Данный отчет содержит список документов в нац. валюте, которые находятся в статусе "Готов к отправке" и "Введен". 
[+] В системе iFOBS добавлена настройка клиентских мест, позволяющая использовать режим указания для сотрудников 
     типа карточного продукта вместо указания типа карты, и возможность указания секретного ответа. 
[*] При выборе "основного" филиала в клиенте учитывается признак "закрыт" в таблице банков(если не проставлен признак "Главный" у филиала).
[-] В форме ввода начисления по ЗВ - в выпадающем списке выбора сотрудника сортируется поле ФИО.

What's new in the iFOBS Win32 Client (2.0.9.2)

[+] Реализовано право "Ограниченные права". 
     При  наличию данного права на клиенте не отображаются документы и выписки со сроком давности более 31 календарного дня.

What's new in the iFOBS Win32 Client (2.0.9.1)

[*] Запрещено создавать заявки на конверсию валюты со счетами в разных филиалах.
[*] Исправлен ряд моментов, касающихся работы подсистемы бюджетирования.
[*] При выборе статьи бюджета отображаются остатки лимитов.
[*] Для версии Win32 клиента с консолью сертификатов мастер формирования выписки  стандартный.

What's new in the iFOBS Win32 Client (2.0.8.6)

[+] Разработана подсистема формирования регулярных платежей.
[+] Выполнена доработка системы, позволяющая использовать носитель USB Token фирмы "Автор" в качестве носителей ключей.
     Для использования USB Token в качестве носителя ключа необходимо установить 
     признак "Ключи на USB Security Token" на закладке "Настройки системы->Безопасность".
[*] На сервере добавилась настройка клиентского места CheckChangePasswDBMonthInterval - "Интервал в месяцах, 
     через который пользователю будет предложено сменить пароль локальной БД" по-умолчанию - 60 месяцев.
     Проверка необходимости смены пароля происходит только, если выбрана галочка "Связаться с банком после регистрации".
     После смены пароля локальной БД - другим потльзователям данного локального места необходимо будет связаться 
     с сервером для получения нового пароля БД.
[*] Добавлена возможность создать сотрудника с привязкой к предприятиям с разными МФО.
     При возникновении ошибки принятия информации на сервере Б2 - информация  об ошибке приема отображается
     так же на связке сотрудника и контрагента (предприятия).
[*] При расчёте планируемого остатка учитываются суммы по зарплатным ведомостям.
[*] При большом количестве сотрудников (10000) время открытия формы - ввод начисления по сотруднику - оптимизировано.
[*] В полях 50,56, 57, 59,70,72 документа "SWIFT-перевод" в подсистеме "Межбанк"
     и полях 50,56, 57, 59,70,72 в валютных платежных поручениях,
     при переносе текста из n+1-й строки в n-ю (удаляем символ перехода на новую строку), 
     часть текста, не вместившаяся в n-ю строку, остается в n+1 строке.
[*] Заявки на покупку валюты: при отображении одностраничной формы, поле "счет комиссии" располагается рядом с остальными полями комиссии.
[*]  Заявки на покупку и продажу валюты: заблоктрована возможность ввода валюты комиссии - валюта счета комиссии -  гривна.
[*] Пробел в номере документа основания покупки при проверке отрезается. Не допускается ввод документа заполненное пробелами.
[*] В списоке валют на форме "Валютное платежное поручение" отображается только те валюты, по которым есть счета у данного клиента.
    Список счетов выбирается в соответствии с валютой.
[*] Заявка на покупку валюты не может быть сохранена при заполнении поля с кодом "Вид экономической деятельности", помеченный в справочнике как закрытый.
[*] В файле импорта из  XML сотрудников для зарплатной ведомости в теге ENTERPRISEINFO добавился параметр BRANCHID - МФО банка предприятия.
     При импорте учитывается значение МФО для выбора предприятия (если оно указано).
[-] Поле "цель" в основании покупки и продажи валюты обязательно для заполнения. 
[-] Импорт зарплатной ведомости из XLS при использовании табельных номеров работает корректно.
[-] В поле КНП документа проставляется NULL при отсутствии значения КНП в шаблоне.

What's new in the iFOBS Win32 Client (2.0.8.5)

[*] В случае просроченного первичного ключа запрещена дальнейшая генерация сертификата.
[*] Выполнены доработки по реализации механизма приема отклоненных документов:
    При получении отклоненного документа и наличии расхождений с документом на клиенте:
    1. Если установлен признак запрета редактирования отклоненного документа (CanSendRejectedDocument=false) - принимаем документ с сервера.
        Если есть расхождения по данным - сообщаем об этом пользователю.
    2. Если можно редактировать отклоненные документы (CanSendRejectedDocument=true) - спрашиваем у пользователя "что делать" - 
        принимать с сервера или оставлять свой варинт документа. Регистрируем ответ пользователя в логе и во внутренней БД клиента (LogDetail).
[*] При установке признака необходимости смены пароля в администраторе, Win32 клиент выводит требование смены пароля на вход в систему 
     при попытке синхронизировать данные.
[*] Не подставляется по-умолчанию код НП = 777 при добавлении документа в нац. валюте.
[*] Текст ошибки в зарплатной ведомости отображается по коду ошибки в удобочитаемом виде, с учетом языка (если код ошибки присутствует).
[-] Исправлена ошибка отражения авторизационных подписей при использовании подсистемы лимитирования счетов.
    Корректно отрабатывает возможность подписания авторизационными подписями для подсистемы лимитирования счетов.
[-] Изменены плагины экспорта выписки в формат BOL и TXT (ExportCB.dll, ExportBOL.dll)
    В файле экспорта выписки в формат BOL и TXT  в поле 37 (587-592)  ставится дата проводки (BOOKEDDATE).
[-] Импорт зарплатной ведомости из XLS при использовании табельных номеров работает корректно.

What's new in the iFOBS Win32 Client (2.0.8.3)

[+] Добавлена новая форма для ввода сообщений о досрочном возврате средств/ пролонгации сделкок ММ+. Подраздел "Межбанк".
[+] Добавлена новые поля в форму ввода заявок на создание сделок MM:
     "номер сделки",  "примечание", "цель размещения/привлечения "
[+] Добавлено сохранение в настройках итогов в разделе "Информация по документам".
[+] Добавлена настройка "Отображать нулевые движения" в мастере формирования выписок.
     При включенной настройке в выписке отображаются данные по счетам с "нулевым движением".
[*] Снято ограничение по зарплатной ведомости на несовпадение транзитного счёта и счёта плательщика
[*] При наличии списка оснований покупки/продажи валюты проверяется сумма по контракту(ам) (основание заявки) <= сумма заявки.
[*] Добавлена возможность осуществить привязки к предприятиям с разными МФО.
[*] Добавлено поле "Код назначения платежа" в шаблонах по документу в национальной валюте.
[*] В окошке восстановления сертификата добавлена возможность распечатки сертификата после завершения первой фазы процедуры восстановления сертификата.
[*] Поля "НП" ("Код назначения платежа") в форме ввода документов в национальной валюте не обязательно для заполнения.
[*] Увеличено ограничение на размер импортируемых файлов
[*] Увеличена производительность процедуры импорта информации о сотруднках
[*] Снижен объем требуемых системных ресурсов для передаче данных на сервер iFOBS
[-] При клонировании шаблона "НП валютных платежных поручений"  поле "Корреспондент" копируется. 

What's new in the iFOBS Win32 Client (2.0.8.2)

[+] Добавлено поле "Примечание" в форму заявки на продажу валюты.
[+] В анкету сотрудника добавлены поля "Адрес"(Домашний адрес), "Адрес"(Адрес для корреспонденции),
    в которые вводятся значения полный домашний адрес и полный адрес для корреспонденции в случае
    отсутсвия возможности ввести адрес с разбивкой по отдельным полям. 
[+] При создании анкеты сотрудника добавлена возможность сохранения анкеты с неполными данными. 
    При этом статус анкеты - "Клиент/Введен с ошибками" и анкета не передается в банк, пока данные не будут полными.
[+] При импорте списка сотрудников реализована возможность сохранения анкет сотрудников с неполными данными (статус анкеты "Клиент/Введен с ошибками")
[+] Добавлено ограничение списка типов карт, которое определено администратором системы для предприятия.(привязка сотрудника к предприятию). 
[+] На клиенте ведется журнал действий пользователя с анкетами сотрудников. 
[*] При клонировании заявки на продажу валюты клонируются поля : комментарии к платежу, сумма, поля комиссии.
[*] При импорте поля "сумма контракта" (основание покупки) из файла импорта значение поля считается в копейках.
[*] В печатной форме зарплатной ведомости список сотрудников сортируется по фамилии.
[*] Переработано построение дерева корпорации с включением отображаемых красным цветом не контролируемых клиентом, но входящих в корпорацию организаций.
[-] При клонировании документа в нац. валюте копируется значение поля "НП".
[-] Значение константы "CanSigAsAC" ("Подписать от имени другого клиента") корректно обрабатывается клиентом.
[-] В локальной таблице поле адрес контрагента увеличено до размера поля таблицы контрагентов.
[-] В отчёт по бюджету не включаются суммы отклонённых документов.

What's new in the iFOBS Win32 Client (2.0.7.4)

[+] В меню Сервис добавлен пункт Обновление шаблонов печатных форм. 
    При выборе этого пункта меня автоматически запускает механизм запроса сервера на наличие новых версий имеющихся запросов и их обновление на клиенте. 
    Для версионности шаблонов используется файл Templates.ini из той же директории, что и исполняемый файл iFOBS.Win32 клиента. 
[+] Добавлено поле SourceTypeID в таблицы cbdocument, fxdocument, cbfxorderbuy, cbfxordersell, salaryschedule, currpaymentorder, fxconv, dealmm, swfcpayment
     На клиенте при добавлении документа устанавливается одно из значений в это поле:
     0 (Набран вручную)
     1 (Импортирован)
     2 (Клонирован) 
    Значение этого поля передается на сервер.
[+] В справочник "НП документов в нац.валюте" в таблицу добавлено поле "Корреспондент".
[*] В печатной форме платежного поручения для  проведенного платежа добавлен вывод значения поля "Одержано банком" при вызове из формы "ввод документов в нац валюте".
[*] Очищается дата валютирования при клонировании, если она меньше или равна дате документа.
[*] На странице Мой iFOBS в подразделе "Документы" добавлена ссылки на количество новых и измененных ЗП ведомостей.

What's new in the iFOBS Win32 Client (2.0.7.3)

[+] Добавлена возможность отображения в списке и заполнения нового поля "НП" ("Код назначения платежа") в форме ввода документов в национальной валюте.
[+] В форме ввода заявок на продажу валюты добавилась возможность ввода контрактов (основание продажи).
[+] Реализовано сохранение настроек: расположения колонок, сортировку в колонках, пользовательский фильтр в списке выбора счетов мастера построения выписки.
[+] В справочнике счетов на закладке "Запись" отображается описание состояния счета.
[+] Добавлено поле e-mail на форме ввода сотрудников.
[*] Синхронизированы с Web версией требования к паролю пользователя.
[*] Изменен вид платежного поручения и мемориального ордера согласно Постановления № 296 
    "Про затвердження Змін до Інструкції про безготівкові розрахунки в Україні в національній валюті".

What's new in the iFOBS Win32 Client (2.0.7.1)

[+] Добавлен вывод информации по документу для печати без использования Microsoft Word 
    (кнопка "Задачи" - пункт меню - "Печать документа") для документов :
	- валютное платежное поручение
	- заявка на покупку валюты
	- заявка на продажу валюты
	- заявка на конверсию валюты
[+] Добавлена настройка на клиенте "Отображать информацию только по счетам в состоянии Открыт".
    Если настройка выбрана - на Мой ifobs видны только счета в статусе "Счет открыт", 
    иначе - все счета доступные пользователю. 
[+] Раскраска счетов на форме Мой ifobs соответствует раскраске в б2.
[+] В справочнике счетов на закладке "Запись" добавлено поле отображающее статус счёта.
[+] В справочнике счетов раскраска на закладке "Таблица" соответствует раскраске в б2.	
[+] Добавлена настройка на вкладке настроек выписки: "Удалять документы дубликаты" - 
    при выгрузке в файл одновременно документов по дебету и по кредиту будет удаляться кредитовый дубликат дебетового документа.
    Если настройка отключена - в выписке присутствуют все документы.
[+] Реализовано сохранение настроек: расположения колонок, сортировку в колонках, пользовательский фильтр в списке выбора счетов мастера построения выписки.
[+] Добавлена настройка для построения выписки: "Сортировать счета по валюте".
    При выборе данной настройки происходит дополнительная сортировка по коду валюты: 980, 978, 840..
[*] Влияние настройки клиентских мест ShowAccountDescr расширено на формирование платёжных поручений.
[*] Удаленные страны не отображаются при выборе значения из справочника стран в документах.
[*] При возникновении ошибки загрузки новой программы, связанной с наличием старого файла обновления версии, 
    временный каталог с этим файлом удаляется.
[*] Добавлено поле e-mail на форме ввода сотрудников.
[-] Исправлена ошибка - записи с данными по сотрудникам в зарплатной подсистеме, которые нельзя редактировать, при импорте не перезатираются.
[-] Исправлена ошибка формирования файла экспорта Bol формата для "валютного платежного поручения":
    длина строки в файле не превышает допустимую длину строки.

What's new in the iFOBS Win32 Client (2.0.7.0)

[+] Возможность просматривать журналы прохождения документов
  1. В нац.валюте
  2. В ин.валюте
  3. Заявки на покупку валюты
  4. Заявки на продажу валюты
  5. Зарплатные ведомости
[+] Добавлен выбор лимита для зарплатной ведомости по бюджетным счетам
[*] Изменён алгоритм процедуры обновления данных по документам ("Обновить данные"):
   1. При вызове процедуры обновления данных выбирается объем обновления: все данные, данные с даты...
   2. Происходит удаление документов в БД клиента, которые имеют статус "Отправляется в банк".
[*] В печатной форме платежного поручения добавлен вывод значения поля "Одержано банком" 
    при вызове из формы "Информация по документам".
[*] Cообщение о неудачном обновлении версии клиента не выводится, 
    если введен неправильный пароль на вход в систему.


What's new in the iFOBS Win32 Client (2.0.6.1)

[+] Возможность определять по счетам клиента лимиты нескольких типов:
  1. По сумме документа
  2. По сумме документов за день
  3. По сумме документа по корреспонденту
  4. По сумме документов по корреспонденту за день
  5. По сумме и типу документа
  При этом лимиты 1)-4) поддерживают авторизационные подписи 3-6 уровня.
[+] Добавлен выбор лимита  по бюджетным счетам для следующих типов документов:
  1. Заявки на покупку валюты
  2. Заявки на продажу валюты
  3. Документы в иностранной валюте
[*] Изменены несколько ключевых библиотек для уменьшения размера обновлений последующих версий

What's new in the iFOBS Win32 Client (2.0.5.4)

[+] Добавлены новые процедуры контроля корректности бюджета по вложенным статьям и авторизационным лимитам
[+] Добавилась возможность ввода документов в основании покупки валюты (заявки на покупку валюты)
[+] Клиент может высылать клиентские логи 
    1. за конкретную дату
    2. за период
    3. все логи клиентского места
[*] Привязка бюджетов перенесена с бюджетных счетов на организации
[-] Исправлена ошибка синхронизации из формы сообщений: вложения для сообщений синхронизируются.

What's new in the iFOBS Win32 Client (2.0.5.3)

[+] Поддержка интернационализации в новых модулях
[+] Добавлены две серверные настройки:
    1. FxFeeType - значение по-умолчанию поля "Тип комиссии" для заявок на покупку и продажу валюты
    2. FxCanChangeFeeType - возможность менять значение поля "Тип комиссии" в заявках на покупку и продажу валюты
[*] Переработан интерфейс работы с SWIFT-документами от Лоро-банков
[-] Исправлена ошибка синхронизации больших объёмов данных

What's new in the iFOBS Win32 Client (2.0.5.2)

[*] Ограничена функциональность работы с SWIFT-документами от Лоро-банков
[+] Поддержка интернационализации в новых модулях
[-] Исправлена ошибка синхронизации больших объёмов данных

What's new in the iFOBS Win32 Client (2.0.5.1)

[-] Исправлен алгоритм расчёта суммы лимитов и суммы дебета в отчёте по бюджету организации по информации о статьях самого верхнего уровня
[*] В версии 2.0.5.1 скрыты отчёты по бюджету и по статье головной организации

What's new in the iFOBS Win32 Client (2.0.5.0)

[+] Выбор лимита для докуметна в нац.валюте по бюджетному счёту осуществляется из дерева бюджета
[+] Выбор статьи для отчётов по статье бюджета осуществляется из дерева бюджета
[+] Добавлены отчёты по головной организации
[+] Добавлены системные фильтры для бюджетов
[+] В этой версии представлена функциональность для работы с банками Лоро (для оценки и замечаний со стороны банка)

What's new in the iFOBS Win32 Client (2.0.4.5)

[*] Локализованы тексты новых ошибок, возвращаемых с сервера
[*] Изменены отчёты по бюджетированию
[*] Изменен ряд моментов, связанных с редактированием справочников статей и бюджетов
[*] Изменено отображение Hint-а для приложения в статусной строке задач Windows

What's new in the iFOBS Win32 Client (2.0.4.4)

[+] Полное клонирование бюджетов и справочников статей бюджетов
[-] Исправлена ошибка с выходом из программы при недостатке прав у пользователя на сохранение файлов конфигурации и сертификатов

What's new in the iFOBS Win32 Client (2.0.4.3)

[+] Поддержка справочников для межбанковских SWIFT операций
[+] Локализация сообщений об ошибке для таблиц, связанных с бюджетированием

What's new in the iFOBS Win32 Client (2.0.4.2)

[-] Исправлена проблема с динамическим контекстным меню в дереве лимитов при наличии единственной записи
[-] Исправлена проблема с отображением наименований организаций в иерархии

What's new in the iFOBS Win32 Client (2.0.4.1)

[+] Добавлены локализуемые ресурсы
[-] Устранены утечки памяти и улучшена работа с ресурсами при синхронизации данных
[-] Исправлена проблема, возникающая при синхронизации большого объема данных, не обусловленного большим количеством документов

What's new in the iFOBS Win32 Client (2.0.4.0)

[+] Реализована подсистема корпоративного бюджетирования.

What's new in the iFOBS Win32 Client (2.0.3.1)

[+] Добавлена функциональность ввода новой заявки на работу с межфилиальными ресурсами.
    Форма "Сделки ММ"(Необходима версия сервера 2.0.2.2).
    Справочники:
    1. Константы процентной базы
    2. Способы начисления %%
    3. Цели сделки MM         

What's new in the iFOBS Win32 Client (2.0.3.0)

[-] Исправлена ошибка плагина экспорта данных клиент-банка.
[-] Исправлена ошибка сквозной нумерации документов.

What's new in the iFOBS Win32 Client (2.0.2.10)

[+] Для шаблона выписки добавлена возможность указать префикс имени файла выписки (Тестовый, DBF, BOL).
[+] Реализован импорт зарплатных ведомостей из xls-файла и файла dbf-формата.
[+] Реализован экспорт выписки в DBF-формат OTP банка.
[+] Реализован импорт документов в национальной валюте из DBF-формат OTP банка.
[+] В администратор добавлен признак "Ввод курса покупки/продажи валюты обязательно для валютных документов". (Версия сервера 2.0.2.2)
    Установка данного признака администратором ограничивает на клиенте возможность выбора поля "Курс" (устанавливается "Фиксированный").
    Значение "Фиксированный" для поля "Курс" предполагает обязательный ввод  значения поля покупки/продажи валюты.
[*] В заявках на конверсию валюты в поле процент комиссии увеличено количество знаков после запятой до 4.
[*] При клонировании зарплатной ведомости клонируется поле "комментарий"
[*] Автообновление версии доступно при включенном признаке автосинхронизации.
[*] При клонирования записи на формах "Заявки на покупку валюты", "Заявки на продажу валюты" - в поле "дата заявки" устанавливается текущая дата
[-] Поле настройки  "Регистрационный номер в ПФ" - возможность ввода нечисловых символов.
[-] Исправлена ошибка импорта сотрудников, которые уже существуют в БД.
[-] Исправлена ошибка, возникающая при вводе пустого значения в поле "номер телефона".
[-] Проверка отсутствия транзитного счета проверяется до отсылки документа в банк.

What's new in the iFOBS Win32 Client (2.0.2.9)

[+] Добавлена функциональность ввода значения курса покупки к другой иностранной валюте
    для задачи "Заявка на конверсию валюты"(Необходима версия сервера 2.0.2.2). 
    Добавлены поля
    - "Курс" (Рыночный, Фиксированный, по дог.)
    - "Макс./Мин. курс"
[*] Увеличен размер поля Par Id  до  37 символов для полей  56а и 57а.. 
[*] Увеличено количество знаков после запятой  до 8 знаков 
    для полей максимальний курс покупки, минимальний курс продажи валюты.
[*] Конверсию валюты - поле «Зачислить комиссию на счет» необязательно для заполнения. 
[-] Исправлена ошибка синхронизации задачи "Заявка на покупку валюты"
    (измененные котракты не синхронизировались с сервером).

What's new in the iFOBS Win32 Client (2.0.2.7)

[+] В экспорт выписки в файл в формате DBF добавлено поля:
    - опредлелния дебета/кредита"OPERAT"(1- дебет, 2- кредит).
    - дата создания выписки "DATE_CR"
[+] Добавлена возможность автоматического создания файлов выписок. 
[+] Добавлено поле "Предприятие" на форму зарплатных ведомостей.
[+] Увеличено количество знаков после запятой до 4 в поля ввода процентов комиссий 
    на формах покупки, продажи, конверсии валюты. 
[*] Оптимизирован мезанизм импорта документов
[-] Исправлена функциональность задачи "Печать платежного поручения" 
    на форме "Ввод документов в валюте"


What's new in the iFOBS Win32 Client (2.0.2.6)

[+] Добавлена возможность удалять входящие прочитанные сообщения
[-] Исправлена ошибка загрузки новой версии при недоступном сервере, стоящем первым в списке серверов
[-] Исправлена ошибка очистки фильтра на окне "сотрудники предприятия" при изменении размера окна
[-] Исправлена ошибка синхронизации зарплатных ведомостей

What's new in the iFOBS Win32 Client (2.0.2.4)

[+] Добавлена задача ввода документов в валюте
[+] Добавлена тип комиссии FULL в задаче ввода валютного платежного поручения
    (при выборе данного типа в банк отправляются значения:
     Тип комиссии = OUR
    Дополнительная информация (72) = '/FULLPAY/'
     )
[*] Доработана процедура изменения структуры БД - добавлена возможность вставки новых таблиц
[-] Исправлена ошибка при отправке заявок на покупку и продажу валюты, 
    связанная с вводом дробного курса
[-] Исправлена ошибка подписания начислений зарплатных ведомостей (несколько зарплатных ведомостей одновременно)
[-] Исправлена ошибка клонирования зарплатных ведомостей  с удаленными начислениями

What's new in the iFOBS Win32 Client (2.0.2.0)*
    * Для банков, работающих с зарплатным проектом (!)
    При установке версии клиентского 2.0.2.0 места хотя бы одному клиенту -
    необходимо ставить единообразную версию всем клиентам (это связано с
    изменениями в локальном хранилище, в противном случае могут быть проблемы
    с данными и разрываться вся синхронизация)

[+] Добавлена возможность экспорта корреспондентов 
[+] Добавлена проверка соответствия идентификационного кода полу и дате рождения
    сотрудника
[+] Добавлен вывод Сообщения о приёме на закладку Таблица для сотрудников
[+] Добавлены новые справочники для зарплатного проекта
[*] Изменения в файлах языковых ресурсов: раздельная обработка комиссии по заявкам
    на покупку и на продажу; корректный украинский перевод  группировок и 
    размещения записи; версия и копирайт.
[*] Улучшены выписки. Добавлена возможность просмотра выписок опционально
    под конкретный банк (для этого необходим МФО головного банка)
[*] Для сотрудников-нерезидентов реализована возможность вносить украинский
    идентификационный код из 10 символов и код девять нолей
[*] Импорт сотрудников - добавлены значения по умолчанию для полей, которые
    могли быть незаполнены в импортируемом файле
[*] Оптимизировано время открытия окна сотрудников при заполненных справочниках
    населённых пунктов
[-] Исправлены плагины экспорта для валютных документов (исправлена ошибка
    неправильного округления суммы при экспорте)
[-] Исправлена формулировка в заявке на продажу валюты
[-] Для сообщений, отправляемых с клиентского места, обязательны и тема, и текст.
    Исправлена формулировка выдачи сообщения об ошибке при отсутствии введенного
    одного из полей
[-] Исправлены баги в патчере для базы данных
[-] Исправлен плагин экспорта в DBF (отсутствовало поле KOD_VAL)
[-] Исправлен баг при экспорте  в формат dbf платежей с одинаковыми реквизитами
[-] Исправлена ошибка при открытии справочника зарубежных банков
[-] Начисления по зарплатным ведомостям корректно доподписываются как с одного,
    так и с разных рабочих мест
[-] Исправлен баг с невозможностью выбора счета по-умолчанию при экспорте
    сотрудников 

What's new in the iFOBS Win32 Client (2.0.1.12)
[-] Исправлены баги с импортом зарплатной ведомости из XML файла
[-] Исправлены баги, связанные с интернацинализацией интерфейса клиентского места
[+] Добавлена возможность опционально включать в прогнозируемый остаток готовые к
    отправке документы не только с двумя подписями, но и с одной подписью или без
    подписей
[+] В сообщениях стали обязательными и тема, и текст сообщения
[+] Добавлена возможность корректирования вида экономической деятельности в заявке
    на покупку валюты

What's new in the iFOBS Win32 Client (2.0.1.11)
[+] Осуществлен перевод интерфейса приложения на английский язык,
    доработан украинский перевод
[*] Обновлен и дополнен файл справки
[-] Исправлен баг с доподписанием сообщений
[-] Исправлен баг с фильтрами при отображении документов за период
[-] Исправлен баг с отображением отключенного филиала в сообщениях

What's new in the iFOBS Win32 Client (2.0.1.10)*
    * Данная версия совместима с версией серверной части не ниже 2.0.1.7 (!)
    Дамп выписок, сформированный для версии клиентской части 2.0.1.10, неприменим
    для более ранних версий, т.к. в выписках была реализована интернационализация

[+] Осуществлен перевод интерфейса приложения на украинский язык
[+] Переведены выписки на украинский язык
[+] Добавлена опциональная возможность изменения размера шрифта для формы 
    "Мой iFOBS" и для табличных форм отображения
[*] Состояние документа "Обрабатывается в банке" изменено на 
    "Отправляется в банк"
[-] Исправлен баг с повторной отправкой сообщений в банк при синхронизации
[-] Исправлен баг с доподписанием сообщений с разных рабочих мест
[-] Исправлен баг с отображением наименования контрагента и описания счета
    в выписке
[-] Исправлен баг с отображением кода МФО банка в выписке
[-] Исправлен баг "пустое поле `Сумма Словами`"
[-] Исправлен плагин импорта из файлов данных клиент-банка для
    гривневых документов (ошибка неверной кодировки импортируемых полей)
[-] Увеличена разрядность поля "Макс. курс" и "Мин. курс" в документах
    покупки и продажи валюты соответственно (с 2.0.1.8)

What's new in the iFOBS Win32 Client (2.0.1.5-2.0.1.9)
[-] Исправлялись баги с зарплатным проектом и с сообщениями
[-] Исправлен баг с отправкой сообщений на закрытый филиал
[-] Увеличена разрядность поля "Макс. курс" и "Мин. курс" в документах
    покупки и продажи валюты соответственно (с 2.0.1.8)

What's new in the iFOBS Win32 Client (2.0.1.4)
[+] Добавлено описание счета плательщика в гривневых документах
[*] Изменен цвет отклоненных документов (темно-серый)
[-] Исправлен цвет отклоненных документов (темно-серый)
[-] Исправлен баг с подписанием отклоненных документов при выборе опции 
    "Подписать все"
[-] Исправлен баг с отсутствием выбора модемного соединения при выборе подключения
    через модем

What's new in the iFOBS Win32 Client (2.0.1.3)
[-] Исправлен баг с некорректным обновлением статуса документов при одновременной
    работе нескольких пользователей с одним документом
[-] При печати сквозной выписки за период добавлена проверка о невозможности
    создания такой выписки по счетам, в которых отсутствовало движение
[-] Исправлен баг: в ситуации, когда при выборе профиля подключения пользователя
    не произошло успешного соединения ни по одному из указанных профилей - нужно
    выводить сообщение о невозможности коннекта по основному профилю
[-] Исправлен баг с отображением эквивалентов в выписке в режиме консоли сертификатов
[*] В режиме консоли сертификатов не отображается возможность печати сводной выписки
[*] Исправлены печатные формы отчетов для валютных документов


What's new in the iFOBS Win32 Client (2.0.1.2)
[*] Изменены печатные формы валютных документов
[-] Исправлен баг с форматированием при вводе суммы документов
[-] Исправлен баг "счета с состоянием 1105 (удален в б2) не отображаются 
    перечеркнутыми"

What's new in the iFOBS Win32 Client (2.0.1.1)
[+] Добавлено поле "Комментарии к платежу" для всех документов (как гривневых,
    так и валютных)
[+] Добавлен механизм патчей базы данных (обновления локального хранилища после
    внесения изменений в эталонную базу данных). При этом производится проверка
    на предмет изменения всех атрибутов таблиц (полей, индексов, триггеров),
    либо добавлении новой таблицы в том случае, если она не была найдена в
    локальном хранилище. Патч выполняется 1 раз при запуске приложения, если
    версия локальной базы данных меньше версии приложения.
[+] Добавлена форма настроек для валютных заявок (Сервис - Настройки - Валютные
    заявки). Эти настройки хранятся локально, и если они заданы - то перекрывают
    значения для констант филиалов, задаваемые в банке и подставляются по умолчанию
    при создании нового валютного документа.
[+] Изменены печатные формы для валютных документов (покупки, продажи, конвер-
    сии валюты, валютного платежного поручения)
[+] Добавлена возможность печати выписки в новом формате (альтернативная выписка
    для режима консоли сертификатов)
[+] Во всех выписках добавлено опциональное отображение даты проводки документов
[+] При сохранении электронной выписки в файл, добавлена возможность подгружать
    документы по переоценке
[+] Добавлена возможность печати валютного мемориального ордера с формы информации
    по документам
[*] Изменена и улучшена сводная выписка (выписка "Райффайзен")
[*] В выписках скорректирована ширина поля "Корреспондент" при отображении документов
[*] Добавлена опциональная возможность печати даты проводки в выписках
[*] Изменена печатная форма для сообщений и приведена в соответствие с формой
    из Б2
[*] Добавлена возможность контекстной справки в приложении, изменен и дополнен файл
    справки
[-] Исправлен баг с бизнес-проверками в валютных документах
[-] Исправлен баг с неправильным заполнением реквизитов получателя при клони-
    ровании кредитовых документов с формы "Информация по документам"
[-] Исправлен баг с отображением формы "Документы информационного киоска"


What's new in the iFOBS Win32 Client (2.0.0.9++)
[-] Проблемы с обновлением счетчиков документов на форме мой iFOBS
[-] Не обновляются даты синхр. на "Мой iFOBS"
[-] Сообщения об ошибке в задаче "Сообщения"
[-] Пользователь не создан при синхронизации сообщений
[-] Проблема при входе в систему после перегенерации ключей
[-] Неправильно сохранялась сумма в типовых шаблонах (/100)
[-] Ошибка при открытии формы  "Основания для покупки иностранной валюты"
[-] При синхр. грн. док-в: FOREIGN KEY(ACCOUNTID) REFERENCES ACCOUNTINFO
    (ACCOUNTID) 
[-] Access Violation после синхронизации
[-] Массовая операция подписания от имени другого пользователя
[-] Ошибка при открытии формы "Ввод документов" (Overflow while converting 
    variant of type (OleStr) into type (Double))
[+] Восстановлена функция "Печать всех плат. поручений"
[+] Предупреждение при старте в случае проблем в предыдущей синхронизации
[*] На "Мой иФОБС" закрытые счета показывать перечеркнутыми


What's new in the iFOBS Win32 Client (2.0.0.9)

[+] Добавлена возможность просмотра дерева отчетов при построении выписок
[-] Исправлен баг с обновлением в заявке на покупку валюты
[-] Исправлен текст сообщения о несоответствии пользователя клиентскому месту
[-] Исправлен баг с совпадением начальной и конечной даты в сквозном отчете
[-] Доработано корректное обновление прочитанных сообщений
[-] Исправлен баг неправильного заполнения реквизитов корреспондента при печати
    платежного поручения с формы информации по документам
[-] Исправлен баг с неправильным изменением статуса документов при работе с
    3-мя подписями

What's new in the iFOBS Win32 Client (2.0.0.8)

[+] Добавлена возможность ввода заявок на покупку валюты и валютных платежных
    поручений в виде одностраничной формы
[+] Добавлена возможность печати сводной выписки в альбомном формате
    (что является альтернативой построению выписок в стандартном формате)
[+] Добавлен новый функционал - "Консоль Сертификатов", в качестве альтернативы
    восстановлению сертификатов
[+] Добавлено предупреждение при старте в случае проблем в предыдущей
    синхронизации  
[*] Добавлена возможность корректной работы выписок в англоязычной Windows (все
    русские названия кнопок, элементов меню и контроллов отображаются корректно)-
    однако, при использовании системы в англоязычной Windows необходимо отключить
    режим всплывающих подсказок
[*] Осуществлено корректное отображение в англоязычной Windows всех всплывающих
    меню в гридах и итогах
[*] Добавлена возможность печати нескольких выделенных платежных поручений для
    гривневых документов
[*] Добавлена дополнительная проверка на рабочем месте - при редактировании
    отправленного документа (как гривневого, так и валютного) не разрешается
    менять филиал счета дебета
[*] Добавлена дополнительная проверка правильности заполнения поля 72 в
    валютном платежном поручении, в соответствии с установленным форматом
[*] Добавлена возможность учитывать дополнительный налог (налог на рекламу),
    наряду с НДС, при заполнении деталей платежа в документах в национальной
    валюте
[*] Улучшен интерфейс просмотра и печати выписок, удалены кнопки, реализующие
    избыточный функционал (как например добавления/удаления страницы в отчете
    и сохранения готового отчета)
[-] Исправлен баг при клонировании документа в национальной валюте с формы
    информации по документам (реквизиты получателя заполнялись реквизитами
    плательщика)
[-] Исправлен баг с нулевой датой последнего движения в выписках
[-] Исправлены мелкие баги в шаблонах валютных документов (не подтягивались
    реквизиты банка и телефон организации в шаблоне заявки на продажу валюты)
[-] Исправлен баг с открытием формы "Основания для покупки иностранной валюты"
[-] Исправлены мелкие баги при формировании журналов активности пользователя

What's new in the iFOBS Win32 Client (2.0.0.7)
[*] Добавлен механизм "подписать от имени" при отправке сообщений
[-] Исправлен баг с построением выписок под разными пользователями
[-] Исправлены баги в плагинах импорта/экспорта валютных документов

What's new in the iFOBS Win32 Client (2.0.0.6)
[-] Исправлен баг с удалением контрактов в валютных платежных поручениях

What's new in the iFOBS Win32 Client (2.0.0.5)
[-] Исправлен баг с бизнес проверками по вал. документам
[-] Исправлен баг: после загрузки дампа спрашивалась дата старта, если в пути
    к кл. месту сожержался знак "_" (подчеркивание)

What's new in the iFOBS Win32 Client (2.0.0.4)
[+] Добавлены плагины экспорта и импорта для валютных платежных поручений, 
    продажи и конверсии валюты
[*] Исправлены печатные шаблоны валютных документов в соответствии с новыми 
    требованиями
[*] Улучшен вывод информации о сертификатах
[*] Исправлены печатные шаблоны валютных документов в соответствии с новыми 
    требованиями
[-] Разрешено изменение полей, которые задаются константами
[-] Исправлена проблема невозможности доподписания документов первой подписью
    при наличии второй подписи
[-] Исправлена проблема общей базы шаблонов в рамках одного клиента
[-] Исправлена проблема зависания при удалении большого количества записей в гриде
[-] Исправлена проблема формирования импорта документов после изменения 
    электронной выписки 
[-] Исправлена проблема возможности печати платежки для валютных документов
[-] Исправлена проблема автосинхронизации (невозможности повторной синхронизации 
    через установленное время, если не было закрыто окно отображения прогресса
    синхронизации)

What's new in the iFOBS Win32 Client (2.0.0.3)
[*] Запрещено вводить валютные документы с нулевыми суммами
[*] Разрешено вводить контракты с нулевыми суммами в заявке на покупку валюты
[-] Исправлена проблема невозможности изменения констант филиалов при создании 
    и редактировании валютных документов, а также проблема невозможности 
    клонирования значений пенсионного фонда, отличных от констант филиалов
[-] Исправлена ошибка деления на 100 для суммы покупки валюты при формировании 
    шаблона на покупку валюты
[-] Исправлен ряд незначительных багов
[+] Добавлена возможность "очистки" пользовательских ini-файлов

What's new in the iFOBS Win32 Client (2.0.0.2)
[*] Изменены шаблоны заявок на покупку и продажу валюты
[-] Исправлена проблема "зависания" документов в состоянии 
    "Обрабатывается банком" при отправке в банк
[-] Исправлена проблема "неправильной подписи" в валютном платежном поручении
[-] Исправлена ошибка при формировании фильтра документов в национальной 
    валюте при включенной опции "Отображать отклоненные и удаленные документы
    при выборе фильтра 'непроведенные'"

What's new in the iFOBS Win32 Client (2.0.0.1)
[*] Обновлены шаблоны документов
[*] Улучшен механизм построения выписок - выписки переведены на Fast Report,
    улучшен их интерфейс
[*] Улучшены отчеты по сертификатам пользователя
[*] Улучшена и переработана система отправки и получения сообщений, изменен
    интерфес обмена сообщениями с банком
[*] Минимальный блок данных, полученный из сервера, исправлен на 10К 
[*] Добавлены дополнительные проверки для валютного платежного поручения 
    (длина поля BIC)
[*] Улучшен механизм сохранения электронной выписки в файл

[-] Исправлена проблема с подсказками в Windows 98

[+] Добавлен журнал работы системы в администрировании
[+] Добавлены новые справочники валютных документов
[+] Добавлена возможность смены даты отсечки системы
[+] Добавлена возможность сохранения шаблонов документов под разными 
    наименованиями
[+] Добавлены настройки для экспорта документов в национальной валюте 
    (возможность выбора папки экспорта)
[+] При вводе документов в национальной валюте добавлена возможность выбора 
    одного из счетов основным (при создании документа он будет ставиться
    автоматически)
[+] Добавлена возможность автоматического заполнения констант для филиалов

What's new in the iFOBS Win32 Client (1.1.2.4)
[-] Исправлена проблема с неправильным отображением поля 70 в валютном 
платежном поручении (Деталі платежу    Details of payment)

What's new in the iFOBS Win32 Client (1.1.2.3)
[-] Исправлена проблема с сохранением вал. плат. поручения
[-] Устранено избыточное сообщение при сохранении выписки в файл в формате DBF
[+] Добавлен плагин экспорта в файл формата BOL (Bank-On-Line)

What's new in the iFOBS Win32 Client (1.1.2.2)
[-] Исправлен отображение подсказок в Windows-98

What's new in the iFOBS Win32 Client (1.1.2.1)
[-] Исправлен ряд небольших ошибок
[-] Пропадают сотояния документов
[-] Некоторые проблемы при импорте


What's new in the iFOBS Win32 Client (1.1.1.3)
[-] Неправильно печатается платежка для дебетовых документов


What's new in the iFOBS Win32 Client (1.1.1.2)
[-] Медленно выполняются операции подписи и редактирования
[-] Неправильно печатается платежка для кредитовых документов
[-] Ряд незначительных исправлений
[*] Дата старта системы по-умолчанию предлагается с предыдущего месяца
[*] Исправлен режим установки фокуса на форме "Подписать от имени"


What's new in the iFOBS Win32 Client (1.1.1.1)
[-] Исправлены некоторые ошибки шифрования/расшифрования локального хранилища
[-] Исправлена ошибка "несинхронного отображения" информации при связи с банком
[-] Исправлена ошибка отображения формы "Журнал активности" (английские 
    названия полей)
[-] Исправлены ошибки при экспорте табличных данных в XLS
[-] Исправлен ряд ошибок при работе нескольких пользователей на 1-м раб. месте
[-] Исправлены ошибки возникавшие при отправке сообщений
[-] Исправлена ошибка "Неправильный формат секретного расширенного ключа"
[-] Ряд незначительных исправлений
[+] Дополнительное шифрование пакетов с данными
[+] При первом запуске программы запрашивается имя и порт сервера банка
[+] Реализована возможность выгрузки журналов работы программы из главного меню
    (Пункт меню "Сервис")
[+] Реализован механизм "быстрого" перехода на форму сообщений с формы 
    "Мой iFOBS" с наложением соответствующего фильтра
[+] Реализованы профили соединения с банком и автоматическое переключение между 
    этими профилями
[+] Реализован пользовательский интерфейс для iFobsUpdater.exe (отображение 
    прогрессора обновления)
[+] Реализован механизм модификации клиентских установок централизованно 
   (из банка)
[+] На форму "Мой iFOBS" добавлена информация о документах, ожидающих 
    доподписания
[+] Реализована дополнительная возможность перехода на формы 
    "Информации по счетам" и "Остатки по счетам" с формы "Мой iFOBS"
[+] Реализован механизм удаления шаблонов выписок из польз. интерфейса
[+] Реализован плагин экспорта документов в фaйл XLS (полный аналог расширенной
    выписки в BOL)
[*] Формы корреспондентов и НП гривневых документов открываются быстрее
[*] Несколько улучшен механизм синхронизации с банком при добавлении прав на 
    новые счета
[*] Изменен механизм именования состояний документов
[*] Изменен механизм отображения прогнозируемого остатка на форме 
    "Остатки по счетам"
[*] Улучшен механизм формирования выписок по шаблонам
[*] Опционально восстановлена возможность создания документа в нац. валюте по 
    шаблону кредитового документа на форме "Информация по документам"
[*] Расширены возможности отчетов "Печать информации о сертификате"
[*] Дата получения документа банком выставляется сразу после отправки документа
[*] "Продвинутая" проверка при нажатии отмены в режиме редактирования

What's new in the iFOBS Win32 Client (1.1.0.2)

[-] Исправлена ошибка в заявке на покупку валюты (сумма в копейках)
[-] Исправлен ряд незначительных ошибок


What's new in the iFOBS Win32 Client (1.1.0.1)

[-] Исправлена ошибка сохранения старых ключей и сертификатов после 
    перегенерации сертификатов
[-] Исправлен механизм проверки дубликатов при редактировании документов
[-] Исправлен механизм изменений данных на клиентском рабочем месте
[-] Исправлен механизм кэширования прав пользователей при наличии нескольких 
    зарегистрированных пользователей на рабочем месте
[-] Исправлен формат даты в печатной форме платежки клиента
[-] Исправлены проблемы с отображением кириллических символов под английской 
    локалью
[-] Исправлены ошибки при логировании событий синхронизации задач с банком
[-] Исправлены ошибки возникавшие при работе с сообщениями
[-] Исправлена ошибка возникавшая при создании документов и сообщений при 
    "невключенном визуальном фильтре" (Field '...' must have a value)
[-] В плагине экспорта в текстовый файл информационные документы пропускаются
[-] Исправлен ряд незначительных ошибок
[+] Дополнена информация на форме прогрессора
[+] Реализован механизм работы с подписью, при котором у пользователя каждый раз 
    запрашивается путь к секретному ключу и пароль (опционально)
[+] Реализован механизм наложения третьей подписи для документов
[+] Добавлено "Сообщение о приеме" на лицевую панель ввода документов
[+] Реализована защита от блокировки файлов (например антивирусным монитором) 
[+] Реализована форма с более подробной информацией по синхронизации (с 
    отображением результата окончания процесса)
[+] Реализована печать прищедшего дакумента как платёжное поручение
[+] Крупные модули приложения разбиты на ряд более мелких для уменьшения пакетов 
    автообновления
[*] На все формы редактируемых справочников накладывается фильтр, который 
    отсеивает удаленные записи
[*] Реализовано запоминание статуса "Раскрывать все" во всех окнах где он есть.
[*] Испралено поведение таблицы при группировке, с установленой опцией
    "Раскрыть все".
[*] Улучшен механизм отображения "Мой iFOBS" (открытие одним кликом)
[*] Пользователю выдается сообщение после синхронизации, если он получил 
    сообщение из банка.
[*] Улучшен механизм клонирования документов
[*] Изменен механизм фильтрации документов при выборе визуального фильтра 
   "Текущий" (добавлены документы за текущую дату - опционально)
[*] При построении "Тек. выписки", если пользователь не связывался с банком 
    (в текущий день) - выдается предупреждение
[*] Переименована задача "Электронная выписка" в "Сохранение выписки в файл"
[*] Запрещено клонирование кредитового документа
[*] Дополнен отчет о сертификатах пользователя
[*] Изменено поведение системы при проверке ключа счета (не предлагается замена 
    - опционально)
[*] Добавлена опция при которой не изменяются строки НДС в НП документа
[*] Ряд незначительных исправлений


What's new in the iFOBS Win32 Client (1.0.9.4)
[-] Исправлена ошибка на форме ввода документов в нац. валюте (не отображался 
    счет плательщика)
[-] Исправлена ошибка нумерации документов в нац. валюте (в разрезе юр. лиц) 
[*] Начиная с версии 1.0.9.4 имеется возможность обновления iFobsUpdater.exe

What's new in the iFOBS Win32 Client (1.0.9.3)
[-] Ввод заявок на покупку и продажу валюты с дробными суммами курсов и комиссий
[-] Исправлена формулировка наименования выписок
[-] Исправлена процедура автообновления системы
[*] Предупреждение о сроке действия сертификатов
[*] Только счета с правами дебета в выпадаюющем списке при создании платежек
[*] Архивные формы по-умолчанию открываются с фильтром текущего дня 
[*] Ряд незначительных исправлений


What's new in the iFOBS Win32 Client (1.0.9.1)
[+] Работа с английской версией ОС
[+] Отображение количества допустимых символов в НП
[+] Добавлено значение "Тип документа на клиенте" - для эл. выписки
[*] Реорганизована форма прав на счета
[*] Унификация получения хэш-значений сертификатов и запросов на сертификат
[*] Уменьшено окно поиска (опции по-умолчанию "спрятаны").
[*] Фильтр архивных таблиц улучшен
[*] Пеечать двух платежек на одном листе
[*] Заполнение реквизитов ПФ в документе "Заявка на покупку валюты".
[*] Модернизирован механизм наложения подписей на документы.
[*] Синхронизация справочников после разрыва соединения.
[*] Счета, статус которых отличается от "ОТКРЫТ (1)" отображаются наклонным 
    шрифтом
[*] Печатные формы всех таблиц
[*] Ряд мелких исправлений
[-] Исправлены ошибки обновления локальной БД
[-] Исправлена ошибка в плагине импорта (когда не установлен MSXML 3.0)
[-] Исправлена ошибка: при частичной синхронизации допусукается оставить форму 
    в состоянии редактирования!
[-] Исправлена ошибка: Невозможно ввести документ, если формат даты 
    (рег. настройки) m/d/yy
[-] Исправлена ошибка: Процесс мониторинга ОД филиалов не окончен
[-] Исправлена ошибка: После смены пароля на секретный ключ нельзя поменять его 
    еще раз (не перелогиниваясь)
[-] Исправлена ошибка: Сообщение "Прекращение синхронизации..."
[-] Исправлена ошибка при синхронизации после авторизации новых ключей.
[-] Исправлен ряд незначительных ошибок



What's new in the iFOBS Win32 Client (1.0.8.3)
[-] Устранена ошибка при переименовании директории в случае попытки запуска 
    более чем одной копии программы из одного места
[-] Устранена ошибка при отправке документов, в случае когда имеются открытые 
    формы в режиме редактирования
[-] Действие "Отложить" снова доступно в контекстном меню
[-] Исправлена ошибка печати нескольких платежек при наложенном неактивном 
    фильтре на таблице
[+] Реализована возможность печати отчета с информацией о значениях SHA1 hash 
    созданного открытого ключа
[+] На форме "Мой iFOBS" сохраняется установленная ширина полей
[+] Добавлена форма с информацией о сервере банка, с которым происходит работа
[+] Расширен механизм логирования действий при синхронизации
[+] Добавлен справочник филиалов, с которымии работает пользователь
[+] Оповещение пользователя о смене ОДБ
[*] Значительные изменения в алгоритмах формирования выписок. Унификация 
    внешнего вида выписки с Web-клиентом
[*] Изменены сообщения показываемые пользователю при синхронизации задач с 
    банком
[*] При подписании документа от имени другого пользователя запоминается 
    последний введенный путь к секретному ключу
[*] Изменено сообщение об ошибке при связи чсерез прокси-сервер
[*] Окно поиска закрывается при смене активной формы в приложении 
[*] Изменен алгоритм проверки срока действия сертификатов после перегенерации


What's new in the iFOBS Win32 Client (1.0.8.2)
[-] Исправлена ошибка экспорта в выписке

What's new in the iFOBS Win32 Client (1.0.8.1)
[-] Исправлена ошибка "Обнаружены дубликаты в наборе данных ...."
[+] Сохраняются настройки принтера (в ini-файл)
[+] Добавлены сервисные функции для отладки 
[*] Изменена процедура наложения клиентских патчей
[*] Изменения в мастере построения выписки (Последовательный поиск, группировка)

What's new in the iFOBS Win32 Client (1.0.7.5)
[-] Исправлена ошибка обновления данных после смены опер. дня
[-] Исправлено некорректное отображение параметров прав счетов пользователя
[-] Исправлена ошибка "List index out of Bounds" при входе под другим польз-м 
[-] Исправлена проблема при вводе пустых значений в шаблоне док-м в нац. валюте
[*] При клонировании документа дата документа устанавливается равной текущей
[*] Во время связи с банком отображается подробная информация по синхронизации
[*] Ряд незначительных изменений
[*] Изменен способ управления полями табличных форм и добавлен ряд сервисных 
    функций для настройки вида формы
[*] Изменения в построителе отчетов (используется версия 9.0)
[+] Шаблоны выписок отображаются на форме "Мой iFOBS"
[+] Добавлена настройка, которая позволяет указать какие шаблоны выписок 
    отображать на форме "Мой iFOBS"
[+] Реализована возможность сквозного поиска по табличным формам
[+] Реализована возможность печати валютных документов (в Word)
[+] Реализована возможность экспорта выписки в форматы PDF (рекомендуется), RTF, 
    Excel и текстовый файл (не рекомендуется).
[+] Реализована возможность сортировки выписки по дате и времени проводки
[+] Реализована возможность создания нового документа из проведенного
[+] По валютным счетам отображается переоценка остатков на счетах (в выписке)


What's new in the iFOBS Win32 Client (1.0.7.4)
[-] Исправлена ошибка при перегенерации сертификатов пользователя для случая когда 
    файлы сертификатов помечены атрибутом Read-Only
[-] При добавлении пользователя на рабочее место проверяется принадлежность
    пользователя этому же клиенту
[-] В платежном поручении пишется номер экземпляра (пока только "прим. 1")
[-] Исправлена ошибка Access Violation при экспорте в формате XLS
[-] Устранена причина "подвисания" при попытке выполнения экспорта на некоторых
    компьютерах
[-] Исправлены мелкие проблемы при перегенерации сертификата пользователя
[-] На форме прав на счета закрытые счета отображаются перечеркнутым шрифтом и
    в поле "Счет пользователя" пишется "СЧЕТ ЗАКРЫТ"
[-] Исправлено отображение %% на шкале прогрессора загрузки новой версии
[-] Исправлено ненкоректное поведение связанное с получением фокуса пронраммой
    во время синхронизации всех задач с банком
[-] Удалены лишние ("пустые") действия на некоторых формах
[-] Исправлена ошибка Access violation, которая возникала при нажатии на любое
    выпадающее меню (при отображении формы выбора)
[-] Исправлено поведение на форме ввода документов в нац. валюте (и соотв.
    шаблонов) при выборе нового назначения платежа, которое в себе содержит
    значение суммы НДС или при смене суммы документа -- теперь сумма НДС
    формируется динамически, в зависимости от суммы платежа.
[-] Группы задач обновляются при смене текущего пользователя в случае различных
    интерфейсных прав.
[-] Исправлена ошибка при пересчете прогнозируемых остатков после смены
    пользователя
[-] Исправлен плагин электронной выписки - решена проблема передачи пустых полей
[-] Исправлены ошибки при работе с модемом
[+] На форме "Мой iFOBS" отображается информация о количестве полученных и еще
    не прочитанных сообщений.
[+] На всех формах (на которых нету предопреденных отчетов) добавилась
    возможность распечатать данные, отображаемые в текущий момент на экране
[+] Добавлена настройка "Не отображать удаленные документы на формах при выборе
    фильтра "Не проведенные""
[*] При некорректных параметрах шаблона выписки выдается более корректное
    сообщение с ошибкой
[*] Изменен механизм сохранения новых ключей (после процедуры перегенерации)
[*] Исправлен способ определения версии клиента
[*] Ряд прочих исправлений

What's new in the iFOBS Win32 Client (1.0.7.1)
[-] Реализована проверка прав дебета счета при создании и подписании документов
[-] Исправлен режим работы после добавлении на рабочее место пользователя с
    первичными сертификатами (требуется перегенерация)
[-] При смене пользователя удаляется неиспользованный запрос на сертификат (для
    устранения возможности случайной отправки другим пользователем)
[-] После перегенерации и отправки сертификата в банк устранено дублирование
    отображения формы с информацией о сгенерированном запросе на сертификат
[-] Устранен ряд некритических ошибок
[-] Изменен режим обновления зависимых справочников (устранена избыточность)
[-] Реализована загрузка балансов по счетам при частичной синхронизации
    (необходимо для получения верной картины по остаткам на счетах)
[-] Реализована возможность синхронизации на компьютере с кириллическим именем
    и/или кириллическим именем пользователя (и прочих параметрах)
[-] Исправлено сообщение об ошибке при проверке сертификата в случае
    несоответствия времени у клиента (на компьютере) и в банке
[+] Реализован механизм сохранения (и загрузки) параметров выписок в файлы
[+] Реализован механизм восстановления утерянного (поврежденного) сертификата
    (генерация новых ключей и ввод аварийного пароля)
[+] Реализованы различные режимы построения выписок при помощи изменения
    настроек по умолчанию или при использовании мастера
[+] При вводе идентификационного кода получателя (документы в нац. вал.)
    автоматически заполняется последний введенный корреспондент с таким кодом
[+] Реализован механизм загрузки инсталляции общих справочников и личных данных
    пользователя при первом старте (для уменьшения времени первой синхронизации)
[+] Ведется журнал синхронизации пользователей, который можно просмотреть из
    интерфейса программы
[+] Реализован режим сложных проверок для пароля на вход в систему и на секретный
    ключ. Включить сложные проверки можно в "Настройки системы...\Безопастность".
[+] Реализована работа с сервером настроенным на кирилическую кодировку (1251)
[*] Реализована клиентская проверка "счет отправителя <> счету получателя" при
    вводе документов в нац. валюте
[*] При отсутствии данных о счетах или остатках пользователя на форме
    "Мой iFOBS" отображается информация о имеющейся проблеме и возможные пути
    ее преодоления (краткое руководство к действию)
[*] При возникновении "некритических" ошибок во время синхронизации не
    осуществляется (излишняя) блокировка данных пользователя
[*] При наличии документов в состоянии "Ожидает поступлений" -- информация о
    таких документах отображается на форме "Мой iFOBS"
[*] После перегенерации сертификата пользователю в развернутом виде показывается
    форма с содержимым запроса, отправленного в банк на авторизацию
[*] Разрешен ввод всех полей в вал. плат. поручении (в поле 57 и др.) при выборе
    опции "D"

What's new in the iFOBS Win32 Client (1.0.6.7)
[-] В платежном поручении для документов в нац. вал. сумма печатается на
    украинском языке (и исправлена аббревиатура года)
[-] Исправлено поведение системы при работе пользователя без прав на вход в
    систему
[-] Исправлено поведение системы при работе нескольких пользователей и
    перегенерации сертификатов (в т.ч. когда пользователь работает с первичными
    сертификатами)
[*] Изменения в интерфейсе форм (кнопка "Сохранить" и подтверждения отмены
    редактирования)

What's new in the iFOBS Win32 Client (1.0.6.6)
[-] Документ с любой ошибкой отображается жирным красным шрифтом
    (и гривневые и валютные документы)
[+] Допускается ввод в SWIFT-документы кириллицы (опционально)

What's new in the iFOBS Win32 Client (1.0.6.5)
[-] Устранена излишняя блокировка данных при синхронизации задач с банком

What's new in the iFOBS Win32 Client (1.0.6.4)
[-] Сохранение параметров (размеров) формы предварительного просмотра отчета
[+] В выписке отображаются эквиваленты для валютных счетов

What's new in the iFOBS Win32 Client (1.0.6.3)
[-] Исправлено отображение ряда форм при крупном шрифте (125%)
    (в частности SWIFT-формы)
[-] Исправлено сохранение информации в ini-файл
[-] При создании валютного платежного поручения исправлено ограничение на ввод
    номера счета
[*] Документы с ошибками выделяются ярко-красным цветом и отображаются жирным
    шрифтом даже на сфокусированной записи
[*] Переподписывается документ после его изменения (имеется настройка)
[*] Наличие подписей на документах отображается графической пиктограммой
[*] Мелкие исправления в выписке


What's new in the iFOBS Win32 Client (1.0.6.2)
[-] Синхронизация в случае кириллического имени пользователя или наиенования
    компьютера
[-] Исправлен алгоритм подсчета прогнозируемого остатка на счету
[*] Печать гривневых платежек на украинском языке
[*] Отображение времени последней связи с банком на форме "Мой iFOBS"
[*] Сохранение параметров формы просмотра отчета (разворот на весь экран)
[*] Сохраняется значение по умолчанию переключателя "Сохранить как стандартное"
[*] Реализована возможность выбора даты курсов валют на форме "Мой iFOBS"
[*] На форму "Остатки на счетах", "Мой iFOBS" добавлена информация о
    сумме прогнозируемого остатке на счету


What's new in the iFOBS Win32 Client (1.0.6.1)

[+] Реализована форма для просмотра документов формируемых в банковском
    информационном киоске
[+] Реализоывано формирование пустой БД при старте (уменьшение количества
    логируемых некритичных ошибок при первом старте)
[-] Устранена причина, приводившая к зависанию при синхронизации справочников
[-] Исправлен способ отображения данных в редактируемых справочниках
[-] Исправлен заголовок фомы "Пользователи рабочего места"
[-] Исправлены ошибки при работе с кодами 1ПБ в валютном платежном поручении
[-] При первом старте системы запрещено обновлекние информации до перегенерации
    сертификатов
[-] В мастере построения выписки исправлена доступность кнопки "Далее"
[-] Теперь для работы не требуется доп. библиотека xyzeay32.dll
[*] Система переведена на последнюю стабильную версии библиотеки OpenSSL.
   (OpenSSL 0.9.6m is now available, including security fix)
[*] Улучшен механизм переходов по радио-кнопкам в "верхнем" фильтре формы
[*] Удален лишний параметр настроек "Кол-во док-в в пачке"
[*] Изменено сообщение при попытке входа пользователя не зарегистрированного на
    текущем рабочем месте
[*] Доработан файл справки
[*] Реорганизована система логирования ошибок и информационных сообщений
[*] Исправлен механизм первого старта программы
[*] Ряд мелких изменений программы


What's new in the iFOBS Win32 Client (1.0.5.2) [update]

[-] Исправлено отображение остатков на форме "Мой iFOBS"


What's new in the iFOBS Win32 Client (1.0.5.1)

[+] Шаблоны типовых документов в нац. валюте
[+] Настройка пользователя для работы с шаблонами типовых документов
[+] Добавлена штатная возможность сброса счетчиков документов при сквозной
    нумерации
[+] При изменении интерфейсных прав меняется внешний вид системы (Это касается
    элементов управления для работы с валютными документами)
[+] Реализован контроль целостности блочных наборов данных
[+] Реализовано дробление документов на ограниченные размера блока  в случае
    отправки большого количества данных за один раз
[-] Исправлено отображение дат в выписке
[-] Сохраняется состояние главной формы при закрытии приложения
[-] Исправлены ошибки возникающие после загрузки дампа
[-] Исправлена ошибка при удалении контракта в заявке на покупку валюты
[-] Устранено дублирование контрактов в заявке на покупку валюты
[-] Запрещена синхронизация с банком для пользователей, у которых отсутствуют
    права на вход в систему
[-] В заявках на покупку валюты исправлен режим контроля требуемых полей
[-] Исправлены ошибки связанные с подписыванием документа отправленного в банк
[-] Исправлен ряд мелких ошибок связанных с интерфейсом системы
[*] Изменен способ отображения информации о результирующей папке в электронной
    выписке
[*] Корректно отображаются ошибки которые возникали в связи с обработкой
    документов в базе филиалов системы Б-2
[*] Улучшен внешний вид формы настроек
[*] Исправлен внешний вид формы "Мой iFOBS" и формы настроек в системе Win XP
[*] Изменено поведение системы в случае отправки в банк документов с одинаковыми
    ключевыми реквизитами с разных рабочих мест


What's new in the iFOBS Win32 Client (1.0.4.1)

[+] Реализован экспорт данных в формате электронной выписки (совместимо со
    старым КБ)
[+] Реализован режим построения выписки с помощью мастера
[+] Реализованы два режима выписки: с расшифровкой и без расшифровки документов
[+] Добавлены информационные справочники ("Справочник кодов 1ПБ", "Справочник
    видов экономической деятельности" и т.п.)
[+] Добавлены формы прогресса для отображения процесса длительных операций
[+] Добавлен справочник интерфейсных прав пользователя
[+] Реализована возможность загрузки "дампа" справочников при первом старте
    системы (в автоматическом режиме - проверяется наличие файла iFOBS_dump.zip
    в папке .\dump\)
[+] На всех табличных формах отображается текущее количество записей в таблице
    или количество записей в группе (после группировки)
[*] Все закрытые счета (на всех формах содержащих информацию по счетам)
    отображаются перечеркнутыми
[*] Улучшено построение контекстного меню на табличных формах
[*] Изменен формат выписки -- теперь информация по каждому счету отображается с
    новой страницы
[*] Перед групповыми операциями (масовое подписание документов и т.п.) выводится
    диалоговое окно требующее подтверждения
[*] Реализовано "автозаполнение корреспондента" при вводе документов в
    национальной валюте
[*] Ряд мелких исправлений связанных с интерфейсом
[-] Исправлена ошибка перевода документов в заданное состояние
[-] Исправлена реакция системы на ввод пустых настроек (форма настроек)
[-] Исправлена реакция системы на отсутствие носителя с ключами и на неверный
    путь
[-] Реализованы относительные пути при сохранении настроек программы
[-] Информационные документы на форме проведенных документов отображаются верно


What's new in the iFOBS Win32 Client (1.0.3.2)

[+] Реализовано API для работы с плагинами импорта документов
[+] Реализованы плагины для импорта в формате XML и в формате старого КБ
   (Bank On Line)
[+] Печать платежных поручений в "текстовом режиме" ("Принтер русифицирован")
[+] Реализован режим последовательной работы нескольких пользователей на одном
    рабочем месте с индивидуальным набором ключей
[+] Реализована форма содержащая список пользователей локального рабочего места
[+] Реализован механизм добавления зарегистрированного (в банке) пользователя на
    локальное рабочее место (при наличии необходимых ключей и сертиФикатов)
[+] Реализовано действие "Зайти под другим пользователем"
[+] Добавлена возможность подписания документов от имени другого пользователя
[*] Изменен механизм отображения прогресса для длительных операций
[*] Реализована возможность перешифрования локального хранилища новым
    сертификатом (при наличии соответствующих старых ключей)
[*] На форме "Проведенные документы" добавлено поле "Документ удален"
[*] Изменения на форме настроек приложения
[-] Исправлена ошибка возникавшая при попытке запуска защищенного клиента на
    локальных данных стандартного клиента
[-] На форме сообщений исправлен режим работы фильтров (новые сообщения)


What's new in the iFOBS Win32 Client (1.0.3.1)

[+] Добавлено клонирование сообщений
[+] Добавлена возможность "отдельной" отправки сообщений в банк
[+] Добавлен справочник стран
[+] Добавлена форма «Заявка на конверсию валюты»
[+] Добавлена форма «Заявка на распределение валютной выручки»
[+] Добавлены редактируемые справочники корресподентов и назначений платежа для
    валютного платежного поручения
[+] Добавлен экспертный режим настроек системы
[+] Реализована форма изменения пароля для входа в систему (в меню
    "Администрирование")
[*] Справочники корресподентов и назначений платежа для гривневых документов
    сделаны редактируемыми
[*] Исправлено отображение сплэша при запуске программы
[*] На форме настроек реализовано два режима настроек: пользователь и эксперт
[*] На форме "Мой iFOBS" теперь отображается наименование филиала (в разделе
    информации по счетам)
[-] Исправлено отображение форм в режиме выбора значений
[-] Исправлена ошибка "Не задан фильтр" при открытии некоторых форм (при
    отсутствии информации об опердне)
[-] Исправлена ошибка возникавшая при попытке клонирования в режиме блокировки
    данных
[-] Исправлена ошибка переименования папок при включенном антивирусном мониторе



What's new in the iFOBS Win32 Client (1.0.2.4)

[+] Добавлена форма «Заявка на покупку валюты»
[+] Добавлена форма «Заявка на продажу валюты»
[+] Справочники регионов и кодов налоговых инспекций теперь обновляются с
    сервера
[+] Добавлена форма работы с "Валютным платежным поручением" (SWIFT)
[+] Разработана и внедрена система прав на пользование программой (права
    на счета)
[+] Реализована динамическая инициализация и использование подсистемы работы
    с валютными документами
[*] Изменен механизм активизации формы "Мой iFOBS"
[*] Оптимизирован механизм посттранзакционного обновления активных данных
[*] Улучшена система логирования для последующего анализа работы системы в
    случае сбоев
[-] Исправлена ошибка фильтрации счетов пользователя по правам (права на счета)
[-] Исправлена ошибка "Key Violation" при открытии программы и вводе документов
   (возникала в некоторых случаях)
[-] Исправлен механизм работы с MS XML Parser (выбор наибольшей версии)
[-] Исправлен ряд прочих мелхких ошибок



What's new in the iFOBS Win32 Client (1.0.2.3)

[+] Реализован механизм первого старта системы с использованием временных
    сертификатов
[+] Реализован механизм перегенерации пользовательских сертификатов
[*] Оптимизирован алгоритм позицирнирования форм при отображении
[*] Добавлена возможность копирование версии клиента с формы "О программе"
[*] Незначительно изменена процедура синхронизации данных
[-] Удаленные документы не исчезают с формы просмотра после синхронизации
   (фильтрация)
[-] Исправлена ошибка при изменении пароля на секретный ключ
[-] При закрытии всех форм на панели "Активные формы" информация отображается
    корректно


What's new in the iFOBS Win32 Client (1.0.1.1)

[+] Реализовано автообновление программы
[+] Реализован механизм экспорта в XML, Xls, Txt, Html.
[+] Реализована автоматическая синхронизация с сервером через заданный
    промежуток времени
[+] Реализован обмен сообщениями с банком
[+] Добавлены разрабатывающиеся формы валютных документов
[*] Улучшена работа с модемом
[*] Оптимизированы некотрые режимы работы
[-] Разрыв связи теперь происходит сразу после синхронизации с сервером (до
    начала обновления активных данных)
[-] Минимизированные формы восстанавливаются при активизации через список
    "Активные формы"


What's new in the iFOBS Win32 Client (1.0.0.310)

[+] Реализована работа через прокси-сервер
[+] Добавлен макет формы "Поручение на распределение валютной выручки"
[*] Задействован другой способ работы с сервером (независимый от настроек
    Internet Explorer)



What's new in the iFOBS Win32 Client (1.0.0.309)

[+] Реализована настройка состояния вводимых документов и возможность
    автоподписания
[+] Добавлена панель со списком активных окон системы
[+] Реализована навигация по выписке и по записям в гриде (PgUp, PgDn, Home,End)
[*] Изменен порядок ввода паролей для секретного ключа и для входа в систему
[*] Изменен внешний вид формы "Мой iFOBS"
[-] Исправлен ряд мелких багов, связанных с отображением данных


[*About]

iFOBS Win32 Client
Copyright (C) 2003-2011 CS LTD

Програма iFOBS Win32 Client (далі просто «клієнт») надає такі можливості:
— синхронізацію з сервером (банком) і перегляд такої інформації:
	1) довідник банків
	2) довідник валют
	3) довідник країн
	4) доступні для редагування довідники кореспондентів та довідник призначень платежів
	5) доступні для редагування довідники кореспондентів та довідник призначень платежів
	   для вал. плат. доручення
	6) довідник курсів валют (за архівну та за поточну дату)
	7) довідник рахунків користувача
	8) інформація щодо залишків на рахунках (за архівну та за поточну дату)
	9) документи (за архівну та за поточну дату).
— Формування електронних виписок за документами:
	1) поточна інформація за рахунками*
	2) заключна виписка за попередній робочий день*
	3) заключна виписка за останній тиждень*
	4) заключна виписка за останній місяць*
	5) довільно налаштовувана виписка за довільний період
	(* — виписки, що позначені зірочкою, формуються "за одне натискання")
— Введення документів в національній валюті і надсилання їх до банку (на сервер).
— Введення валютного платіжного доручення і надсилання до банку (на сервер).
— Введення і надсилання до банку інших валютних документів.
— Друк платіжних доручень для введених документів
— Друк звітів для валютних документів


[*Restrictions]

Відомі обмеження системи

• Максимальна сума створюваного документа - 1000 000 000 грн.
